Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue May 10 15:33:42 2011 +0200

    * NEWS

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue May 10 11:45:37 2011 +0200

    - old eclipse files

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue May 10 11:44:53 2011 +0200

    * ConfigureChecks.cmake: issue fixed

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue May 10 10:34:35 2011 +0200

    - removed useless .cvsignore files since we are using git now

Author: nojhan <nojhan@gmail.com>
Date:   Tue May 10 00:31:18 2011 +0200

    updated build instructions

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon May 9 17:21:18 2011 +0200

    + build_gcc_linux_pyeo

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon May 9 17:21:16 2011 +0200

    * build_gcc_linux_unittest

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon May 9 17:20:33 2011 +0200

    + build_gcc_linux_stl_parallel

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri May 6 16:01:28 2011 +0200

    * pyeo

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri May 6 11:14:39 2011 +0200

    * apply: needed eoLogger header file inclusion

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu May 5 17:15:10 2011 +0200

    * whitespace cleanup

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu May 5 16:54:00 2011 +0200

    * indentations + whitespace cleanup

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu May 5 16:53:31 2011 +0200

    * pyeo/PyEO.cpp: renamed module name

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu May 5 16:53:02 2011 +0200

    * pyeo/CMakeLists.txt: auto find cpp files

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu May 5 11:47:30 2011 +0200

    * pyeo cmake config file

Merge: 7dcc7b6 f984839
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed May 4 17:57:54 2011 +0200

    Merge branch 'openmp'

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Mar 15 18:05:45 2011 +0100

    * edoSampler: sampler method protected

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Mar 15 16:39:46 2011 +0100

    * eoLogger: forgot to close opened file

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed May 4 17:29:45 2011 +0200

    * pyeo: updated pyeo in order to make it works

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed May 4 17:28:46 2011 +0200

    * eoReduceSplit.h: bad syntax in using eo::log

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Mar 30 15:52:23 2011 +0200

    * eoOpContainer: call to eoGenOp::apply instead of operator() to avoid calling reserve

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Mar 30 15:50:19 2011 +0200

    * eoEasyEA: pop reserve at each call to algo

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Mar 24 12:52:27 2011 +0100

    * switched eoGenOp::apply method from protected to public in order to be visible from eoSequentialOp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Mar 23 17:34:35 2011 +0100

    * eoEasyEA: moved offspring into attributes space in order to avoid memory reallocation when we restart

Merge: 007aae6 bc30b2c
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Mar 18 11:20:09 2011 +0100

    Merge branch 'master' into openmp

Merge: aa23cec 8f6e4b2
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Mar 18 11:10:59 2011 +0100

    Merge branch 'master' of ssh://localhost:9001/gitroot/eodev/eodev

Merge: e7b6b17 16c2e9d
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Mar 18 11:10:14 2011 +0100

    Merge branch 'openmp' of ssh://localhost:9001/gitroot/eodev/eodev into openmp

Merge: 9597010 8f6e4b2
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Mar 14 17:30:46 2011 +0100

    Merge branch 'master' into openmp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Mar 14 17:29:20 2011 +0100

    * pipecom: added an argument to printf generating a warning

Merge: cbc44d4 9e95eef
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Mar 8 00:20:37 2011 +0100

    Merge branch 'openmp' of ssh://eodev.git.sourceforge.net/gitroot/eodev/eodev into openmp

Merge: 2044d92 90863fd
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Mar 8 00:19:46 2011 +0100

    Merge branch 'master' into openmp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Mar 8 00:08:18 2011 +0100

    * disabled app/gprop temporary because of the incompatibility with gcc version higher than 4.5.1

Merge: 9e95eef aa23cec
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Feb 24 14:29:29 2011 +0100

    Merge branch 'master' into openmp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Feb 24 11:10:47 2011 +0100

    + added install.cmake to configure dependancies paths

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Feb 24 11:09:51 2011 +0100

    * fixed issues on the code to be compatible with last version of boost

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Feb 24 10:32:13 2011 +0100

    * application/common/cmakelists.txt: fixed issues with copy of files

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Feb 8 10:59:00 2011 +0100

    * eoParallel: added the both parameters enable_results and do_measure

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Feb 4 16:29:27 2011 +0100

    * t-openmpy.*: added a header

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Feb 4 16:28:24 2011 +0100

    * eoParallel: added the parameter enableResults

Merge: a733983 2044d92
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Feb 4 14:10:10 2011 +0100

    Merge branch 'openmp' of ssh://localhost:9001/gitroot/eodev/eodev into openmp

Merge: 77a92ff 61faa63
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Feb 4 14:09:12 2011 +0100

    Merge branch 'master' into openmp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Feb 2 23:50:58 2011 +0100

    * eoParallel: added the call to omp_set_num_threads to define the number of threads with parameters

Merge: 54e2a8b 61faa63
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Jan 28 15:27:24 2011 +0100

    Merge branch 'master' into openmp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Jan 28 14:38:50 2011 +0100

    * apply.h: size variable missing without openmp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Jan 28 11:11:20 2011 +0100

    * a little update in building script files

Merge: 4c561f9 36fe44b
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Jan 28 10:43:23 2011 +0100

    Merge branch 'master' of ssh://eodev.git.sourceforge.net/gitroot/eodev/eodev

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 17:50:11 2011 +0100

    * removed some warnings

Merge: db4eda2 9635901
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 14:41:42 2011 +0100

    Merge branch 'openmp' of ssh://localhost:9001/gitroot/eodev/eodev into openmp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 14:41:17 2011 +0100

    * eoParallel: added a missing attribute

Merge: 4c561f9 32a183e
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 13:53:42 2011 +0100

    Merge branch 'openmp' of ssh://eodev.git.sourceforge.net/gitroot/eodev/eodev into openmp
    
    Conflicts:
    	eo/test/CMakeLists.txt

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Jan 27 11:59:14 2011 +0100

    a very simple script to create snapshot of the current head

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Jan 27 11:58:21 2011 +0100

    move edo stuff, that was in the wriong place after the merge, in the edo directory

Merge: e6ee096 d618ab0
Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Jan 27 11:36:55 2011 +0100

    Merge branch 'edo'

Merge: 12f4f24 8c4b160
Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Jan 27 11:32:21 2011 +0100

    Merge branch 'master' of ssh://eodev/gitroot/eodev/eodev

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Jan 27 11:23:23 2011 +0100

    rename everything from 'do' to 'edo'

Merge: 6e2041d 5fe07ab
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 10:49:41 2011 +0100

    Merge branch 'master' into symlink

Merge: 3d06d4a 5fe07ab
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 10:45:07 2011 +0100

    Merge branch 'master' into openmp
    
    Conflicts:
    	eo/src/eo

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 10:43:13 2011 +0100

    + eoParallel: nthreads option * apply.h: mangled the openmp code with pre-processing conditions

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 10:39:15 2011 +0100

    fixed an issue in eoParallel class
    
    Conflicts:
    
    	eo/src/utils/eoParallel.cpp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Dec 28 16:42:53 2010 +0100

    * updated eoParallel class in order to define the result filename according to the parallelization mode

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 10:35:49 2011 +0100

    - removed old parallelization parameters from the old-style from eoParser class
    
    Conflicts:
    
    	eo/src/utils/eoParser.h

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 10:31:28 2011 +0100

    * changed apply.h to use new parallelization s parameters
    
    Conflicts:
    
    	eo/src/apply.h

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 10:30:40 2011 +0100

    added measure into apply function
    
    Conflicts:
    
    	eo/src/apply.h

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 10:29:09 2011 +0100

    + now you are able to enable or not parallelization with the option --parallelize-loops=1|0
    
    Conflicts:
    
    	eo/src/apply.h
    	eo/src/utils/eoParser.cpp
    	eo/src/utils/eoParser.h

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 27 10:25:22 2011 +0100

    add the parser/logger to the general header
    
    Conflicts:
    
    	eo/src/eo

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Jan 26 18:10:34 2011 +0100

    - removed t-eoDualFitness from test/CMakeLists.txt because it fails
    
    Conflicts:
    
    	eo/test/CMakeLists.txt

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Thu Dec 23 12:22:29 2010 +0100

    + add the value() method in eoParam used by dae

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Dec 22 13:40:49 2010 +0100

    * package dependancies changed

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Jan 26 18:09:37 2011 +0100

    * doc: solved some mistakes
    
    Conflicts:
    
    	eo/doc/index.h

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 6 09:16:01 2011 +0100

    * a little update tu be compatible with gnuplot

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Jan 5 16:07:08 2011 +0100

    * --parallelize-prefix parameter description

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Dec 28 22:54:10 2010 +0100

    fixed an issue in eoParallel class

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Dec 28 16:43:44 2010 +0100

    + added a test file for eoParallel class

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Dec 28 16:42:53 2010 +0100

    * updated eoParallel class in order to define the result filename according to the parallelization mode

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Dec 28 16:41:14 2010 +0100

    * apply.h: now results stored to a filename defined with parallelization parameters

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Dec 26 19:19:20 2010 +0100

    * added eoParallel header inclusion to eo

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Dec 26 19:13:43 2010 +0100

    - removed old parallelization parameters from the old-style from eoParser class

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Dec 26 19:12:20 2010 +0100

    * updated cmakelists.txt to compile new eoParallel class

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Dec 26 19:11:00 2010 +0100

    + created new eoParallel class with a global variable eo::parallel in order to store all parameters tied to parallelization and to access from anywhere

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Dec 26 19:09:08 2010 +0100

    * changed apply.h to use new parallelization s parameters

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Thu Dec 23 23:03:02 2010 +0100

    added measure into apply function

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Thu Dec 23 18:09:25 2010 +0100

    + now you are able to enable or not parallelization with the option --parallelize-loops=1|0

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Dec 16 15:51:28 2010 +0100

    set the version to 1.1.1-edge

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Dec 16 15:50:26 2010 +0100

    evaluator that throw an exception if a maximum CPU user time has been reached, for POSIX systems

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Dec 14 15:27:26 2010 +0100

    add the parser/logger to the general header

Merge: df57a10 5fe07ab
Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Wed Jan 26 16:31:55 2011 +0100

    Merge branch 'master' of ssh://eodev/gitroot/eodev/eodev

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jan 20 19:07:41 2011 +0100

    - removed t-eoDualFitness from test/CMakeLists.txt because it fails

Merge: 9e93f52 1e177e1
Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Jan 4 10:42:20 2011 +0100

    Merge branch 'master' of ssh://eodev/gitroot/eodev/eodev

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Thu Dec 23 14:31:34 2010 +0100

    fixed a mistake in cflags setting about openmp flags

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Thu Dec 23 12:22:29 2010 +0100

    + add the value() method in eoParam used by dae

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Wed Dec 22 18:29:30 2010 +0100

    const parameter + intermediate reused variable

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Wed Dec 22 18:25:44 2010 +0100

    missing include of the eoLogger header

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Dec 22 18:23:45 2010 +0100

    * now symlink script more generic

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Dec 22 17:25:40 2010 +0100

    changed cmakelists.txt to generate install symlink script

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Dec 22 17:24:34 2010 +0100

    added install_symlink script

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Dec 22 13:40:49 2010 +0100

    * package dependancies changed

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Dec 22 10:25:13 2010 +0100

    * doc: solved some mistakes

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Dec 17 11:25:58 2010 +0100

    Add a value(ValueType) method for ValueParam, to directly change the value using the templatized type. Use two intermediate streamstring conversions.

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Dec 17 10:39:42 2010 +0100

    eoMaxTimeException is not used only for wallclock time, set a more general message

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Dec 16 15:51:28 2010 +0100

    set the version to 1.1.1-edge

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Dec 16 15:50:26 2010 +0100

    evaluator that throw an exception if a maximum CPU user time has been reached, for POSIX systems

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Dec 14 15:27:26 2010 +0100

    add the parser/logger to the general header

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Nov 28 14:21:26 2010 +0100

    now we can select which measures we want

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Nov 28 13:36:25 2010 +0100

    using rdtsc for rng seed with mersenne twister

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Nov 28 03:41:09 2010 +0100

    update

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Nov 28 03:35:21 2010 +0100

    added variable time measure

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Nov 28 03:32:53 2010 +0100

    added variable time measure

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Nov 28 03:24:02 2010 +0100

    added variable time measure

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Nov 28 00:19:46 2010 +0100

    added n processus and fixed bound parameters

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sun Nov 28 00:12:08 2010 +0100

    added n processus and fixed bound parameters

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Nov 27 23:26:16 2010 +0100

    onlyexec and onlyprint parameters added on openmp script

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Nov 27 23:22:54 2010 +0100

    onlyexec and onlyprint parameters added on openmp script

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Nov 27 23:07:11 2010 +0100

    t-openmp.py released

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Nov 27 21:27:41 2010 +0100

    changed output results name

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Nov 27 21:24:07 2010 +0100

    added t-openmp.py

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Nov 27 16:19:51 2010 +0100

    added prefix parameter on t-openmp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Nov 22 19:16:09 2010 +0100

    updated Dp = Tp / TDp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Nov 22 18:20:38 2010 +0100

    remode two - on results filename

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Nov 22 18:08:58 2010 +0100

    updated to D_p = T_Dp / T_p and avoid all D_p higher than the number of tasks used

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Nov 22 17:43:52 2010 +0100

    popStep and dimStep replaced by pS and dS on the results filename

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Nov 22 17:37:44 2010 +0100

    added popStep and dimStep value on the result filename

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Nov 22 17:35:06 2010 +0100

    created two boxplot script files one to generate image the other to display with matplotlab

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Nov 22 17:33:11 2010 +0100

    removed omp_apply.h and added to apply.h, added dynamicity computation

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Nov 22 14:47:55 2010 +0100

    remove threshold parameter and move from static schedule to dynamic

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Nov 22 14:07:47 2010 +0100

    added efficienty computation

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Nov 20 01:57:30 2010 +0100

    added stepping parameters

Merge: dab81d1 6625cd2
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Nov 20 01:08:22 2010 +0100

    uptodate

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Nov 20 01:01:45 2010 +0100

    openmp testing up-to-date

Author: nojhan <johann@dreo.fr>
Date:   Fri Nov 19 21:08:18 2010 +0100

    test binary for dual fitness

Merge: e8a083f 651ba9f
Author: nojhan <johann@dreo.fr>
Date:   Fri Nov 19 21:07:05 2010 +0100

    Merge branch 'master' of ssh://eodev.git.sourceforge.net/gitroot/eodev/eodev
    
    Conflicts:
    	eo/test/CMakeLists.txt

Author: nojhan <johann@dreo.fr>
Date:   Fri Nov 19 21:03:07 2010 +0100

    add t-eoDualFitness to CMake

Author: nojhan <johann@dreo.fr>
Date:   Fri Nov 19 21:02:35 2010 +0100

    added a method to get the value of a dual fitness

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Nov 19 11:54:45 2010 +0100

    new pkg-config file

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Nov 19 11:50:51 2010 +0100

    changed pkg-config file creation process

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Nov 19 11:48:42 2010 +0100

    openmp test updated

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Nov 18 10:49:24 2010 +0100

    added some new scripts to specialize building and a build script for visual studio 2008

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Nov 18 10:47:29 2010 +0100

    forgot to add t-eoParser in test/CMakeLists.txt

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Nov 17 17:27:55 2010 +0100

    added a apply.h variant for parallel execution

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Nov 17 14:43:18 2010 +0100

    functor operator applying to population in parallel

Merge: 979a186 8ecef39
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Nov 17 11:54:07 2010 +0100

    Merge branch 'master' of ssh://eodev.git.sourceforge.net/gitroot/eodev/eodev

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Nov 17 11:47:49 2010 +0100

    unit test for eoParser added

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Nov 17 11:41:43 2010 +0100

    fixed unistd.h portability issue

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 15 09:30:37 2010 +0100

    eoDualStatSwitch, a wrapper for computing stats on feasible and unfeasible individuals, separately

Merge: fb8a8d7 04f12b7
Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 15 09:14:00 2010 +0100

    Merge branch 'master' of ssh://eodev/gitroot/eodev/eodev

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 15 09:13:39 2010 +0100

    verify that pop is not empty before attempting to compute the IQR

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 15 09:12:10 2010 +0100

    @todo: add an init method for continuators?

Author: nojhan <johann@dreo.fr>
Date:   Sun Nov 14 15:24:35 2010 +0100

    supress some doxygen warnings about \classes

Author: nojhan <johann@dreo.fr>
Date:   Sun Nov 14 15:11:46 2010 +0100

    eoInterquartileRangeStat example link to t-eoIQRStat

Author: nojhan <johann@dreo.fr>
Date:   Sun Nov 14 15:07:50 2010 +0100

    a test binary for eoInterquartileRangeStat

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Nov 10 11:18:57 2010 +0100

    there was a warning from compiler related to a comment syntax in eoInvalidateOps.h

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Nov 9 11:44:28 2010 +0100

    fix most of the doxygen warnings

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 8 22:58:37 2010 +0100

    default log output to debug for the ostream monitor ; better documentation

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 8 18:29:25 2010 +0100

    new eoAerageSizeStat class

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 8 18:27:58 2010 +0100

    check for self assignement in copy operator of eoDualFitness

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 8 18:27:19 2010 +0100

    deactivate gpsymreg that uses the now unsuported multi-objective feature

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Nov 7 23:43:58 2010 +0100

    fix some doxygen warnings

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Nov 7 23:16:45 2010 +0100

    remove multi-objective stuff, deprecated by ParadisEO-PEO

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Nov 7 23:12:28 2010 +0100

    add tests interfaces as examples in the doc ; remove unused test binaries ; some code formating

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Nov 7 23:09:35 2010 +0100

    remove unused test binaries, some code formating

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Nov 7 11:19:33 2010 +0100

    in the doc's main page: brief section first with a link to the modules list

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sat Nov 6 17:31:39 2010 +0100

    do not documentify: test, tutorial, contrib and app, that are not part of the framework by itself

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sat Nov 6 17:24:00 2010 +0100

    removing obsolete win directory, we now se CMake that can generate VC++ project files by itself

Author: nojhan <johann@dreo.fr>
Date:   Sat Nov 6 09:19:17 2010 +0100

    small fixes in the doc

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Nov 5 22:46:15 2010 +0100

    and finally... still more grouping in documentation.

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Nov 5 15:59:35 2010 +0100

    grouping classes in documentation

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Nov 5 14:28:28 2010 +0100

    name of variables in english ; use the eo::log instead of cerr ; doc grouping

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Nov 5 11:26:04 2010 +0100

    grouping classes in documentation

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Nov 2 17:23:27 2010 +0100

    readable size for the evolutionry algorithm diagram

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Nov 2 16:57:13 2010 +0100

    evolutionary algorithm diagram with lego blocks, fancier

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 1 23:08:58 2010 +0100

    more doc groups, cleaner modules hierarchy

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 1 22:09:40 2010 +0100

    replace TODO comments by @ŧodo doxygen command

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 1 22:08:37 2010 +0100

    more explanations in doc main page, remove HTML markup, remove deprecated link pages

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 1 18:20:56 2010 +0100

    Create more doxygen groups for base classes, clean some doc

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 1 18:19:37 2010 +0100

    delete the obsolete directory (still versionned in the repository if necessary)

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 1 15:34:27 2010 +0100

    grouping algorithms in a module of the doc

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 1 13:37:24 2010 +0100

    added Johann and Caner as authors on the web page

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Nov 1 13:32:37 2010 +0100

    more shortcut links on the webpage, toward the chat and the trac

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Oct 31 23:01:16 2010 +0100

    fix #10: removed MOO binaries

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Oct 31 22:57:05 2010 +0100

    fix #10: removed the moo/ directory and eoMO* classes, deprecated by the Paradiseo-MOEO project

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Oct 31 21:57:06 2010 +0100

    indicate cudacc branch in the changelog

Merge: fc21827 66b4dfd
Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Oct 31 21:50:15 2010 +0100

    Merge branch 'cudacc'

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Oct 31 21:36:53 2010 +0100

    remove default values for verbose parameters, so as to make deprecated wrappers unused by default

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Oct 31 21:19:34 2010 +0100

    alternate function prototypes without verbose parameter

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Oct 31 07:47:12 2010 +0100

    changelog summary for the next 1.1 release

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sat Oct 30 23:30:40 2010 +0200

    fix #13: remove the use of the verbose members, replaced by the eo::log system ; functions prototypes keep their verbose parameters, but display a warning until next version

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Oct 26 13:48:47 2010 +0200

    file not at the right place

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Oct 26 13:37:15 2010 +0200

    replace the changelog with the (cleaned) git log, more up-to-date

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Oct 26 13:35:08 2010 +0200

    renamed in CHANGELOG

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Oct 26 13:34:19 2010 +0200

    warning: not up-to-date

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Oct 26 13:32:55 2010 +0200

    added Johann and Caner as authors

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Oct 26 13:32:43 2010 +0200

    replace the changelog with the (cleaned) git log, more up-to-date

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Oct 26 10:51:48 2010 +0200

    create a more generic class for monitoring to any ostream (useful for output to clog or cerr, for example), the stdout monitor now inherits from it

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Oct 25 09:50:50 2010 +0200

    Stat object to compute ratio of feasible indviduals in a pop using eoDualFitness

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Oct 22 10:08:57 2010 +0200

    a stat object for computing interquartile range (a robust measure of dispersion)

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Oct 22 10:07:09 2010 +0200

    Arithmetic operators (note: priority to unfeasibility)

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Oct 12 10:09:56 2010 +0200

    I have fixed some bugs and added some tests for doDistrib classes

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Wed Sep 29 22:52:30 2010 +0200

    using eo::log instead of std::cout

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Sep 28 10:38:38 2010 +0200

    there was an issue on doBounderNo class tied to the default values of the ctor of mother class doBounder: fixed

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Sep 22 19:25:37 2010 +0200

    * eda n eda_sa: bug fixed, while we were using -h the result folder was removed

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Sep 22 14:38:15 2010 +0200

    + eda algo: same algo than eda-sa without sa, + plotting scripts and problem functions moved to application/common

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Sep 21 17:53:48 2010 +0200

    do not explicitely specify build type, use O3 instead of O2 for release

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Sep 21 17:52:59 2010 +0200

    typo variable name

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Sep 21 15:12:19 2010 +0200

    + boxplot.py: script to generate graphic with boxplot to illustrate distances between theorical and visual means for each population value

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Sep 21 15:08:38 2010 +0200

    + t-mean-distance: program to generate distance value between the theorical and visual means

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Sep 20 13:35:51 2010 +0200

    typofix declaration types in macro

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Sep 20 11:32:55 2010 +0200

    deactivate -fprofile-arcs -ftest-coverage that necessitate gcov

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Sep 16 14:16:24 2010 +0200

    accessors to levels ; typofix on _contextLevel

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Sep 16 11:29:32 2010 +0200

    important note: we are using wallclock time

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Sep 16 11:16:55 2010 +0200

    bugfix operator() signature

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Sep 16 11:06:04 2010 +0200

    evals that can throw exceptions

Merge: ccd5b01 88b2ec3
Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Sep 16 09:41:26 2010 +0200

    Merge branch 'master' of ssh://eodev/gitroot/eodev/eodev

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Sep 16 09:33:55 2010 +0200

    more comments ; header

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Sep 16 09:29:51 2010 +0200

    typo bugfix

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Thu Sep 16 09:28:55 2010 +0200

    use std::endl ; error message format ; more comments

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Wed Sep 15 22:53:15 2010 +0200

    bugfix _keep_existing name ; added an overwriting option to use ios_base::trunc instead of ios_base::app

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Wed Sep 15 22:28:58 2010 +0200

    use eo::log

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Wed Sep 15 22:28:29 2010 +0200

    doc comments

Merge: 26ac5ca 86b7538
Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Sep 14 14:18:14 2010 +0200

    Merge branch 'master' of 188.165.44.48:do

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Sep 14 13:19:43 2010 +0200

    bugfixed from ublas::vector assignement ctor for old version of boost

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Sep 13 06:17:44 2010 +0200

    - screenshots

Merge: 0f4e43c 6a613bc
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Sat Sep 11 00:21:02 2010 +0200

    Merge branch 'mo-1.3' of candan.fr:do into mo-1.3

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Sep 10 23:21:31 2010 +0200

    t-doEstimatorNormalMulti: display means and distance

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Sep 10 17:04:02 2010 +0200

    * bugfixed on test_cov_parameters

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Sep 10 15:52:54 2010 +0200

    replaced generated prefix name in result folder

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Sep 10 15:48:16 2010 +0200

    + test_cov_parameters.py: script to execute the estimator testor (t-EstimatorNormalMulti) in using all combinaison parameters values for 2-D cov-matrix

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Sep 10 01:09:16 2010 +0200

    + test/t-doEstimatorNormalMulti

Author: nojhan <johann@dreo.fr>
Date:   Thu Sep 9 22:37:50 2010 +0200

    update related softwares: + EASEA, GUIDE

Merge: 15ae721 86b0828
Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Thu Sep 9 13:55:59 2010 +0200

    Merge branch 'mo-1.3' of git:do into mo-1.3

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Thu Sep 9 13:55:18 2010 +0200

    * added some comments

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Sep 9 11:53:14 2010 +0200

    + new screenshot with parameters -P=10000 -d=10

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Sep 9 11:24:35 2010 +0200

    * some updates on gplot.py to have a better display + screenshots from gnuplot

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Sep 9 08:03:01 2010 +0200

    * README

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Sep 9 07:59:50 2010 +0200

    buxfixed on CMakeLists.txt regarding copying failures

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Sep 9 07:58:05 2010 +0200

    renamed scripts filenames

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Sep 9 07:56:15 2010 +0200

    * added some features in plot.py plotting script

Merge: 2e43f47 56680e8
Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Wed Sep 8 12:15:08 2010 +0200

    Merge branch 'mo-1.3' of git:do into mo-1.3

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Wed Sep 8 12:14:15 2010 +0200

    bounder on uniform distribution that can handle different bounds on several dimensions

Author: Caner CANDAN <candan@trtp0634.fr.trt.thales>
Date:   Tue Sep 7 15:36:16 2010 +0200

    * fixed bad using of method moNeighbor< EOT >::init( EOT& )

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Sep 6 12:05:13 2010 +0200

    bugfix xdebug level

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Sep 6 11:20:00 2010 +0200

    use eo::log instead of cout

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Sep 6 10:43:34 2010 +0200

    no more dummy bounder

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Sep 6 10:43:07 2010 +0200

    constructors for passing the bounder to super class

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Sep 6 00:04:37 2010 +0200

    indent clean, more comments

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Sep 5 23:56:17 2010 +0200

    replace \n with endl

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sun Sep 5 23:42:58 2010 +0200

    use eo::log instead of cout

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Sat Sep 4 23:07:37 2010 +0200

    some MO types replacement

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Sep 3 18:32:27 2010 +0200

    switch to new MO 1.3 classes and interface

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Fri Sep 3 15:55:28 2010 +0200

    Patch from Karima.Boufaras@inria.fr: compilation wth CUDACC

Author: nojhan <johann@dreo.fr>
Date:   Fri Sep 3 09:19:23 2010 +0200

    official xmpp chat room

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Sep 1 19:15:26 2010 +0200

    * t-eoLogger: missed some code lines to display correctly the help

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Sep 1 17:30:50 2010 +0200

    * packaging: now the test and tutorial binaries are installed in share directory

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Sep 1 14:51:09 2010 +0200

    ticket #1: Remove the autotools files done

Merge: 5bd0baa 7159f8e
Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Sep 1 12:07:23 2010 +0200

    Merge branch 'packaging' of ssh://localhost:9001/gitroot/eodev/eodev

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Sep 1 12:01:42 2010 +0200

    eo::log: added the parameter -o in order to define a log file + removed some warning messages at compile time

Merge: 25bb766 13b9b62
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Wed Sep 1 10:33:42 2010 +0200

    Merge branch 'master' of ssh://localhost:8007/do

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 19:29:05 2010 +0200

    added temporary population sorting

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 19:26:51 2010 +0200

    * added some useful comments in eoLogger class

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 17:16:48 2010 +0200

    * main.cpp: removed useless comments * src/do: added some lines to make detectable language file * doEDASA.h: added some comments

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 16:39:21 2010 +0200

    fixed some warning messages while compiling

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 16:35:50 2010 +0200

    + eoEvalFuncCounterBounder.h: inherits of eoEvalFuncCounter in adding an exception throwing when a threshold of evaluation has been reached

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 16:34:03 2010 +0200

    + eoEvalFuncCounterBounder.h: inherits of eoEvalFuncCounter in adding an exception throwing when a threshold of evaluation has been reached

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 16:32:19 2010 +0200

    + eoEvalFuncCounterBounder.h: inherits of eoEvalFuncCounter in adding an exception throwing when a threshold of evaluation has been reached

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 16:31:39 2010 +0200

    + eoEvalFuncCounterBounder.h: inherits of eoEvalFuncCounter in adding an exception throwing when a threshold of evaluation has been reached

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 15:53:32 2010 +0200

    * eoRNG.h: added double uniform(double min, double max)

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 14:56:11 2010 +0200

    * eoFitContinue: using of _pop.best_element().fitness() instead of pop.nth_element_fitness(0)

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 14:54:42 2010 +0200

    removed a wrong logging message from eoEvalContinue.h

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 14:52:08 2010 +0200

    repared some compile warning messages

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 14:15:54 2010 +0200

    updated doxygen config file to the version 1.6.x

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 14:10:13 2010 +0200

    * fixed some warning issues during compilation

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 14:06:34 2010 +0200

    updated doc/CMakeLists.txt in order to add docs in packages

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 31 14:04:25 2010 +0200

    removed useless eo.cfg, this is generated automaticaly by cmake with the file eo.cfg.cmake

Merge: 248d12d 2fdc24a
Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Aug 31 10:22:46 2010 +0200

    Merge branch 'master' of ssh://eodev/gitroot/eodev/eodev

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Aug 30 22:50:59 2010 +0200

    add eoDualFitness.h to the list of headers

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Aug 30 22:50:34 2010 +0200

    bugfix: typo on _this_

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Aug 30 22:46:55 2010 +0200

    update of the license headers, LGPL version 2 only for those new files

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Aug 30 22:46:37 2010 +0200

    add a xdebug level & update of the license headers, LGPL version 2 only for this new file

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Aug 30 22:44:18 2010 +0200

    no ; at the end of the line

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Aug 30 22:43:50 2010 +0200

    New class: A fitness class that permits to compare feasible and unfeasible individuals. It guaranties that a feasible individual will always be better than an unfeasible one.

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Aug 30 22:42:42 2010 +0200

    no ; at the end of the line

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Mon Aug 30 16:20:55 2010 +0200

    fixed a bug with using of replacor, it didnt reduce the fitness

Author: nojhan <johann@dreo.fr>
Date:   Sat Aug 28 12:30:37 2010 +0200

    openhatch button, supposed to facilitate the involvement of new contributors

Merge: 74b23dd 799a8f0
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Aug 26 19:54:05 2010 +0200

    Merge branch 'master' of candan.fr:do

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Thu Aug 26 19:31:30 2010 +0200

    ...

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 25 19:15:32 2010 +0200

    * removed rho parameter and replaced it by popsize

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 24 18:40:49 2010 +0200

    + script to plot on ggobi

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Aug 24 11:23:55 2010 +0200

    * LICENSE

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Aug 24 11:22:06 2010 +0200

    * fixed remove command issue

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Aug 24 11:19:31 2010 +0200

    * pkg-config updated + cmake file

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Aug 24 10:26:36 2010 +0200

    + lib utils

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Aug 23 18:03:44 2010 +0200

    + multiplot with gnuplot

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Aug 23 16:14:02 2010 +0200

    a C header include missed

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Mon Aug 23 15:56:58 2010 +0200

    + plot populations by generation - removed dump from doEDASA

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Thu Aug 19 22:04:01 2010 +0200

    more sections to jump to

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Thu Aug 19 21:45:19 2010 +0200

    correct links to sourceforge features

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Thu Aug 19 20:38:19 2010 +0200

    bugfix #2054922: using base_const_iterator::node;

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 19:13:38 2010 +0200

    added a FIXME

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 18:39:58 2010 +0200

    * cma-sa name has been replace by eda-sa in the project

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 18:24:16 2010 +0200

    - useless comments and files removed

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 18:23:01 2010 +0200

    - useless comments and files removed

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 18:22:28 2010 +0200

    - useless comments and files removed

Author: Caner CANDAN <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 17:30:11 2010 +0200

    * eoDetSelect: when the call of howmany() returns 0 it is replaced by 1

Author: Caner CANDAN <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 17:18:36 2010 +0200

    fixed a warning issue at the file eoRealBounds.cpp

Author: Caner CANDAN <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 17:06:16 2010 +0200

    + cpack configuration in order to generate packaging files, to make it easier use the script package_deb and package_rpm

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 13:37:17 2010 +0200

    - some useless comments + authors in files header

Merge: 0a37f66 6ec3fc5
Author: Caner CANDAN <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 18 12:16:13 2010 +0200

    Merge branch 'master' of ssh://localhost:9001/gitroot/eodev/eodev

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 17 17:44:53 2010 +0200

    bug fixed

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Aug 17 15:11:18 2010 +0200

    correct headers ; class comment

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Aug 17 15:07:17 2010 +0200

    improved explanations

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Aug 17 15:02:39 2010 +0200

    missing header ; correct copyright ; correct emails

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Aug 17 14:59:24 2010 +0200

    translate variable from french to english

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Tue Aug 17 14:56:33 2010 +0200

    use eo::log ; warning when returns 0

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Mon Aug 16 15:38:39 2010 +0200

    issue to fix

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Mon Aug 16 11:45:43 2010 +0200

    added L(i,i) = sqrt( abs(V(i,i) - sum) ) but the issue still exists

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Mon Aug 16 11:30:06 2010 +0200

    * added the eo features Continue/CheckOut/Stat to DO in order to dump distribution parameters and to have compatibility with eoMonitor/eoUpdater classes

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Aug 16 07:52:30 2010 +0200


Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Aug 6 10:24:45 2010 +0200

    added doNormalMono

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Aug 6 10:19:50 2010 +0200

    replace doNormal by doNormalMulti

Merge: f66efcb 36ec42d
Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Aug 6 09:50:58 2010 +0200

    merge

Merge: 9f4c073 68a03aa
Author: Caner CANDAN <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 4 14:10:57 2010 +0200

    Merge branch 'yaml_load_and_save' of ssh://localhost:9001/gitroot/eodev/eodev

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 4 14:05:42 2010 +0200

    * changed some comments sentences

Author: Caner CANDAN <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 4 13:47:51 2010 +0200

    + feature eoSIGContinue: Continuator can catch user signals + feature eoLogger: flexible logging system for eo

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Wed Aug 4 13:05:28 2010 +0200


Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 3 18:54:41 2010 +0200

    * cholesky

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 3 10:35:25 2010 +0200

    - doDistribParams

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Tue Aug 3 10:26:15 2010 +0200

    + some useful files added

Author: Johann Dreo <johann.dreo@thalesgroup.com>
Date:   Mon Aug 2 17:07:32 2010 +0200

    code to display only once the message about the help parameter + some indent fix + some more comments

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Sun Aug 1 22:27:31 2010 +0200

    list of some publications

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Sun Aug 1 10:55:38 2010 +0200

    example diagrams now close to features list, with a better legend

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Sat Jul 31 23:00:10 2010 +0200

    better layout for the menu

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Sat Jul 31 22:48:49 2010 +0200

    correct layout in 1024, better spacing for greater resolutions

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Sat Jul 31 22:40:04 2010 +0200

    'jump to section' links and back links

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Sat Jul 31 22:14:09 2010 +0200

    logo icon for sourceforge, without text, 48px

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Sat Jul 31 22:06:27 2010 +0200

    slides via slideshare, better section order, small design changes

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Sat Jul 31 18:59:12 2010 +0200

    website sources

Author: nojhan <johann.dreo@thalesgroup.com>
Date:   Thu Jul 29 14:28:05 2010 +0200

    no more CVSROOT

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Thu Jul 29 11:22:10 2010 +0200

    * doc installable

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Jul 23 13:34:42 2010 +0200

    + added some useful files

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Jul 23 13:24:09 2010 +0200

    + TODO + doStats.cpp

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Fri Jul 23 13:18:30 2010 +0200

    * some cleaner updates

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Jul 13 13:20:07 2010 +0200

    * doStats * doEstimatorNormal: replaced use of Variance by CoMatrix

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Jul 6 15:43:15 2010 +0200

    ...

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Jul 6 11:25:02 2010 +0200

    + do.pc

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Jul 6 10:15:47 2010 +0200

    * fixed some packaging issues

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Jul 6 01:31:44 2010 +0200

    cpack works

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Tue Jul 6 01:27:14 2010 +0200

    config cmake

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Jul 5 20:39:41 2010 +0200

    + test

Author: Caner Candan <caner.candan@thalesgroup.com>
Date:   Mon Jul 5 20:31:30 2010 +0200

    ...

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Mon Jul 5 19:42:34 2010 +0200

    + packaging + cmake files

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Mon Jul 5 19:06:34 2010 +0200

    + cma_sa application

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Mon Jul 5 19:04:35 2010 +0200

    + do files

Author: Caner Candan <candan@trtp0634.fr.trt.thales>
Date:   Mon Jul 5 18:54:55 2010 +0200

    ...

Author: paradiseo <paradiseo>
Date:   Tue Jun 22 09:31:58 2010 +0000

    Store a result in a variable to have no warning

Author: paradiseo <paradiseo>
Date:   Thu Jun 10 10:03:26 2010 +0000

    Add "Visual Studio 10" in config file for CMake

Author: stevemadere <stevemadere>
Date:   Fri May 7 03:17:44 2010 +0000

    changed YAML saving technique to YAML::Serializable

Author: stevemadere <stevemadere>
Date:   Thu May 6 22:46:10 2010 +0000

    added support to save app/gprop/mlp as YAML

Author: stevemadere <stevemadere>
Date:   Tue May 4 17:18:12 2010 +0000

    configure changes to prepare for use of libyaml-cpp

Author: (EO team) <(EO team)>
Date:   Tue May 4 13:00:51 2010 +0000

    'yaml_load_and_save'.

Author: stevemadere <stevemadere>
Date:   Tue May 4 13:00:50 2010 +0000

    Reflecting build process changes in doc and source tree (now using autogen.sh;./configure)

Author: stevemadere <stevemadere>
Date:   Tue May 4 12:56:54 2010 +0000

    Added includes necessary to compile using gcc 4.4

Author: stevemadere <stevemadere>
Date:   Tue May 4 12:54:36 2010 +0000

    Removed references to eliminated headers eoDummyFlight.h, eoLSPSO.h, eoSSPSO.h

Author: stevemadere <stevemadere>
Date:   Tue May 4 12:50:29 2010 +0000

    Removed reference to Lesson6 until its makefile is fixed

Author: paradiseo <paradiseo>
Date:   Thu Mar 18 12:44:45 2010 +0000

    add an include

Author: paradiseo <paradiseo>
Date:   Wed Dec 9 15:49:30 2009 +0000


Author: paradiseo <paradiseo>
Date:   Thu Jun 25 14:49:53 2009 +0000

    Accept long time

Author: paradiseo <paradiseo>
Date:   Tue Jan 27 16:30:18 2009 +0000

    little change to delete warnings

Author: paradiseo <paradiseo>
Date:   Tue Jan 27 16:28:55 2009 +0000

    little modif to delete warning

Author: paradiseo <paradiseo>
Date:   Tue Jan 27 16:26:44 2009 +0000

    little change to delete warning

Author: paradiseo <paradiseo>
Date:   Tue Jan 27 16:21:53 2009 +0000

    little modif to delete warning

Author: paradiseo <paradiseo>
Date:   Mon Jan 26 14:39:37 2009 +0000

    Change Compiler flags

Author: paradiseo <paradiseo>
Date:   Mon Jan 26 13:43:40 2009 +0000

    disable warning C4530 (Visual Studio)

Author: paradiseo <paradiseo>
Date:   Mon Jan 26 13:38:01 2009 +0000

    option added to disable warning (mode release with Visual Studio)

Author: paradiseo <paradiseo>
Date:   Mon Jan 26 09:07:59 2009 +0000

    cmake < 2.6 authorized

Author: paradiseo <paradiseo>
Date:   Thu Jan 22 10:18:10 2009 +0000

    test on PSO changed.

Author: paradiseo <paradiseo>
Date:   Fri Jan 16 14:29:42 2009 +0000

    modif cmake

Author: paradiseo <paradiseo>
Date:   Wed Jan 14 14:50:46 2009 +0000

    Cmake configuration modified

Author: paradiseo <paradiseo>
Date:   Mon Jan 12 09:14:02 2009 +0000

    Update to cmake2.6 + modif to support compatibility with icc

Author: evomarc <evomarc>
Date:   Thu Dec 25 16:01:57 2008 +0000

    Fixing a small glitch that was giving wrong clues to newcomers ...
    Thanks to Christophe-Marie Duquesne for the post

Author: paradiseo <paradiseo>
Date:   Fri Dec 5 13:55:41 2008 +0000

    add "=0;" at the end of two virtual method

Author: paradiseo <paradiseo>
Date:   Thu Nov 20 16:35:47 2008 +0000

    remove DartConfig

Author: paradiseo <paradiseo>
Date:   Mon Nov 17 10:27:55 2008 +0000

    Switch from Dart to Dash.

Author: jeggermo <jeggermo>
Date:   Tue Nov 11 09:51:17 2008 +0000

    fixed some very old and stupid problems

Author: jeggermo <jeggermo>
Date:   Tue Nov 11 09:50:52 2008 +0000

    fixed some stupid problems

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon May 5 12:33:26 2008 +0000

    updated configure.in to generate moo files

Author: tlegrand <tlegrand>
Date:   Fri Apr 18 12:00:15 2008 +0000

    deleted "win" directory in the autotools config

Author: tlegrand <tlegrand>
Date:   Fri Apr 18 08:59:02 2008 +0000

    added eoExtendedvelocity (+doc + test) that takes both the local best and the global of a PSO topology into account. Also updated the doc tags for the other topologies and velocities

Author: tlegrand <tlegrand>
Date:   Fri Apr 18 08:58:42 2008 +0000

    imrproved PSO topology/velocity tests

Author: tlegrand <tlegrand>
Date:   Fri Apr 18 08:51:38 2008 +0000

    updated the doc tags

Author: tlegrand <tlegrand>
Date:   Fri Apr 18 08:50:22 2008 +0000

    added eoExtendedvelocity (+doc + test) that takes both the local best and the global of a PSO topology into account. Also updated the doc tags for the other topologies and velocities

Author: tlegrand <tlegrand>
Date:   Fri Apr 18 08:19:22 2008 +0000

    updated a few things about paradiseo (links, docs)

Author: tlegrand <tlegrand>
Date:   Fri Apr 18 07:58:17 2008 +0000

    deleted old and obsolete paradiseo's pdf slides

Author: paradiseo <paradiseo>
Date:   Thu Apr 17 14:31:11 2008 +0000

    new implementation of the test

Author: paradiseo <paradiseo>
Date:   Thu Apr 17 14:29:57 2008 +0000

    Add t-eoOrderXover in the test list

Author: paradiseo <paradiseo>
Date:   Thu Apr 17 14:29:10 2008 +0000

    test of eoOrderXover

Author: paradiseo <paradiseo>
Date:   Thu Apr 17 14:26:59 2008 +0000

    new crossover dedicated to permutation-based representation

Author: kuepper <kuepper>
Date:   Mon Mar 31 19:12:12 2008 +0000

    start preparation for 1.1 release

Author: kuepper <kuepper>
Date:   Mon Mar 31 19:11:13 2008 +0000

    Update for gcc-4.3 compatibility

Author: kuepper <kuepper>
Date:   Mon Mar 31 13:35:41 2008 +0000

    Add climits header as required for gcc-4.3 when using UINT_MAX

Author: ldacosta <ldacosta>
Date:   Mon Mar 31 12:53:51 2008 +0000

    make_continue... just a little formatting

Author: ldacosta <ldacosta>
Date:   Fri Mar 28 16:24:17 2008 +0000

    Output functor is needed if there is screen output OR FILE OUTPUT - until now, it was only created and stored in the screen output was activated. Line 120 of make_checkpoint.h

Author: ldacosta <ldacosta>
Date:   Fri Mar 28 16:09:40 2008 +0000

    Change in do_make_checkpoint: it receives not just a parameter from the evaluation function, not the function itself!!

Author: ldacosta <ldacosta>
Date:   Fri Mar 28 15:57:55 2008 +0000

    Adjusting configuration for Eclipse

Author: ldacosta <ldacosta>
Date:   Fri Mar 28 15:51:48 2008 +0000

    do_make_algo_scalar is extended: now it accepts also an evaluation of the fitness of the population as parameter.

Author: ldacosta <ldacosta>
Date:   Fri Mar 28 13:49:14 2008 +0000

    "Tutorial" conflicts with "tutorial" (in Eclipse), so I try to change names

Author: ldacosta <ldacosta>
Date:   Fri Mar 28 13:49:13 2008 +0000

    "Tutorial" conflicts with "tutorial" (in Eclipse), so I try to change names

Author: tlegrand <tlegrand>
Date:   Thu Mar 20 15:48:31 2008 +0000

    come back to dart.irisa.fr !

Author: tlegrand <tlegrand>
Date:   Thu Mar 20 08:43:44 2008 +0000

    added minimal test config

Author: ldacosta <ldacosta>
Date:   Thu Mar 13 16:28:34 2008 +0000

    "Tutorial" (with capital T) was interfering with the checkout of eo on Eclipse (because there is already one "tutorial", with "t"). This is just a renaming of "Tutorial".

Author: tlegrand <tlegrand>
Date:   Wed Mar 12 15:36:58 2008 +0000

    replaced ParadisEO links

Author: tlegrand <tlegrand>
Date:   Wed Mar 12 15:29:29 2008 +0000

    replaced ParadisEO links

Author: tlegrand <tlegrand>
Date:   Wed Mar 12 15:23:35 2008 +0000

    added lesson6

Author: tlegrand <tlegrand>
Date:   Wed Mar 12 14:59:03 2008 +0000

    added lesson 6 subdir

Author: tlegrand <tlegrand>
Date:   Tue Mar 11 13:16:35 2008 +0000

    changed dart server

Author: tlegrand <tlegrand>
Date:   Mon Mar 10 14:27:19 2008 +0000

    added coverage flags + visual studio 9 specific flags

Author: tlegrand <tlegrand>
Date:   Thu Mar 6 17:05:16 2008 +0000

    deleted CMAKE_BUILD_TYPE tags and management

Author: tlegrand <tlegrand>
Date:   Wed Mar 5 09:41:24 2008 +0000

    deleted old customized LL/SS PSO algorithms

Author: tlegrand <tlegrand>
Date:   Wed Mar 5 09:06:50 2008 +0000

    added lesson6 subdir

Author: tlegrand <tlegrand>
Date:   Tue Mar 4 14:01:29 2008 +0000

    Added new lesson (6) dedicated to the PSO. Also changed a few things into the PSO-dedicated components (constructors)

Author: tlegrand <tlegrand>
Date:   Tue Feb 26 14:53:32 2008 +0000

    corrected bad index error when uniform()=0 in roulette_wheel. The error was: if fortune=0, we first have "int i=0", then "return --i" .

Author: tlegrand <tlegrand>
Date:   Wed Feb 20 10:07:49 2008 +0000

    changed nightly start time : EDT -> WEST

Author: kuepper <kuepper>
Date:   Mon Feb 18 20:14:47 2008 +0000

    fix SF doc-generation,
    remove absolute paths

Author: tlegrand <tlegrand>
Date:   Mon Feb 18 15:08:08 2008 +0000

    added nighlty start date for Dart config

Author: tlegrand <tlegrand>
Date:   Mon Feb 18 14:43:09 2008 +0000

    set new gcc warning flags -Wall & -Wextra (deleted the others)

Author: tlegrand <tlegrand>
Date:   Fri Feb 15 13:10:06 2008 +0000

    Replaced "_isOneIndexed" boolean by an unsigned "_startFrom"

Author: tlegrand <tlegrand>
Date:   Fri Feb 15 12:50:58 2008 +0000

    Completed eoInitPermutation: CTor now has a "isOneIndexed" parameter to assign 1..Indi_size as genotype values instead of 0..Indi_size

Author: tlegrand <tlegrand>
Date:   Thu Feb 14 09:08:42 2008 +0000

    added "IF(ENABLE_CMAKE_TESTING)" to add test only if they have been enabled

Author: tlegrand <tlegrand>
Date:   Thu Feb 14 08:39:41 2008 +0000

    Added DartConfig for Dart reporting. By default CTest will submit to dart.irisa.fr (project ParadisEO).

Author: tlegrand <tlegrand>
Date:   Thu Feb 14 08:28:47 2008 +0000

    Added cl compiler flags + new DartConfig

Author: tlegrand <tlegrand>
Date:   Thu Feb 14 08:23:48 2008 +0000

    set warning flags to OFF

Author: tlegrand <tlegrand>
Date:   Thu Feb 14 08:23:16 2008 +0000

    deleted cxx flags for cl compiler. They have been moved to the CMakeLists.txt at the top level

Author: paradiseo <paradiseo>
Date:   Thu Jan 24 08:35:11 2008 +0000

    Addition of a method sort for PSO

Author: paradiseo <paradiseo>
Date:   Fri Jan 18 09:49:16 2008 +0000

    Modification of cotinuator.h

Author: tlegrand <tlegrand>
Date:   Thu Jan 17 13:08:21 2008 +0000

    added generic continuator for tests. just an "continuator" class extended by eoContinue. No impact for the rest.

Author: tlegrand <tlegrand>
Date:   Wed Jan 16 08:30:38 2008 +0000

    removed bad semicolon at the end of a "{}" bloc which is not a class/template/struct.
    Debugged using g++ flags

Author: tlegrand <tlegrand>
Date:   Wed Jan 16 08:14:18 2008 +0000

    corrected contructor parameter names. All tests OK

Author: tlegrand <tlegrand>
Date:   Tue Jan 15 13:57:32 2008 +0000

    renamed "globalBest" parameter in "globalBest" function ...

Author: tlegrand <tlegrand>
Date:   Tue Jan 15 13:53:18 2008 +0000

    removed bad semicolon at the end of a "{}" bloc which is not a class/template.
    Debugged using g++ flags (see CMakeLists.txt at the root)

Author: tlegrand <tlegrand>
Date:   Tue Jan 8 15:34:43 2008 +0000

    corrected weight factor and updated doc

Author: tlegrand <tlegrand>
Date:   Tue Jan 8 15:13:32 2008 +0000

    corrected PSO dummy errors and completed documentation

Author: tlegrand <tlegrand>
Date:   Tue Jan 8 14:50:13 2008 +0000

    corrected PSO dummy errors and completed documentation

Author: evomarc <evomarc>
Date:   Sat Dec 8 15:05:51 2007 +0000

    Added the GDB trick to visualize the components of a vector
    (but it still doesn't work with EO objects, though???)

Author: evomarc <evomarc>
Date:   Sat Dec 8 14:49:52 2007 +0000

    3 identical typos in 3 different files :-)

Author: tlegrand <tlegrand>
Date:   Mon Nov 26 08:00:25 2007 +0000

    Warning: A '_WINDOWS' definition is added to compile four  Unix-dedicated files (eoCtrlCContinue.h,eoCtrlCContinue.cpp, pipecom.h, pipecom.cpp). The same definition should be added in the automake configuration file to ensure the compatibility.

Author: tlegrand <tlegrand>
Date:   Mon Nov 26 07:56:08 2007 +0000

    added definition _WINDOWS for  (mingw and others) compatibility

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Nov 12 16:23:57 2007 +0000

    Updated makefiles, updated the moo stuff and cleaned up some stuff that refused to compile

Author: tlegrand <tlegrand>
Date:   Mon Nov 12 15:48:56 2007 +0000

    indented file

Author: tlegrand <tlegrand>
Date:   Mon Nov 12 15:46:42 2007 +0000

    completed with pso new components

Author: tlegrand <tlegrand>
Date:   Mon Nov 12 15:45:27 2007 +0000

    completed pso topologies+velocities

Author: tlegrand <tlegrand>
Date:   Mon Nov 12 15:43:43 2007 +0000

    added pso initializer+ integerVelocity

Author: tlegrand <tlegrand>
Date:   Mon Nov 12 15:41:46 2007 +0000

    added permutation init

Author: tlegrand <tlegrand>
Date:   Mon Nov 12 15:41:09 2007 +0000

    added permut components

Author: tlegrand <tlegrand>
Date:   Thu Oct 11 14:14:10 2007 +0000

    added test for permutation components

Author: tlegrand <tlegrand>
Date:   Thu Oct 11 14:10:27 2007 +0000

    added generic parameter for sigmoid function

Author: tlegrand <tlegrand>
Date:   Thu Oct 11 14:08:41 2007 +0000

    added new tests

Author: tlegrand <tlegrand>
Date:   Thu Oct 11 14:08:06 2007 +0000

    added PSO ring topology test

Author: tlegrand <tlegrand>
Date:   Thu Oct 11 14:03:18 2007 +0000

    added PSO ring topology

Author: tlegrand <tlegrand>
Date:   Mon Oct 8 15:33:46 2007 +0000

    *** empty log message ***

Author: tlegrand <tlegrand>
Date:   Mon Oct 8 15:22:25 2007 +0000

    added best position updating + printOn

Author: tlegrand <tlegrand>
Date:   Thu Oct 4 15:10:11 2007 +0000

     added autoconf > 2.6 compatibility

Author: kuepper <kuepper>
Date:   Tue Sep 25 21:29:31 2007 +0000

    add coding cookies for Emacs and vim

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Sep 23 08:37:09 2007 +0000

    added patched tcc source tree

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Sep 23 08:35:51 2007 +0000

    updated include dependencies

Author: tlegrand <tlegrand>
Date:   Wed Sep 19 11:45:19 2007 +0000

    Added #ifdef HAVE_GNUPLOT for Windows compatibility

Author: tlegrand <tlegrand>
Date:   Wed Sep 19 11:44:39 2007 +0000

    Added eoNSGA_II classes in eomoo lib

Author: tlegrand <tlegrand>
Date:   Wed Sep 19 11:41:08 2007 +0000

    Forget gprop application under Visual Studio

Author: tlegrand <tlegrand>
Date:   Wed Sep 19 11:40:31 2007 +0000

    Several fixes

Author: tlegrand <tlegrand>
Date:   Wed Sep 19 11:32:47 2007 +0000

    Added basic CMake file

Author: tlegrand <tlegrand>
Date:   Tue Sep 18 15:40:31 2007 +0000

    Avoid EONSGA in the lib (errors with Windows/MVS)

Author: tlegrand <tlegrand>
Date:   Tue Sep 18 15:12:22 2007 +0000

    Completed CMake config

Author: tlegrand <tlegrand>
Date:   Fri Sep 14 14:47:15 2007 +0000

    Corrected missing eo.doxytag

Author: tlegrand <tlegrand>
Date:   Thu Sep 13 15:13:15 2007 +0000

    removed --force-missing option for Automake: incompatible with the latest versions

Author: tlegrand <tlegrand>
Date:   Thu Sep 13 13:36:13 2007 +0000

    Added cmake support, deleted Autoconf/Automake stuff and made an easy-to-use process

Author: tlegrand <tlegrand>
Date:   Tue Sep 11 14:20:16 2007 +0000

    Changed file format (to avoid Visual Studio errors): MAC --> DOS

Author: tlegrand <tlegrand>
Date:   Tue Sep 11 13:59:49 2007 +0000

    Added HAVE_GNUPLOT checking

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Sep 10 10:30:53 2007 +0000

    Various changes and optimizations

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Sep 6 08:15:22 2007 +0000

    Woops, used the wrong sort here

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Sep 5 13:52:17 2007 +0000

    added eoFuncPtrStat, and appended various addTo member functions for more elegant definition of monitors, stats, checkpoints, etc

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Sep 5 11:36:44 2007 +0000

    added eoFuncPtrStat, and appended various addTo member functions for more elegant definition of monitors, stats, checkpoints, etc

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Sep 4 15:30:42 2007 +0000

    added eoEpsMOEA support

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Sep 4 15:26:45 2007 +0000

    added epsilon moea

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Sep 4 13:44:41 2007 +0000

    made fitness() query return const reference

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Sep 4 13:44:02 2007 +0000

    removed const qualifier from choice() member

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Sep 4 07:50:31 2007 +0000

    Added member to get to the embedded fitness object

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Sep 4 07:47:46 2007 +0000

    Added reinitialization of fitness when fitness is invalidated. Needed this to clear worths in multi-objective case

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Sep 3 14:37:27 2007 +0000

    several fixes

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 14:12:54 2007 +0000

    more bugfixes

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 14:03:35 2007 +0000

    changed eoTruncate to use sort. nth_element leads to weird results in moo case

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 13:45:46 2007 +0000

    made stuff virtual

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 13:27:40 2007 +0000

    Refactoring

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 13:26:41 2007 +0000

    updated nsga

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 12:59:18 2007 +0000

    refactoring

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 11:19:26 2007 +0000

    hmm not a good idea to replace with dummy

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 11:08:25 2007 +0000

    update needed for multi-objective approach

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 11:05:59 2007 +0000

    updated comments

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 10:57:05 2007 +0000

    added new multi-objective support

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Aug 31 06:47:39 2007 +0000

    fixed bug in NSGA-II, only niching on last objective

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Aug 30 22:30:52 2007 +0000

    fixed bug in NSGA-II, only niching on last objective

Author: kuepper <kuepper>
Date:   Wed Aug 22 07:30:47 2007 +0000

    eoRNG.h (eoRng::random): Add comment on truncation as standard way of
    floating point to integer conversion.

Author: kuepper <kuepper>
Date:   Tue Aug 21 14:52:50 2007 +0000

    Fix according to
      [ 1663606 ] eoBitOp vector access

Author: kuepper <kuepper>
Date:   Tue Aug 21 14:50:55 2007 +0000

    Fix wrong removalr of necessary include statement

Author: kuepper <kuepper>
Date:   Tue Aug 21 14:47:14 2007 +0000

    Correctly round towards zero in random(uint32_t)

Author: kuepper <kuepper>
Date:   Tue Aug 21 14:44:41 2007 +0000

    Minor cleanup

Author: kuepper <kuepper>
Date:   Tue Aug 21 13:58:53 2007 +0000

    Fix typos

Author: maartenkeijzer <maartenkeijzer>
Date:   Sat Aug 11 20:48:07 2007 +0000

     brought gprop into 21st century

Author: tlegrand <tlegrand>
Date:   Fri Aug 10 14:31:04 2007 +0000

    added #ifdef SIGQUIT for windows compatibility

Author: tlegrand <tlegrand>
Date:   Fri Aug 10 14:30:26 2007 +0000

    added #define _MSC_VER_ for windows compatibility

Author: tlegrand <tlegrand>
Date:   Fri Aug 10 14:29:12 2007 +0000

    added CMake configuration files

Author: tlegrand <tlegrand>
Date:   Fri Aug 10 14:27:12 2007 +0000

    added CMake configuration file

Author: xohm <xohm>
Date:   Thu Aug 2 10:48:20 2007 +0000

    Add extra functionwrapper to member 'size'

Author: xohm <xohm>
Date:   Thu Aug 2 10:47:15 2007 +0000

    Excluded 'config.h' from windows build

Author: xohm <xohm>
Date:   Thu Aug 2 10:46:07 2007 +0000

    Add static var-declaration

Author: xohm <xohm>
Date:   Thu Aug 2 10:45:12 2007 +0000

    Cmake multiplattform buildfile

Author: xohm <xohm>
Date:   Thu Aug 2 10:15:13 2007 +0000

    *** empty log message ***

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jul 17 13:03:29 2007 +0000

    comments removed

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jul 17 13:01:00 2007 +0000

    Adding timed continuator

Author: tlegrand <tlegrand>
Date:   Tue Jul 3 09:13:07 2007 +0000

    added doc details to recognize particle swarm optimization

Author: tlegrand <tlegrand>
Date:   Mon Jul 2 13:05:14 2007 +0000

    added t-eoEasyPSO test

Author: tlegrand <tlegrand>
Date:   Mon Jul 2 13:02:26 2007 +0000

    added myself in the author list :-))

Author: tlegrand <tlegrand>
Date:   Mon Jul 2 13:01:49 2007 +0000

    particle-swarm-optimization includes added

Author: tlegrand <tlegrand>
Date:   Mon Jul 2 13:00:48 2007 +0000

    removed unconsitent reference in "eoWeakElitistReplacement" (const EOT  oldChamp)

Author: tlegrand <tlegrand>
Date:   Mon Jul 2 12:59:49 2007 +0000

    "dMatrix distMatrix(pSize*(pSize-1)/2)" replaced by "distMatrix(pSize) "

Author: tlegrand <tlegrand>
Date:   Mon Jul 2 12:58:13 2007 +0000

    particle-swarm-optimization main templates added

Author: tlegrand <tlegrand>
Date:   Mon Jun 25 09:38:44 2007 +0000

    PSO package - contains src+doc+examples and build process files - should be removed before integrating sources

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jun 19 17:48:16 2007 +0000

    Re-enabled declone flag (seemed to be commented out for some reason)

Author: jeggermo <jeggermo>
Date:   Thu May 3 14:00:50 2007 +0000

    All debug (dll and non-dll libs) and release libs are placed in either debug or release

Author: jeggermo <jeggermo>
Date:   Thu May 3 13:54:27 2007 +0000

    Added Multi-Threaded DLL projects settings for both deebug and release

Author: kuepper <kuepper>
Date:   Thu Feb 22 08:27:32 2007 +0000

    * mutation.tmpl, quadCrossover.tmpl, stat.tmpl: Initialize formerly
    uninitialized variables.
    
    * README.tmpl: Hint to regular Templates/README for details.
    
    * README: Add documentation for adding new source-files.
    
    * Makefile.am.src-tmpl (noinst_HEADERS): Add
    (MyStruct_SOURCES): Move header files from here to the new
    noinst_HEADERS variable.

Author: kuepper <kuepper>
Date:   Tue Jan 23 22:25:57 2007 +0000

    bump versions to 1.0.2-cvs

Author: kuepper <kuepper>
Date:   Tue Jan 23 22:23:31 2007 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Tue Jan 23 22:09:17 2007 +0000

    updates for 1.0.1 release

Author: evomarc <evomarc>
Date:   Wed Jan 17 05:31:05 2007 +0000

    Slightly modified the README.tmpl for more help to first-timers

Author: kuepper <kuepper>
Date:   Tue Jan 16 08:28:24 2007 +0000

    Add instructions for bash.

Author: kuepper <kuepper>
Date:   Sun Jan 14 18:56:31 2007 +0000

    * createEOproject.sh: Set TargetDir to /tmp/<name>. This is a workaround
    for automake finding the scripts of eo itself if we run it in a embedded
    subdirectory.
    (COPYING, INSTALL): create.
    
    * README: State more explicitly what a "complete installation" means.
    Give build-instructions for moved directories.

Author: kuepper <kuepper>
Date:   Sun Jan 14 18:13:40 2007 +0000

    State more explicitly what a "complete installation" means.

Author: kuepper <kuepper>
Date:   Fri Dec 29 14:16:01 2006 +0000

    Update after release

Author: kuepper <kuepper>
Date:   Mon Dec 18 18:56:05 2006 +0000

    (EXTRA_DIST): Add README's

Author: kuepper <kuepper>
Date:   Mon Dec 18 18:51:12 2006 +0000

    Update for release.

Author: jeggermo <jeggermo>
Date:   Mon Dec 18 16:21:38 2006 +0000

    Small changes to 2 readme files to stress that the release version are in
    eo\win\lib\release and the debug versions in eo\win\lib\debug

Author: kuepper <kuepper>
Date:   Mon Dec 18 12:18:32 2006 +0000

    * index.h: Add old ToDos

Author: kuepper <kuepper>
Date:   Mon Dec 18 11:19:53 2006 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Mon Dec 18 11:17:55 2006 +0000

    * TODO.html, README.html: Remove these old files.
    
    * AUTHORS, COPYING, ForRelease, NEWS, ToDo: Update for release.
    
    * eo.cfg (PROJECT_NUMBER): Bump version to 1.0

Author: kuepper <kuepper>
Date:   Sun Dec 17 23:18:33 2006 +0000

    update

Author: kuepper <kuepper>
Date:   Sun Dec 17 22:59:53 2006 +0000

    * README: Better links to Templates/
    
    * configure.in: Bump version to 1.0-beta2.

Author: kuepper <kuepper>
Date:   Sun Dec 17 22:56:03 2006 +0000

    Remove these, potentially confusing files

Author: kuepper <kuepper>
Date:   Sun Dec 17 22:50:26 2006 +0000

    Added new README.
    Removed old unnecesary files

Author: kuepper <kuepper>
Date:   Sat Dec 16 22:05:17 2006 +0000

    * Makefile.am (EXTRA_DIST): Distribute exactly the necessary files

Author: kuepper <kuepper>
Date:   Sat Dec 16 22:01:46 2006 +0000

    * Makefile.am (EXTRA_DIST): Distribute exactly the necessary files

Author: kuepper <kuepper>
Date:   Sat Dec 16 21:55:03 2006 +0000

    * EO.tpl, MyStructEA.cpp, MyStructSEA.cpp, make_MyStruct.cpp: Use
    correct names for includes.
    
    * README.manual: This is a copy of the old README.
    
    * README: Describe the new way and setup of creating a new EO project.
    
    * createEOproject.sh, Makefile.am.src-tmpl, Makefile.am.top-tmpl:
    * configure.ac.tmpl: New files to create a standalone EO project from
    templates.

Author: uid24343 <uid24343>
Date:   Thu Dec 7 21:54:48 2006 +0000

    clean up

Author: kuepper <kuepper>
Date:   Thu Dec 7 21:36:33 2006 +0000

    cleanup for release

Author: kuepper <kuepper>
Date:   Tue Dec 5 08:42:39 2006 +0000

    set version to 1.0-cvs again

Author: kuepper <kuepper>
Date:   Tue Dec 5 08:41:24 2006 +0000

    (EXTRA_DIST): Add new MSVC project files to distribution.

Author: kuepper <kuepper>
Date:   Mon Dec 4 22:27:41 2006 +0000

    * Makefile.am: Add t-eoRNG
    
    * t-eoRNG.cpp: Start test for random number generator.

Author: kuepper <kuepper>
Date:   Mon Dec 4 21:55:31 2006 +0000

    (eoRng::normal(stdev)): Revert erroneous change.

Author: kuepper <kuepper>
Date:   Sun Dec 3 11:57:34 2006 +0000

    Fixupper/lowercase issues

Author: kuepper <kuepper>
Date:   Sun Dec 3 11:44:38 2006 +0000

    fix html errors

Author: kuepper <kuepper>
Date:   Sun Dec 3 11:40:25 2006 +0000

    update

Author: kuepper <kuepper>
Date:   Sun Dec 3 11:24:41 2006 +0000

    update, add link to Niko Hansen's comparison

Author: kuepper <kuepper>
Date:   Sun Dec 3 10:53:29 2006 +0000

    update version number of next release

Author: kuepper <kuepper>
Date:   Sun Dec 3 10:41:54 2006 +0000

    * mainpage.html: update, add link to Niko Hansen's comparison
    
    * README: Add more specific note about tutorial.
    
    * configure.in: Bump version to 1.0-beta1
    
    * tutorial/Makefile.am: Add all necessary files, including html and
    Templates to distribution.

Author: evomarc <evomarc>
Date:   Sun Dec 3 07:21:44 2006 +0000

    Added a note to avoid that some dishonest researchers use teh code
    in this tutorial as a basis for comparing their algorithms with "EAs"
    as was done for the LEM3 algorithm in GECCO 2006.

Author: kuepper <kuepper>
Date:   Sat Dec 2 12:15:29 2006 +0000

    update

Author: kuepper <kuepper>
Date:   Sat Dec 2 11:46:34 2006 +0000

    cleanup, docs

Author: kuepper <kuepper>
Date:   Sat Dec 2 11:36:29 2006 +0000

    (VirusShiftMutation::operator()): Fix test for i>1.
    This makes t-MGE1bit pass on x86_64 using GCC.

Author: kuepper <kuepper>
Date:   Sat Dec 2 11:32:00 2006 +0000

    Change float to double.

Author: kuepper <kuepper>
Date:   Sat Dec 2 11:02:13 2006 +0000

    Remove unnecessary tests.

Author: kuepper <kuepper>
Date:   Sat Dec 2 10:18:57 2006 +0000

    * eoTimedMonitor.h (eoTimedMonitor::seconds): Make unsigned.
    
    * eoRNG.cpp, eoRNG.h (K, M, N): Declare static and initialize in cpp.
    
    * t-eoGenOp.cpp (init): Do not add std::ends to end of string, as this
    results in escape-codes (^@) to be printed at runtime and is not
    necessary anyway.
    
    * test/t-eoSymreg.cpp (SymregNode::operator()): Initialize r1 and r2 to
    avoid compiler warnings.

Author: kuepper <kuepper>
Date:   Sat Dec 2 09:39:13 2006 +0000

    * eoRNG.h: Cleanup docs and document /all/ members.
    
    * eoRNG.cpp, eoRNG.h (K, M, N): Declare static and initialize in cpp.

Author: kuepper <kuepper>
Date:   Fri Dec 1 21:07:55 2006 +0000

    minor typos

Author: kuepper <kuepper>
Date:   Fri Dec 1 20:40:54 2006 +0000

    Use C++ style cast.

Author: kuepper <kuepper>
Date:   Fri Dec 1 20:08:51 2006 +0000

    * Makefile.am: Update for release-distribution.
    
    * Makefile.am: Add missing CMA header for distribution.
    
    * Makefile.am: Add missing header for distribution.

Author: kuepper <kuepper>
Date:   Fri Dec 1 10:49:47 2006 +0000

    minor cleanup of code and docs,
    resolve some compiler warnings

Author: okoenig <okoenig>
Date:   Fri Dec 1 08:42:54 2006 +0000

    Replaced float vars with double to avoid conversion warnings on VS 8.0

Author: kuepper <kuepper>
Date:   Wed Nov 29 23:47:40 2006 +0000

    update for release

Author: kuepper <kuepper>
Date:   Wed Nov 29 23:37:29 2006 +0000

    Generally include <cmath>

Author: okoenig <okoenig>
Date:   Tue Nov 28 17:14:05 2006 +0000

    Removing MAC line endings, because Windows VS 8.0 does not accept them.

Author: okoenig <okoenig>
Date:   Tue Nov 28 17:12:21 2006 +0000

    Added additonal definition for operator< between fitness and ScalarType. Needed for compilation with VS 8.0.

Author: jeggermo <jeggermo>
Date:   Mon Nov 20 13:34:28 2006 +0000

    Added Solution and Project files for MSVC 2003

Author: jeggermo <jeggermo>
Date:   Mon Nov 20 13:25:46 2006 +0000

    Changed some files for compatibility with MSVC 2003 and 2005

Author: kuepper <kuepper>
Date:   Thu Nov 16 13:21:41 2006 +0000

    include <cassert>

Author: kuepper <kuepper>
Date:   Thu Nov 16 12:52:46 2006 +0000

    * configure.in (AC_DEBUG): add test
    
    * acinclude.m4 (AC_DEBUG): Define debug-feature and set DEBUG, NODEBUG,
    or NDEBUG according to its value.

Author: kuepper <kuepper>
Date:   Thu Nov 16 12:35:46 2006 +0000

    * make_genotype_real.h (eoEsChromInit): Rewrite vecSigmaInit-handling:
    If sigmaInit is relative (%), do not read vecSigmaInit. Otherwise
    always use vecSigmaInit with default all values of sigmaInit.
    
    * eoParser.h (eoParser::getORcreateParam): Make this a real if-then-else
    clause around ptParam (found or not).
    
    * eoParam.h (eoValueParam::setValue): Document.
    (eoValueParam<std::vector<double> >::setValue): Allow delimiters ',' and
    ';'. A plain ' ' does not work, as it is not correctly read by
    eoParser::readFrom.

Author: kuepper <kuepper>
Date:   Tue Jun 13 13:35:26 2006 +0000

    update

Author: kuepper <kuepper>
Date:   Mon Mar 27 18:55:20 2006 +0000

    Fix using directives for gcc-4.1

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Mar 26 13:33:25 2006 +0000

    fixed t-eoCMAES.cpp test

Author: kuepper <kuepper>
Date:   Sun Mar 26 10:04:01 2006 +0000

    Update docs, some cleanup

Author: kuepper <kuepper>
Date:   Sat Mar 25 13:03:45 2006 +0000

    Start list of publications

Author: kuepper <kuepper>
Date:   Thu Mar 23 18:06:10 2006 +0000

    Fix spelling

Author: kuepper <kuepper>
Date:   Thu Mar 23 10:15:17 2006 +0000

    update Makefile.am foe eoPeriodicContiunue addition

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Mar 6 20:47:28 2006 +0000

    making dimensionality requirement optional

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Mar 6 20:31:03 2006 +0000

    making dimensionality requirement optional

Author: cahon <cahon>
Date:   Tue Feb 28 14:40:37 2006 +0000

    Adding a continuator

Author: cahon <cahon>
Date:   Tue Feb 28 14:39:45 2006 +0000

    New continuation strategy

Author: evomarc <evomarc>
Date:   Wed Feb 22 04:53:20 2006 +0000

    Corrected a few typos, and acknowledged the fact that all Lessons are now
    compiled within the installation procedure...

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jan 23 15:12:49 2006 +0000

    updated makefile to boost-python3.3 and python2.4

Author: evomarc <evomarc>
Date:   Mon Jan 2 14:09:22 2006 +0000

    Changed some bug in never-used-except-in-make_algo_easea.h file
    (probably some change in the compiler made this stop working ???)

Author: cahon <cahon>
Date:   Fri Dec 9 17:49:43 2005 +0000

    eoGenContinue is now persistent

Author: cahon <cahon>
Date:   Fri Dec 9 17:45:56 2005 +0000

    eoContinue is now persistent

Author: kuepper <kuepper>
Date:   Wed Dec 7 15:51:32 2005 +0000

    fix build for our FC4 systems

Author: kuepper <kuepper>
Date:   Wed Dec 7 15:40:23 2005 +0000

    fixes for gcc-4 compilation -- still have a linker problem

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Nov 24 09:38:05 2005 +0000

    kd

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Nov 24 09:35:34 2005 +0000

    Various bugfixes and additions

Author: evomarc <evomarc>
Date:   Tue Nov 8 11:34:12 2005 +0000

    Removed the "using eoMonitor::vec from eoGnuplot1DMonitor.h because it generated
    an internal compiler error with gcc4.0.0.
    Repalced all occurences of "vec" by "this->vec" in eoGnuplot1DMonitor.cpp
    so it is understood by the compiler :-(

Author: evomarc <evomarc>
Date:   Tue Nov 8 11:31:01 2005 +0000

    Removed extra colon (;) at end of class definitions.
    They didn't hurt until gcc 3.4.1 but then they generated an error!

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Oct 17 12:46:53 2005 +0000

    Woops, forgot to clear a static string for compile

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Oct 16 15:38:38 2005 +0000

    Added lambda expression (user/automatically defined functions

Author: maartenkeijzer <maartenkeijzer>
Date:   Sat Oct 15 21:27:47 2005 +0000

    Solved some issues and prepared the library for using unordered_map instead of hash_map (C++ TR1). Can only use this when g++-4.0.3 is out

Author: maartenkeijzer <maartenkeijzer>
Date:   Sat Oct 15 09:05:57 2005 +0000

    Made eoGencontinue a ValueParam<unsigned>, so that it can be attached to a monitor

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 14 16:14:37 2005 +0000

    forgot to invalidate

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 14 15:34:45 2005 +0000

    Tester for CMA

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 14 15:33:32 2005 +0000

    Added CMA

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 14 15:33:16 2005 +0000

    added timed monitor

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Oct 12 18:35:13 2005 +0000

    oops, stats.h was missing

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Oct 11 08:15:29 2005 +0000

    Added simplify and differentiation tests

Author: kuepper <kuepper>
Date:   Mon Oct 10 21:59:57 2005 +0000

    prepare vecInitSize

Author: kuepper <kuepper>
Date:   Mon Oct 10 21:42:31 2005 +0000

    cleanup, prepare vecSigmaInit change

Author: kuepper <kuepper>
Date:   Mon Oct 10 21:13:27 2005 +0000

    cleanup

Author: evomarc <evomarc>
Date:   Mon Oct 10 13:34:21 2005 +0000

    Added an accessor to the pointsize in eoeoGnuplot1DSnapshot.h

Author: evomarc <evomarc>
Date:   Mon Oct 10 13:33:13 2005 +0000

    Added an accessor to the pointsize, for do_make_checkpoint_pareto

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Oct 9 07:03:35 2005 +0000

    Added symbolic differentiation

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 7 13:31:20 2005 +0000

    Faster scaled evaluation, etc.

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 7 11:31:01 2005 +0000

    Constant mutation + simplification added

Author: evomarc <evomarc>
Date:   Fri Oct 7 08:27:59 2005 +0000

    A colon had mystriously dissappeared !!!

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Oct 6 22:26:59 2005 +0000

    more ramblings in readme

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Oct 6 22:14:48 2005 +0000

    Added constant getting and setting

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Oct 6 18:10:13 2005 +0000

    fix

Author: kuepper <kuepper>
Date:   Thu Oct 6 17:22:40 2005 +0000

    Handle including from contrib/MGE nicely.

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Oct 6 14:31:09 2005 +0000

    removed stray object files

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Oct 6 12:25:00 2005 +0000

    first fix in makefile

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Oct 6 12:13:53 2005 +0000

    Added mathsym+tcc and boost against all advice

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Oct 6 10:06:25 2005 +0000

    Replaced GPL with LGPL license here. EO has always been LGPL

Author: kuepper <kuepper>
Date:   Wed Oct 5 22:22:25 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Wed Oct 5 22:08:29 2005 +0000

    typos

Author: kuepper <kuepper>
Date:   Wed Oct 5 21:48:01 2005 +0000

    cleanup

Author: kuepper <kuepper>
Date:   Wed Oct 5 21:40:53 2005 +0000

    comments

Author: kuepper <kuepper>
Date:   Wed Oct 5 21:34:19 2005 +0000

    finish the handling of gnuplot completely at build-time.
    No gnuplot-ifs in headers anymore.

Author: kuepper <kuepper>
Date:   Wed Oct 5 21:25:51 2005 +0000

    some first external links

Author: kuepper <kuepper>
Date:   Mon Oct 3 21:48:15 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Mon Oct 3 12:54:45 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Mon Oct 3 10:58:01 2005 +0000

    cleanup

Author: kuepper <kuepper>
Date:   Mon Oct 3 10:53:35 2005 +0000

    clean up

Author: kuepper <kuepper>
Date:   Mon Oct 3 10:32:56 2005 +0000

    some nifty details,
    passes W3 validator.

Author: kuepper <kuepper>
Date:   Mon Oct 3 10:26:30 2005 +0000

    clean up html

Author: kuepper <kuepper>
Date:   Mon Oct 3 10:10:09 2005 +0000

    move logo to cvs

Author: kuepper <kuepper>
Date:   Mon Oct 3 10:06:26 2005 +0000

    updates for release

Author: kuepper <kuepper>
Date:   Mon Oct 3 09:56:02 2005 +0000

    Make clear that the docs are for the cvs code.

Author: kuepper <kuepper>
Date:   Mon Oct 3 09:51:27 2005 +0000

    update for release.

Author: kuepper <kuepper>
Date:   Mon Oct 3 09:47:06 2005 +0000

    Initialize booleans to get rid of compiler-warnings.

Author: kuepper <kuepper>
Date:   Sun Oct 2 21:57:43 2005 +0000

    fix foe gnuplot configuration-switch usage

Author: kuepper <kuepper>
Date:   Sun Oct 2 21:42:08 2005 +0000

    Clean up configure/build-process.
    - assume C++ standard-conforming environment
    - add a user-option for gnuplot-support
    - separate gnuplot-code into declaration and implementation,
      so we can define at EO-build-time whether to use it or not.
    
    Adopt code and Makefiles to above changes.
    
    Some minor fixes.

Author: kuepper <kuepper>
Date:   Sat Oct 1 17:07:59 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Sat Oct 1 16:05:01 2005 +0000

    add zip to dist,
    update release-plan.

Author: kuepper <kuepper>
Date:   Sat Oct 1 15:35:45 2005 +0000

    Search for ar as necessary on Solaris-x86.
    Make DOXYGEN and AR precious variables.

Author: kuepper <kuepper>
Date:   Sat Oct 1 14:25:29 2005 +0000

    update for solaris-x86

Author: kuepper <kuepper>
Date:   Sat Oct 1 14:00:42 2005 +0000

    Include inttypes.h if available but stdint.h is not.
    Add powerpc success.

Author: kuepper <kuepper>
Date:   Sat Oct 1 13:27:25 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Sat Oct 1 13:26:29 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Sat Oct 1 13:07:01 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Sat Oct 1 13:00:59 2005 +0000

    update and clean up

Author: kuepper <kuepper>
Date:   Sat Oct 1 12:18:21 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Sat Oct 1 12:13:00 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Sat Oct 1 11:59:14 2005 +0000

    update docs
    clean Tutorial
    bump version-number for cvs

Author: kuepper <kuepper>
Date:   Fri Sep 30 21:16:24 2005 +0000

    typo

Author: kuepper <kuepper>
Date:   Fri Sep 30 11:47:26 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Thu Sep 29 22:08:19 2005 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Thu Sep 29 22:01:52 2005 +0000

    add main web-page

Author: kuepper <kuepper>
Date:   Thu Sep 29 16:53:06 2005 +0000

    Use install to copy generated documentation.

Author: kuepper <kuepper>
Date:   Wed Sep 28 21:57:40 2005 +0000

    remove forgotten config.h

Author: kuepper <kuepper>
Date:   Wed Sep 28 21:49:26 2005 +0000

    Simplify configuration.
    Remove support for (outdated) <strstream>, require <sstream>.
    Require uint32_t for now, defined in stdint.h according to C99.
    Some general cleanup and more documentation.

Author: kuepper <kuepper>
Date:   Wed Sep 28 18:25:38 2005 +0000


Author: kuepper <kuepper>
Date:   Wed Sep 28 17:59:59 2005 +0000


Author: kuepper <kuepper>
Date:   Wed Sep 28 16:32:35 2005 +0000

    Switch on documentation generation for private and static members.

Author: kuepper <kuepper>
Date:   Wed Sep 28 14:32:12 2005 +0000

    Some more documentation

Author: kuepper <kuepper>
Date:   Wed Sep 28 10:00:16 2005 +0000

    Add ignore-files to quiten cvs

Author: kuepper <kuepper>
Date:   Wed Sep 28 08:36:00 2005 +0000

    documente for stdev_eps

Author: kuepper <kuepper>
Date:   Tue Sep 27 22:06:08 2005 +0000

    cleanup

Author: kuepper <kuepper>
Date:   Tue Sep 27 21:54:05 2005 +0000

    documentation, whitespace

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Sep 26 11:22:47 2005 +0000

    Removed wrong reference to rng from choice members (what was I thinking?)

Author: kuepper <kuepper>
Date:   Mon Sep 26 10:18:15 2005 +0000

    Make sure uint32_t is defined correctly in eoRNG.h and use it where
    appropriate.

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Sep 25 19:32:10 2005 +0000

    Added few convenience functions

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Sep 25 19:09:38 2005 +0000

    Added choice functions, plus rolled back inadvertant chance to eoRNG

Author: kuepper <kuepper>
Date:   Tue Sep 13 10:24:50 2005 +0000

    setORcreate returns it parameter.

Author: kuepper <kuepper>
Date:   Mon Sep 12 17:53:25 2005 +0000

    Use getORcreateParam instead of createParam when getting values from
    the eoParser.
    Update setORcreateParam.

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Sep 7 17:09:19 2005 +0000

    eoRNG.h

Author: kuepper <kuepper>
Date:   Mon Sep 5 17:04:13 2005 +0000

    Remove paradiseo configuration switch

Author: kuepper <kuepper>
Date:   Mon Sep 5 16:47:53 2005 +0000

    Provide virtual destructors as gcc-4 barks heavily otherwise

Author: kuepper <kuepper>
Date:   Mon Sep 5 16:11:00 2005 +0000

    ParadiesEO cleanup

Author: kuepper <kuepper>
Date:   Mon Sep 5 16:09:43 2005 +0000

    Remove useless PAradisEO files

Author: kuepper <kuepper>
Date:   Mon Sep 5 16:08:14 2005 +0000

    Remove useless files from paradiseo directories

Author: cahon <cahon>
Date:   Fri Sep 2 13:36:21 2005 +0000

    Removing ParadisEO

Author: cahon <cahon>
Date:   Fri Sep 2 07:12:27 2005 +0000

    Removing ParadisEO

Author: cahon <cahon>
Date:   Fri Sep 2 07:00:45 2005 +0000

    Removing ParadisEO

Author: kuepper <kuepper>
Date:   Mon Aug 29 07:50:50 2005 +0000

    Provide eoParser::setORcreateParam to set a paramter in the parser to
    a specific value.

Author: kuepper <kuepper>
Date:   Mon Aug 29 07:32:13 2005 +0000

    Install eoPropGAGenOp.h
    Add #include <cmath> in eoEsChromInit.h in order to make gcc-4.0 happy.

Author: evomarc <evomarc>
Date:   Sat May 7 15:43:29 2005 +0000

     Added eoPropGAGenOp, the sequential application of crossover and mutation

Author: evomarc <evomarc>
Date:   Mon Apr 4 20:41:06 2005 +0000

    Small upgrade for gcc 3.3 (I guess no-one is using those files, right?)

Author: evomarc <evomarc>
Date:   Mon Mar 14 21:00:00 2005 +0000

    Updated the src:: everywhere in eoVariableLengthCrossover.h eoFlOrMonOp.h
    (that nobody seems to actually use btw :-)

Author: cahon <cahon>
Date:   Wed Feb 23 13:31:20 2005 +0000

    Removing ParadisEO

Author: cahon <cahon>
Date:   Tue Feb 22 14:12:19 2005 +0000

    Removing ParadisEO

Author: evomarc <evomarc>
Date:   Thu Feb 10 09:57:28 2005 +0000

    Added the complete reference to the base class in call for value()
    because g++3.4 otherwise complains

Author: kuepper <kuepper>
Date:   Mon Jan 3 09:35:39 2005 +0000

    include config.h

Author: kuepper <kuepper>
Date:   Mon Jan 3 09:35:17 2005 +0000

    fix for gcc-3.4

Author: evomarc <evomarc>
Date:   Mon Dec 27 09:08:44 2004 +0000

    Mainly made it obvious that Lesson4 contains "ready-to-use" EAs

Author: evomarc <evomarc>
Date:   Mon Dec 27 08:01:29 2004 +0000

    Modified the way to set the initial values of the sigmas (and stdevs)
    so that they can be scaled to the range of each variable (by adding
    a "%" after the value in the parameter file)
    See also the examples in tutorial/Lesson4

Author: evomarc <evomarc>
Date:   Mon Dec 27 07:59:58 2004 +0000

    Added the 2 parameter files ESEA.param amd RealEA.param
    so both programs go to 0 nicely instead of staying anywhere but close

Author: evomarc <evomarc>
Date:   Mon Dec 27 07:33:03 2004 +0000

    Added the explicit calls to the base class ctors in eoXXXGeneralBounds copy Ctors

Author: evomarc <evomarc>
Date:   Mon Dec 27 07:31:59 2004 +0000

    Fixed some int - unsigned int problem for the case "combien < 0"

Author: kuepper <kuepper>
Date:   Thu Dec 23 17:33:08 2004 +0000

    reshuffle libraries to resolve all dependencies

Author: kuepper <kuepper>
Date:   Thu Dec 23 17:26:39 2004 +0000

    minor updates,
    create doxytag-file when running doxygen

Author: kuepper <kuepper>
Date:   Thu Dec 23 17:22:52 2004 +0000

    more adjustments for gcc-3.4 (now using optimization, go figure...)

Author: kuepper <kuepper>
Date:   Thu Dec 23 16:06:37 2004 +0000

    small fix for gcc-3.3.3

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Dec 23 15:40:44 2004 +0000

    Some small changes concerning flags and warnings

Author: kuepper <kuepper>
Date:   Thu Dec 23 15:29:07 2004 +0000

    Adjust code to perform to C++ standard according to gcc-3.4
    interpretation... (Have not compiled/checked/changed paradisEO.)
    
    That is, the current code compiles with gcc-3.4 and the checks
    (besides t-MGE1bit) all pass.

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Dec 23 10:14:42 2004 +0000

    Added using declarations to avoid g++-3.4 errors

Author: evomarc <evomarc>
Date:   Wed Dec 1 09:27:31 2004 +0000

    Added comments so that the new classes eoGeneralXXXBounds are taken into account
    by Doxygen.

Author: evomarc <evomarc>
Date:   Wed Dec 1 09:23:53 2004 +0000

    ... some comments ...

Author: evomarc <evomarc>
Date:   Wed Dec 1 09:22:48 2004 +0000

    ... some comments for Doxygen ...

Author: evomarc <evomarc>
Date:   Wed Dec 1 09:19:47 2004 +0000

    ... a comment ...

Author: evomarc <evomarc>
Date:   Wed Dec 1 08:49:40 2004 +0000

    Added a few words about Lesson5, and the change in the Makefiles.
    Also, looking alive is probably important !

Author: evomarc <evomarc>
Date:   Mon Nov 29 20:49:34 2004 +0000

    Corrected some bugs in eoGeneralXXXBounds (e.g. no const in copy Ctor arguments)
    Added a default value for the intialization (-infty, +infty)
    Needs to allow uniform() on unbounded - still pondering

Author: evomarc <evomarc>
Date:   Fri Nov 5 08:57:34 2004 +0000

    Added classes to hendle bounds:
    - eoGeneralRealBound  that can be initialized using a string (and hence can be
    easily read as a parameter)
    - eoIntBound and all other integer-equivalent of the classes in eoRealBound.h
    Note that there is no equivalent to eoRealVectorBounds for vector of integers
    
    In file eo, I have added the 2 includes of eoRealBounds.h and eoIntBounds.h
    The first one was already there by chance, through eoUniformInit.h

Author: evomarc <evomarc>
Date:   Fri Nov 5 08:55:12 2004 +0000

    Added classes to hendle bounds:
    - eoGeneralRealBound  that can be initialized using a string (and hence can be
    easily read as a parameter)
    - eoIntBound and all other integer-equivalent of the classes in eoRealBound.h
    Note that there is no equivalent to eoRealVectorBounds for vector of integers

Author: kuepper <kuepper>
Date:   Thu Oct 7 14:32:54 2004 +0000

    fix install dir

Author: kuepper <kuepper>
Date:   Thu Oct 7 13:36:43 2004 +0000

    were these lost?

Author: kuepper <kuepper>
Date:   Thu Oct 7 13:34:08 2004 +0000

    wrong directory

Author: kuepper <kuepper>
Date:   Wed Sep 29 18:37:20 2004 +0000

    update for sstream

Author: kuepper <kuepper>
Date:   Tue Sep 28 17:13:34 2004 +0000


Author: evomarc <evomarc>
Date:   Mon Sep 27 15:19:53 2004 +0000

    Added include eoDistance.h

Author: evomarc <evomarc>
Date:   Mon Sep 27 13:34:34 2004 +0000

    Replaced the eoNormalMutation (mutating ALL variables of a real-valued vector)
    with eiNormalVecMutation that has a proba. to mutation each variable

Author: evomarc <evomarc>
Date:   Mon Sep 27 13:31:40 2004 +0000

    Added the class eoNormalVecMutation (yes, should have made another file :-(

Author: okoenig <okoenig>
Date:   Sun Sep 26 09:47:06 2004 +0000

    Replaced top_builddir with top_srcdir

Author: okoenig <okoenig>
Date:   Sun Sep 26 09:45:59 2004 +0000

    Removing a "/" at the end of a comment

Author: kuepper <kuepper>
Date:   Fri Sep 24 15:00:48 2004 +0000

    Fix doc-target.
    Fix inclusion of documentation in dist.

Author: kuepper <kuepper>
Date:   Fri Sep 24 11:55:09 2004 +0000

    minor fixes

Author: kuepper <kuepper>
Date:   Wed Sep 22 18:38:12 2004 +0000

    Removed clean-local due to problems with "make distcheck"

Author: kuepper <kuepper>
Date:   Wed Sep 22 18:18:31 2004 +0000

    fix installation, dist-preparation

Author: kuepper <kuepper>
Date:   Wed Sep 22 17:30:11 2004 +0000

    updates for distributing/installing ParadisEO.

Author: kuepper <kuepper>
Date:   Wed Sep 22 13:20:15 2004 +0000

    update for new build-process

Author: kuepper <kuepper>
Date:   Wed Sep 22 12:38:28 2004 +0000

    update build process to include paradiseo tutorial,
    fix paradiseo headers for sstream

Author: kuepper <kuepper>
Date:   Wed Sep 22 08:18:29 2004 +0000

    Update configure with switches for app, ParadisEO, and tutorial.
    Add ParadisEO/Lesson1 tutorial in build-process.
    minor fixes.

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Sep 21 19:49:48 2004 +0000

    Made couple of functions virtual

Author: kuepper <kuepper>
Date:   Tue Sep 21 17:01:14 2004 +0000

    updates,
    start supoorting ParadisEO

Author: kuepper <kuepper>
Date:   Tue Sep 21 10:30:45 2004 +0000

    fix dist-header

Author: kuepper <kuepper>
Date:   Tue Sep 21 10:23:33 2004 +0000

    fix 'make dist', works now (besides ParadisEO).

Author: kuepper <kuepper>
Date:   Mon Sep 20 21:47:15 2004 +0000

    updates

Author: kuepper <kuepper>
Date:   Mon Sep 20 17:14:11 2004 +0000

    fix

Author: kuepper <kuepper>
Date:   Mon Sep 20 17:12:12 2004 +0000

    better distribution support (not finished)

Author: kuepper <kuepper>
Date:   Mon Sep 20 17:06:25 2004 +0000

    conditional compilation fixes

Author: kuepper <kuepper>
Date:   Mon Sep 20 16:05:25 2004 +0000

    don't use user-variables

Author: kuepper <kuepper>
Date:   Mon Sep 20 15:51:53 2004 +0000

    update user commentary

Author: kuepper <kuepper>
Date:   Mon Sep 20 15:50:00 2004 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Mon Sep 20 14:11:24 2004 +0000

    updates for build-process

Author: kuepper <kuepper>
Date:   Mon Sep 20 09:56:10 2004 +0000

    *** empty log message ***

Author: kuepper <kuepper>
Date:   Mon Sep 20 09:52:19 2004 +0000

    Remove support files, they are automatically created by autotools

Author: kuepper <kuepper>
Date:   Mon Sep 20 09:50:47 2004 +0000

    update

Author: kuepper <kuepper>
Date:   Mon Sep 20 09:47:19 2004 +0000

    remove

Author: kuepper <kuepper>
Date:   Mon Sep 20 09:46:48 2004 +0000

    remove Makefiles from cvs

Author: kuepper <kuepper>
Date:   Fri Sep 17 17:05:28 2004 +0000

    add conditional includes for sstream

Author: kuepper <kuepper>
Date:   Fri Sep 17 17:00:04 2004 +0000

    cleanup

Author: kuepper <kuepper>
Date:   Fri Sep 17 16:53:31 2004 +0000

    Updated build-prcess to be completely under automake control.
    
    For the tutorial the old Makefiles are saved as Makefile.simple in all
    the respective directories.
    
    Use generated config.h instead of command-line passing of preprocessor
    flags.
    
    Updated support files from current automake.

Author: kuepper <kuepper>
Date:   Fri Sep 17 15:20:19 2004 +0000

    Save copies of old simple Makefiles

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Aug 30 19:44:48 2004 +0000

    added verbose flag that can be used to turn off annoying message to cout

Author: evomarc <evomarc>
Date:   Sat Aug 28 16:26:03 2004 +0000

    CLeaned up the comments in files related to Sharing (added t-eoSharing in test)

Author: evomarc <evomarc>
Date:   Sat Aug 28 16:25:12 2004 +0000

    Committing at last the long awaited test for Sharing

Author: evomarc <evomarc>
Date:   Sat Aug 28 14:03:34 2004 +0000

    Cleaned up the comments

Author: jmerelo <jmerelo>
Date:   Tue Aug 10 17:19:46 2004 +0000

    Changes in docs and added stuff to eoEvalSteadyFitness to reset after using it

Author: jmerelo <jmerelo>
Date:   Tue Aug 10 07:39:10 2004 +0000

    Updating doxygen configuration

Author: okoenig <okoenig>
Date:   Sun Jul 25 13:26:02 2004 +0000

    added a string msg to eoScalarFitnessAssembled, in order to store all sorts of messages for an individual

Author: evomarc <evomarc>
Date:   Fri Jul 16 08:45:02 2004 +0000

    Added className (mysteriously missint) mandatory for eoCombinedInit

Author: evomarc <evomarc>
Date:   Fri Jul 16 08:44:14 2004 +0000

    Allows proportional combinations of eoInit objects
    Similar to eoPropostionalCombinedXXXOp

Author: cahon <cahon>
Date:   Mon Jul 12 09:16:41 2004 +0000

    Adding typedef EOT EOType ;

Author: cahon <cahon>
Date:   Mon Jul 12 08:57:38 2004 +0000

    Adding typedef EOT EOType ;

Author: evomarc <evomarc>
Date:   Wed Jun 23 23:19:17 2004 +0000

    Added the Ctor using the Parser

Author: evomarc <evomarc>
Date:   Tue Jun 15 07:28:54 2004 +0000

    Added the className method everywhere

Author: evomarc <evomarc>
Date:   Tue Jun 15 07:09:57 2004 +0000

    Added the className methods everywhere

Author: evomarc <evomarc>
Date:   Tue Jun 15 07:06:27 2004 +0000

    Added newline at end of stat

Author: evomarc <evomarc>
Date:   Tue Jun 15 07:04:12 2004 +0000

    Added the allClassName method to print the name of all
    classes that have been added to the checkpoint

Author: okoenig <okoenig>
Date:   Mon Jun 14 17:07:25 2004 +0000

    Added a failed boolean to the fitness, for statistics... Average stat values are now computed from succesful fitness evaluations only

Author: okoenig <okoenig>
Date:   Mon Jun 14 17:05:07 2004 +0000

    Added a failed boolean to indicate if fitness evaluation succeeded ( useful if programs are involved, where fitness evaluation can fail for some indis)
    Avg Stats are now only evaluated of individuals if this bool is false!

Author: okoenig <okoenig>
Date:   Mon Jun 14 11:59:39 2004 +0000

    Replaced #include<iostream.h> with #include<iostream> to get rid of "deprecated" warnings in gcc 3.3

Author: okoenig <okoenig>
Date:   Mon Jun 14 11:24:37 2004 +0000

    Added a failed boolean to indicate if fitness evaluation succeeded ( useful if programs are involved, where fitness evaluation can fail for some indis)
    Avg Stats are now only evaluated of individuals if this bool is false!

Author: okoenig <okoenig>
Date:   Mon Jun 14 11:23:48 2004 +0000

    Added a failed boolean to indicate if fitness evaluation succeeded ( useful if programs are involved, where fitness evaluation can fail for some indis)

Author: evomarc <evomarc>
Date:   Wed May 26 10:23:07 2004 +0000

    Adding Sharing (though eoSharingSelect - a roulette selection on shared fitnesses

Author: evomarc <evomarc>
Date:   Wed May 26 09:00:26 2004 +0000

    Temporary modification of the tutorial to account for the new features
    - stat.tmpl allowing easy creation of own stat
    - sharing as a new possible selector in make_algo_scalar - requires a distance
    No detail given, though ...

Author: evomarc <evomarc>
Date:   Tue May 25 08:03:30 2004 +0000

    Adding sharing - needed to modify quite a few files, like eoDistance.h
    make_algo_scalar.h and all related files, and the like

Author: evomarc <evomarc>
Date:   Tue May 25 07:57:52 2004 +0000

    Adding the statistics in createSimple (create.sh is becoming obsolete)

Author: stevemadere <stevemadere>
Date:   Fri May 21 01:44:32 2004 +0000

    Fixed a bug in mlp::net::load() that prevented loading of multiple nets
    from the same stream.

Author: stevemadere <stevemadere>
Date:   Fri Apr 23 16:20:12 2004 +0000

    Added weight perturbation operators to enable implementation of
    exact GPROP-III algorithm.

Author: evomarc <evomarc>
Date:   Thu Apr 8 07:55:40 2004 +0000

    Added the setLongName method to handle the prefix trick in eoParser

Author: evomarc <evomarc>
Date:   Mon Apr 5 15:28:12 2004 +0000

    Added a prefix data in eoParser - and the setPrefix method -
    for multi-population parameter input. Now you can call the make_xxx
    functions from teh src/do directory several times for different populations
    provided you do different calls to setPrefix inbetween

Author: evomarc <evomarc>
Date:   Tue Mar 30 16:51:06 2004 +0000

    Corrected errors in the "memory management" section.
    Thanks to ZhangQian for pointing them out

Author: okoenig <okoenig>
Date:   Sun Mar 28 22:18:03 2004 +0000

    Bugfix regarding the feasible flag

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 26 09:56:56 2004 +0000

    Fixed bug in rng::roulette_wheel: use of float had too little precision in change/fortune var

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 26 09:36:07 2004 +0000

    Fixed rng::uniform to not provide the wrong result (1.0) once in every 2^32 times

Author: stevemadere <stevemadere>
Date:   Wed Feb 11 23:03:23 2004 +0000

    Made mlp::net::operator() a virtual function to allow for subclassing
    with networks that transform their input or output.

Author: stevemadere <stevemadere>
Date:   Tue Feb 10 22:33:30 2004 +0000

    Fixed some signed/unsigned conversion bugs

Author: jeggermo <jeggermo>
Date:   Mon Feb 2 08:54:10 2004 +0000

    *** empty log message ***

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Jan 21 19:57:19 2004 +0000

    Added define NO_GNUPLOT to disable gnuplot extensions
    Needed for win32 (well, at least for me)

Author: stevemadere <stevemadere>
Date:   Tue Jan 13 20:28:33 2004 +0000

    Fixed the string serialization operators (>>, <<) for neuron, layer,
    and net so they actually work and added or fixed stream-source
    constructors where appropriate.

Author: stevemadere <stevemadere>
Date:   Tue Jan 13 20:21:52 2004 +0000

    Made it compile under gcc 3.2.2 by adding explicit definitions
    of normally derived comparison operators >, >=, and == for the
    structure phenotype.  ( adding #include <utility> was not sufficient
    to solve the problem)
    Also added function gprop_use_datasets() to give more flexibility
    in subclassing the datasets used to train the nets.

Author: evomarc <evomarc>
Date:   Tue Jan 13 03:35:27 2004 +0000

    Added the standard header - just a test of CVS in fact!

Author: evomarc <evomarc>
Date:   Wed Dec 24 16:38:02 2003 +0000

    Corrected a but in eoUniformMutation (only the first component ever got modified!
    Thanks to Jeroen's student ...

Author: evomarc <evomarc>
Date:   Fri Dec 5 05:39:40 2003 +0000

    There was an infinite loop in case of a file without section header on first line!

Author: evomarc <evomarc>
Date:   Fri Dec 5 05:38:02 2003 +0000

    Added a few user-friendly comments in case sizes don't match between
    load file and required popsize

Author: evomarc <evomarc>
Date:   Wed Nov 26 14:20:26 2003 +0000

    A minor typo ...

Author: evomarc <evomarc>
Date:   Wed Nov 26 11:15:59 2003 +0000

    THe call to randomize was forgotten after the choice of a terminal
    at max_depth.
    This was only visible if
    - you implemented the randomize method
    - you reached the maximum depth (or used ramped half-and-half).

Author: okoenig <okoenig>
Date:   Wed Nov 19 13:29:15 2003 +0000

    Added possibility to print header to first line of output file; control through last bool in constructor - default = false...

Author: jeggermo <jeggermo>
Date:   Tue Nov 4 15:32:24 2003 +0000

    parse_tree.h now uses standard memory allocation
    for MacOSX

Author: jeggermo <jeggermo>
Date:   Tue Nov 4 15:29:24 2003 +0000

    eoData has been changed slightly for MacOSX

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Oct 12 23:49:23 2003 +0000

    oops, forgot std::

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Oct 12 20:53:28 2003 +0000

    Sort dissappeared in one-objective

Author: evomarc <evomarc>
Date:   Sat Sep 20 05:42:23 2003 +0000

    Updated lists of headers in some Makefile.am (thanks to Claude Dion for pointing this out)
    While there, changed the presentations of source and headers (1 per line with \)

Author: evomarc <evomarc>
Date:   Thu Sep 18 15:09:34 2003 +0000

    Modified a wrong link

Author: evomarc <evomarc>
Date:   Tue Sep 2 05:49:37 2003 +0000

    Slightly modified the formula: the worst individual had "fitness" 0 in hte case of linear scaling with pressure=2. Now it has fitness 1/[P(P-1)/2]
    Thanks to Gilles BAUDRILLARD (EADS)

Author: evomarc <evomarc>
Date:   Mon Sep 1 12:56:29 2003 +0000

    Added 2 missing headers (and broke the long lines).
    Thanks to Jochen Küpper for pointing this out.

Author: evomarc <evomarc>
Date:   Tue Aug 26 18:07:06 2003 +0000

    Corrected a HUGE bug in eoRealUXover !!!
    Thanks to Gilles BAUDRILLARD - EADS

Author: okoenig <okoenig>
Date:   Thu Aug 21 13:02:53 2003 +0000

    added parameters to the constructors to start generation counting !=0
    the parameters are optional and appended in the end

Author: evomarc <evomarc>
Date:   Sat Aug 2 06:55:47 2003 +0000

    CLean-up

Author: evomarc <evomarc>
Date:   Sat Aug 2 06:42:33 2003 +0000

    Adding the generic operators for FIXED-LENGTH ORDERED genotypes eoFlOrXxxOp.h

Author: okoenig <okoenig>
Date:   Wed Jul 30 14:48:13 2003 +0000

    Inserted a missing std::

Author: evomarc <evomarc>
Date:   Tue Jul 29 05:33:58 2003 +0000

    Forgot the dir when adding eoSBXcross.h :-(((

Author: evomarc <evomarc>
Date:   Mon Jul 28 09:48:58 2003 +0000

    Adding SBX crossover operator in es dir

Author: evomarc <evomarc>
Date:   Mon Jul 28 09:47:15 2003 +0000

    Adding the SBX operator in es dir

Author: evomarc <evomarc>
Date:   Sat Jun 21 06:34:00 2003 +0000

    More precise comment

Author: jmerelo <jmerelo>
Date:   Wed Jun 18 09:07:19 2003 +0000

    Eliminated using namespace std

Author: jmerelo <jmerelo>
Date:   Tue Jun 17 12:03:42 2003 +0000

    better eoString

Author: jmerelo <jmerelo>
Date:   Tue Jun 17 06:24:15 2003 +0000

    Changes to obsolete things

Author: okoenig <okoenig>
Date:   Mon Jun 16 21:41:30 2003 +0000

    added a public bool feasible, used to identify feasible individuals in initialization processes

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jun 9 06:25:11 2003 +0000

    Exported operator() for eoSGATransform in abstract1.cpp

Author: evomarc <evomarc>
Date:   Mon Jun 9 06:17:26 2003 +0000

    Change in terminology: EDA (Estimation of Distribution Algorithms) replaces
    DEA (Distribution Evolution Algorithms), as it seems more widely used today.

Author: evomarc <evomarc>
Date:   Mon Jun 9 06:06:13 2003 +0000

    Change in terminology: EDA (Estimation of Distribution Algorithms) replaces
    DEA (Distribution Evolution Algorithms), as it seems more widely used today.

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Jun 6 10:29:13 2003 +0000

    Improved the check for changed. Now it will only set the changed flag when the elements that are flipped are actually different

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Jun 4 11:50:48 2003 +0000

    added shuffle

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Jun 4 09:34:26 2003 +0000

    Added tests for roulette wheel selection

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Jun 4 09:33:27 2003 +0000

    optimized eoProportional and added universalselect

Author: jeggermo <jeggermo>
Date:   Fri May 16 14:28:52 2003 +0000

    GCC 3.3

Author: evomarc <evomarc>
Date:   Sun Apr 27 06:08:11 2003 +0000

    Added keywords "Sequential" and "Random" as synonyms of resp. "Deterministic"
    and "Uniform" - for EASEA

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Apr 20 12:57:59 2003 +0000

    Removed HAVE_SSTREAM for redhat 2.96

Author: cahon <cahon>
Date:   Fri Apr 18 13:32:39 2003 +0000

    missing include eoParetoFitness.h

Author: okoenig <okoenig>
Date:   Sat Apr 5 13:42:44 2003 +0000

    minor changes

Author: okoenig <okoenig>
Date:   Sat Apr 5 13:42:01 2003 +0000

    added eoAssembledFitnessStat.h to implement Best and Avg Stat for eoScalarFitnessAssembled

Author: okoenig <okoenig>
Date:   Sat Apr 5 13:40:57 2003 +0000

    Removed function template specializations for eoScalarFitnessAssembled from classes in this file, since they do not work under Visual Studio! Reimplemented these stat classes for this new fitness class in eoAssembledFitnessStat.h

Author: okoenig <okoenig>
Date:   Thu Apr 3 16:51:47 2003 +0000

    Included new fitness class eoScalarFitnessAssembled, that stores different fitness terms in a std::vector, but still acts as a scalar fitness. A new checkpoint uses these values for statistics.

Author: okoenig <okoenig>
Date:   Thu Apr 3 16:47:47 2003 +0000

    Minor changes to make it run under Visual Studio 6.0

Author: okoenig <okoenig>
Date:   Thu Apr 3 16:25:55 2003 +0000

    Minor changes to make it run under Visual Studio 6.0

Author: okoenig <okoenig>
Date:   Thu Apr 3 10:44:35 2003 +0000

    Minor changes to make it run under Visual Studio 6.0

Author: okoenig <okoenig>
Date:   Thu Apr 3 09:23:52 2003 +0000

    Minor changes to make it run under Visual Studio 6.0

Author: okoenig <okoenig>
Date:   Thu Apr 3 09:11:17 2003 +0000

    Minor changes to make it run under Visual Studio 6.0

Author: okoenig <okoenig>
Date:   Wed Apr 2 21:10:53 2003 +0000

    included new fitness class eoScalarFitnessAssembled, that stores different fitness terms in a std::vector, but still acts as a scalar fitness. A new checkpoint uses these values for statistics.

Author: evomarc <evomarc>
Date:   Tue Apr 1 12:09:37 2003 +0000

    Removed a dummy line containing reference to lesson3!

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Mar 25 10:46:08 2003 +0000

    Deleted political statement as I changed my mind about this

Author: evomarc <evomarc>
Date:   Sat Mar 22 06:39:21 2003 +0000

    ADded comments and hook for copy constructor

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 21 09:17:38 2003 +0000

    bumped up the version number

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 21 02:44:05 2003 +0000

    now added an std::ends for plotting strstream

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 21 02:41:54 2003 +0000

    again: std::ends and stringstream

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 21 02:39:09 2003 +0000

    fixed (?) some problems with stringstreams and std::ends

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Mar 20 20:00:38 2003 +0000

    eliminated gprop from the build until someone makes sure it builds under gcc-3.2

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Mar 20 19:49:32 2003 +0000

    replace \0 with std::ends

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 19 10:47:08 2003 +0000

    finished pickling support for valueParam

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 19 10:16:56 2003 +0000

    Added pickling support for ValueParams

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 19 08:53:59 2003 +0000

    removed comment in PyEO.cpp

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Mar 18 16:57:17 2003 +0000

    added operator>

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Mar 18 16:52:31 2003 +0000

    fixed a bug reported on sourceforge

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Mar 18 16:35:27 2003 +0000

    *** empty log message ***

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Mar 18 09:40:36 2003 +0000

    excluded gcc>3 from check

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Mar 18 09:35:46 2003 +0000

    hi

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Mar 2 11:35:43 2003 +0000

    decorated sort and max with std:: specifier

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Mar 2 11:29:01 2003 +0000

    decorated copy with std:: specifier

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Mar 2 11:26:45 2003 +0000

     added typenames for pop::iterator

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Mar 2 11:16:33 2003 +0000

     added include file

Author: okoenig <okoenig>
Date:   Fri Feb 28 17:47:24 2003 +0000

    This Makefile.am was missing; all it does is adding the *.h and Readme files to distribution

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Feb 28 16:56:59 2003 +0000

    oops, forgot thisone

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Feb 28 16:49:19 2003 +0000

    changed to using sstream

Author: okoenig <okoenig>
Date:   Thu Feb 27 19:28:07 2003 +0000

    Removed "using namespace std" statements from header files in EO -- "std::" identifier were added where necessary.

Author: okoenig <okoenig>
Date:   Thu Feb 27 19:18:53 2003 +0000

    removed "using namespace std" statements from header files in EO -- "std::" identifier were added where necessary

Author: okoenig <okoenig>
Date:   Thu Feb 27 19:18:07 2003 +0000

    removed "using namespace std" statements from header files in EO -- "std::" identifier were added where necessary.

Author: okoenig <okoenig>
Date:   Thu Feb 20 19:13:33 2003 +0000

    added an #ifdef _MSC_VER statement to hide "typename" identifier for Visual Studio

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Feb 17 10:42:03 2003 +0000

    added std::

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Feb 17 10:19:25 2003 +0000

    Updated to use gcc-3.2

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Feb 17 09:52:36 2003 +0000

    rolled back unfortunate change in eoAverageStat

Author: evomarc <evomarc>
Date:   Sat Feb 8 05:36:01 2003 +0000

    Added a mthod to remove one of the combined things (from Ramón Casero Cañas)

Author: evomarc <evomarc>
Date:   Sat Feb 8 05:24:51 2003 +0000

    Removed debugging printouts

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jan 14 10:09:28 2003 +0000

    added missing valueparm.h"

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jan 14 09:37:45 2003 +0000

    next iteration

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Jan 10 15:42:45 2003 +0000

    found a bug in eoProportionalOp, hope this helps...

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Jan 10 15:41:17 2003 +0000

    Added monitors and statistics, also made a module with some
    specific python stuff in __init__.py

Author: okoenig <okoenig>
Date:   Wed Jan 8 12:43:31 2003 +0000

    bugfix: since there are no Makefiles in the directory ~eo/src/do anymore, I removed this directory from the subdirs list in this Makefile.am

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jan 7 14:24:56 2003 +0000

    some bugfixes

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jan 7 10:50:23 2003 +0000

    df

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jan 7 10:49:55 2003 +0000

    added a small cookbook

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jan 6 21:56:40 2003 +0000

    needed for redhat

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jan 6 16:11:05 2003 +0000

    added

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jan 6 16:10:38 2003 +0000

    Added multi-objective support to PyEO (and changed its name to that)

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jan 6 14:25:40 2003 +0000

    Changed a few things so that the python library can
    be used with the multi-objective library (it basically
    boils down to removing the assumption that fitness() has a
    size() member function and changing eoPop<DummyEO> to vector<DummyEO>)

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Jan 5 16:45:48 2003 +0000

    updated build info

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Jan 5 16:31:50 2003 +0000

    Added pyeo. Some changes needed to be made for include files and the like
    in some files (and some bugs were fixed as well [Marc: eoOneToOneBreeder was a mess])
    
    eoFunctor.h now contains static functor_category members, this shouldn't hurt anyone.

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Dec 29 22:48:01 2002 +0000

    oops, error in line 47

Author: music_dev <music_dev>
Date:   Sat Dec 14 02:51:53 2002 +0000

    Added compatibility for MSVC.NET

Author: cahon <cahon>
Date:   Fri Dec 13 10:03:47 2002 +0000

    Fixing bug [preserve order of the pop. to evaluate]

Author: evomarc <evomarc>
Date:   Mon Dec 9 21:04:47 2002 +0000

    There was a bug in teh Ctor (fortunately, only with the last
    parameter, that was generally used with the default value).
    Thanks to Ramón Casero Cañas

Author: evomarc <evomarc>
Date:   Mon Dec 9 06:57:33 2002 +0000

    Corrected wrong links in the 1st paragraph

Author: evomarc <evomarc>
Date:   Mon Dec 9 06:19:56 2002 +0000

    Corrected an error in name of statusParam parameter

Author: evomarc <evomarc>
Date:   Mon Dec 9 06:17:25 2002 +0000

    Corrected a typo

Author: okoenig <okoenig>
Date:   Sun Nov 3 13:17:48 2002 +0000

    reordered initialization list to match declaration order

Author: okoenig <okoenig>
Date:   Sun Nov 3 13:07:43 2002 +0000

    added some typename statements to make it compile without warnings under gcc3.2

Author: okoenig <okoenig>
Date:   Wed Oct 23 10:23:03 2002 +0000

    small bugfix, to make this example run under Solaris/g++ 2.95.3

Author: evomarc <evomarc>
Date:   Wed Oct 23 04:43:10 2002 +0000

    Adding depcom so that it compile smoothly on Solaris.
    Thanks to Oliver Koenig

Author: evomarc <evomarc>
Date:   Wed Oct 23 04:42:07 2002 +0000

    Modification of all Makefiles so that it compiles smoothly on Solaris.
    Thanks to Oliver Koenig

Author: evomarc <evomarc>
Date:   Mon Oct 21 04:28:11 2002 +0000

    Added the .SUFFIXES lien (for Solaris) and the use of $(CXX) instead of c++
    plus a few comments :-)

Author: jeggermo <jeggermo>
Date:   Fri Oct 18 11:39:09 2002 +0000

    *** empty log message ***

Author: music_dev <music_dev>
Date:   Mon Oct 14 16:16:01 2002 +0000

    Better install for libraries.

Author: evomarc <evomarc>
Date:   Wed Oct 2 14:07:58 2002 +0000

    Removed the stringstream (sstream not in all compilers distributions)

Author: evomarc <evomarc>
Date:   Wed Sep 18 15:36:41 2002 +0000

    Added accessors to private parameter stopOnUnknownParam

Author: jeggermo <jeggermo>
Date:   Wed Sep 18 12:40:46 2002 +0000

    A new readFrom & printOn function for EO.h
    Now it CAN handle VALID/INVALID fitnesses.
    
    The problems are over at last

Author: cahon <cahon>
Date:   Tue Sep 17 07:08:51 2002 +0000

    Allowing a first eval. of the pop. to be performed by the E.A.

Author: cahon <cahon>
Date:   Mon Sep 16 12:53:08 2002 +0000

    Invalidating flags ...

Author: evomarc <evomarc>
Date:   Thu Aug 29 16:44:30 2002 +0000

    Added a missing test in the weak elitism

Author: evomarc <evomarc>
Date:   Thu Aug 29 16:31:50 2002 +0000

    Added an error message in case of unknown reducer
    (was the source of a segmentation fault with old parameter files)

Author: evomarc <evomarc>
Date:   Fri Aug 23 16:06:06 2002 +0000

    Removed non-tested code (forthcoming)...

Author: evomarc <evomarc>
Date:   Fri Aug 23 16:02:02 2002 +0000

    It was about time to enter the template file for EASEA here, as createSimple
    and EASEA are doing approximately the same job ...`

Author: evomarc <evomarc>
Date:   Fri Aug 23 15:58:15 2002 +0000

    Adding a simpler way of generating files for new genotypes (see EO.tpl
    in EASEA).

Author: evomarc <evomarc>
Date:   Fri Aug 23 15:56:09 2002 +0000

    Adding more repalcements utilities (see do/make_easea_algo.h)

Author: evomarc <evomarc>
Date:   Fri Aug 23 15:54:30 2002 +0000

    Adding replacement strategies: teh ReduceMergeReduce for EASEA and the
    MGG and G2 replacements from Deb's PCX paper

Author: evomarc <evomarc>
Date:   Fri Aug 23 15:52:40 2002 +0000

    Adding make_xxx files for EASEA

Author: evomarc <evomarc>
Date:   Fri Aug 23 15:50:57 2002 +0000

    Adding eoSGAGenOp.h - mimicking eoSGATransform into an eoGenOp

Author: evomarc <evomarc>
Date:   Fri Aug 23 15:49:29 2002 +0000

    Added the invalidate method

Author: evomarc <evomarc>
Date:   Fri Aug 23 15:44:27 2002 +0000

    Tiny details

Author: evomarc <evomarc>
Date:   Fri Aug 23 15:41:00 2002 +0000

    Added bounds to FitnessStat and Gnuplot monitor

Author: evomarc <evomarc>
Date:   Fri Aug 2 07:40:47 2002 +0000

    Removed some multiple declaraions inside for loops that MSVC++ doesn't like

Author: evomarc <evomarc>
Date:   Tue Jul 30 03:21:59 2002 +0000

    Removed a typo that made gnuplot file not be in the RESULT directory

Author: evomarc <evomarc>
Date:   Sun Jul 28 05:40:25 2002 +0000

    Added eoReduceMergeReduce and elitism (+ corrected small bug in eoHowMany)

Author: evomarc <evomarc>
Date:   Wed Jul 24 18:08:30 2002 +0000

    A radical change in eoCheckPoint - though invisible from the outside:
    eoCheckpoint now alos contains a vector<eoContinue *> - and not only
    IS A eoContinue. So you can ADD another eoContinue to an eoCheckpoint...

Author: evomarc <evomarc>
Date:   Wed Jul 24 18:05:18 2002 +0000

    There was a problem with the activation of the Ctrl C

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jul 23 09:34:46 2002 +0000

    added EO.h to include list

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Jul 23 09:17:59 2002 +0000

    Run it for 50 generations, it's too fast otherwise :)

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jul 22 13:35:11 2002 +0000


Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jul 22 13:31:55 2002 +0000

    added a 'nasty_declone_flag' to be able to declone a population

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jul 22 13:20:04 2002 +0000

    Added 'sweepline' optimization for eoNDSorting.h

Author: evomarc <evomarc>
Date:   Sat Jul 6 05:24:51 2002 +0000

    Added eoSequentialSelect.h in the includes

Author: evomarc <evomarc>
Date:   Sat Jul 6 05:23:18 2002 +0000

    I had left a flaw in teh Ctor (did not accept rates >1)

Author: evomarc <evomarc>
Date:   Fri Jun 21 13:50:39 2002 +0000

    Changd a const_iterator to iterator in method it_best_element
    God (or Maarten :-) knows why this was there

Author: evomarc <evomarc>
Date:   Fri Jun 21 13:30:17 2002 +0000

    Added the negative rate (-> 1-rate) and the unary operator- (useful
    in eoG3Replacement)

Author: jeggermo <jeggermo>
Date:   Thu Jun 20 12:38:47 2002 +0000

    small typo

Author: evomarc <evomarc>
Date:   Wed Jun 19 03:42:54 2002 +0000

    Replaced ../../src with the DIR_EO macro!

Author: evomarc <evomarc>
Date:   Mon Jun 17 09:19:17 2002 +0000

    Added include file eoHowMany for self-consistency

Author: evomarc <evomarc>
Date:   Mon Jun 17 09:18:37 2002 +0000

    Removed eoSequentialSelect

Author: evomarc <evomarc>
Date:   Mon Jun 17 09:13:47 2002 +0000

    Added the Truncation embedders, and the separate eoSequentialSelect file

Author: evomarc <evomarc>
Date:   Mon Jun 17 09:12:08 2002 +0000

    Separated eoSequentialSelect from eoRandomSelect.h file
    Added eoEliteSequentialSelect, where best is always selected first, useful for
    G3 engine

Author: evomarc <evomarc>
Date:   Mon Jun 17 04:51:34 2002 +0000

    Reshaped the whole code
    Added the SequentialSelect selectors
    THe generated files are now "hidden" in ResSelect dir (hardcoded!)

Author: evomarc <evomarc>
Date:   Mon Jun 17 04:13:45 2002 +0000

    Adding the truncation selectors.
    2 versions: eoTruncatedSelectOne is an eoSelectOne, and
                eoTruncatedSelectMany works like an eoSelectMany (but is NOT)

Author: jeggermo <jeggermo>
Date:   Mon Jun 10 14:10:35 2002 +0000

    all .dsp files converted from unix to dos format

Author: evomarc <evomarc>
Date:   Wed May 22 02:13:06 2002 +0000

    I had forgotten the real_value.h - SecondRealEA did not compile!

Author: jeggermo <jeggermo>
Date:   Mon May 13 11:31:32 2002 +0000

    EO::printOn has been changed so that the printOn function will
    always print a valid fitness value even if the fitness is invalid
    
    Jeroen

Author: jeggermo <jeggermo>
Date:   Thu May 9 15:43:01 2002 +0000

     ramped half and half initialization has been added to eoParseTreeDepthInit

Author: evomarc <evomarc>
Date:   Thu May 9 06:35:34 2002 +0000

    Still introducing ParadisEO

Author: evomarc <evomarc>
Date:   Thu May 9 06:28:34 2002 +0000

    Added references to ParadisEO and Lesson5

Author: evomarc <evomarc>
Date:   Wed May 8 06:55:21 2002 +0000

    Added Lesson5

Author: evomarc <evomarc>
Date:   Wed May 8 06:52:37 2002 +0000

    Updated version number

Author: evomarc <evomarc>
Date:   Wed May 8 06:50:58 2002 +0000

    Adding the Lesson5 - how to create your own genotype

Author: evomarc <evomarc>
Date:   Wed May 8 06:47:50 2002 +0000

    Added the MyStructLibEA.cpp+make_MyStruct.cpp that allow separate
    compilation of representation-indenepent stuff. Modified create.sh script
    and Makefile accordingly. See Lesson5 of the tutorial

Author: evomarc <evomarc>
Date:   Wed May 8 06:44:04 2002 +0000

    an example of how to make a new genotype within EO - see HTML doc

Author: evomarc <evomarc>
Date:   Wed May 8 06:31:18 2002 +0000

    Replacing Paradiseo(jet7).pdf with paradiseoJet7.pdf because of Unix problems
    with names containing commas

Author: evomarc <evomarc>
Date:   Wed May 8 06:14:23 2002 +0000

    Removed the template_depth argument (since we are finally NOT going for
    the fitness_trait stuff).

Author: evomarc <evomarc>
Date:   Fri May 3 05:12:32 2002 +0000

    Replaced the eoParameterLoader parameter by an eoParser (used everywhere now)

Author: evomarc <evomarc>
Date:   Wed May 1 04:04:15 2002 +0000

    eoParameterLoader -> eoParser

Author: evomarc <evomarc>
Date:   Wed May 1 02:44:54 2002 +0000

    THe code for the 1/5th mutation was completely wrong!

Author: evomarc <evomarc>
Date:   Tue Apr 30 05:10:49 2002 +0000

    Turned the power function to sum - was untractable with long bitstrings

Author: evomarc <evomarc>
Date:   Tue Apr 30 05:07:52 2002 +0000

    Added the calls to EO::printOn and EO::readFrom in the corresponding methods
    so th euser does not forget to use these before writing/reading the actual eo

Author: evomarc <evomarc>
Date:   Tue Apr 30 04:56:39 2002 +0000

    Added utils/eoUniformInit.h

Author: evomarc <evomarc>
Date:   Tue Apr 30 04:54:25 2002 +0000

    Copied from eoRndGenerators here is eoUniformInit, same thing but in the eoInit
    hierarchy.
    Useful to embed into higher levels eoInit

Author: evomarc <evomarc>
Date:   Sun Apr 28 05:04:24 2002 +0000

    Adding SecondRealEA

Author: evomarc <evomarc>
Date:   Sun Apr 28 04:38:38 2002 +0000

    Adding SecongRealEA - mainly to prepare Lesson5 about adaptive parameters

Author: evomarc <evomarc>
Date:   Fri Apr 26 03:17:37 2002 +0000

    Added explanation and examples of getORcreateParam usage

Author: evomarc <evomarc>
Date:   Fri Apr 26 02:39:10 2002 +0000

    Turned the code that was testing for the existence of the size parameter
    in to the call to getORcreateParam (actually, this was where this code
    has been tested the first time)

Author: evomarc <evomarc>
Date:   Fri Apr 26 02:37:40 2002 +0000

    Added the negative argument in Ctor to say that you want number
    popSize - some fixed number

Author: evomarc <evomarc>
Date:   Fri Apr 26 02:28:19 2002 +0000

    Turned the createParam into getORcreateParam so that you can more easily
    define them before (e.g. from the problem at hand).
    This is useful specially for vecSize as some problems have predefined values

Author: cahon <cahon>
Date:   Thu Apr 25 14:26:02 2002 +0000

    *** empty log message ***

Author: cahon <cahon>
Date:   Thu Apr 25 14:10:22 2002 +0000

    Adding cellular E.A.

Author: cahon <cahon>
Date:   Thu Apr 25 14:08:26 2002 +0000

    A toric topology for cellular E.A.

Author: cahon <cahon>
Date:   Thu Apr 25 14:06:43 2002 +0000

    Cellular parallel easy algorithm

Author: evomarc <evomarc>
Date:   Tue Apr 23 09:56:49 2002 +0000

    Updated the documentation (comments)

Author: cahon <cahon>
Date:   Tue Apr 23 09:16:51 2002 +0000

    Slides from Jet7, March 2002, ENSTA Paris

Author: cahon <cahon>
Date:   Tue Apr 23 09:11:58 2002 +0000

    *** empty log message ***

Author: jeggermo <jeggermo>
Date:   Fri Apr 19 22:13:15 2002 +0000

    A faulty constructor in eoParseTree caused some problems

Author: cahon <cahon>
Date:   Fri Apr 19 15:24:07 2002 +0000

    Slides from Jet7, ENSTA Paris (April 2002)

Author: music_dev <music_dev>
Date:   Fri Apr 19 14:42:47 2002 +0000

    Multithreaded version. Changed name of lib to eo_lib[d].lib

Author: evomarc <evomarc>
Date:   Fri Apr 19 14:06:50 2002 +0000

    Templatized apply
    added a return statement

Author: evomarc <evomarc>
Date:   Fri Apr 19 14:04:25 2002 +0000

    Replaced floats by doubles

Author: jeggermo <jeggermo>
Date:   Thu Apr 18 13:56:36 2002 +0000

    new printOn and readFrom functions
    (they look more like the eoBit ones)

Author: evomarc <evomarc>
Date:   Thu Apr 18 03:23:24 2002 +0000

    Ome explanations on how to launch the examples

Author: evomarc <evomarc>
Date:   Thu Apr 18 03:22:47 2002 +0000

    Added the README, and modified the config files to remove the 127.0.0.1
    that was misleading

Author: jeggermo <jeggermo>
Date:   Mon Apr 15 14:12:19 2002 +0000

    *** empty log message ***

Author: jeggermo <jeggermo>
Date:   Mon Apr 15 12:56:35 2002 +0000

    eoParseTree printOn and readFrom functions changed for
    compatibility with paradisEO
    
    The fitness is now printed in the same way as in eoBit

Author: evomarc <evomarc>
Date:   Fri Apr 12 16:17:02 2002 +0000

    Changed name of target in all_lib.dsp
    Added eoParetoFitness.cpp in sources of eo.dsp

Author: evomarc <evomarc>
Date:   Fri Apr 12 15:13:45 2002 +0000

    A few changes for MSVC++ compatibility

Author: evomarc <evomarc>
Date:   Fri Apr 12 14:41:52 2002 +0000

    Turned the specific compiler order mpiCC into a Macro
    so it's easier to modify
    We shall need to put this into the automatic configure one day ...

Author: evomarc <evomarc>
Date:   Fri Apr 12 14:39:58 2002 +0000

    Changing the include file that contain all include from
    eoparadiseo to eoparadiseo.h
    because teh CVS tool in Microsoft Windaube doesn't make the difference
    with the directory ParadisEO

Author: evomarc <evomarc>
Date:   Fri Apr 12 14:13:08 2002 +0000

    Adding ParadisEO Tutorial examples

Author: evomarc <evomarc>
Date:   Fri Apr 12 13:38:08 2002 +0000

    Added name of the Debug library

Author: evomarc <evomarc>
Date:   Tue Apr 9 08:48:44 2002 +0000

    Modified the comments so they appear in doxygen doc (and updated them also)

Author: evomarc <evomarc>
Date:   Mon Apr 8 18:04:32 2002 +0000

    Modified my E-mail address (the old one at Polytechnique will soon be obsolete)

Author: evomarc <evomarc>
Date:   Mon Apr 8 18:03:35 2002 +0000

    I suddenly realized that BitEA.html was NOT in the repository!

Author: evomarc <evomarc>
Date:   Mon Apr 8 08:50:27 2002 +0000

    Added the eoIncrementorParam - now ALL pointers allocated in make_checkpoint
    are stored somewhere (the generation counter was not)

Author: evomarc <evomarc>
Date:   Mon Apr 8 08:42:46 2002 +0000

    Check that size > 1 (otherwise division by 0)

Author: evomarc <evomarc>
Date:   Mon Apr 8 08:42:01 2002 +0000

    Added a few "std::" before copy and ostream_iterator

Author: evomarc <evomarc>
Date:   Mon Apr 1 20:15:32 2002 +0000

    After indoduction of paradisEO, eoEaseyEA was a subclass of class eoPopAlgo
    and not eoAlgo.
    I don't have time to investigate, so I went back to a subclass of eoAlgo.
    We'll sort that out later (after EuroGP I guess).

Author: cahon <cahon>
Date:   Fri Mar 29 15:38:15 2002 +0000

    *** empty log message ***

Author: cahon <cahon>
Date:   Fri Mar 29 15:36:04 2002 +0000

    How to build an EA with a distributed evalaution process ?

Author: cahon <cahon>
Date:   Fri Mar 29 15:30:55 2002 +0000

    How to build an homo/heterogenous island model of EAs ?

Author: cahon <cahon>
Date:   Fri Mar 29 15:16:11 2002 +0000

    *** empty log message ***

Author: cahon <cahon>
Date:   Fri Mar 29 15:10:04 2002 +0000

    For any sending message

Author: cahon <cahon>
Date:   Fri Mar 29 15:05:35 2002 +0000

    The local communication layer

Author: cahon <cahon>
Date:   Fri Mar 29 15:04:49 2002 +0000

    The global communication layer

Author: cahon <cahon>
Date:   Fri Mar 29 14:59:58 2002 +0000

    An evaluator which sequentially values individuals making the pop.

Author: cahon <cahon>
Date:   Fri Mar 29 14:57:30 2002 +0000

    The slave evaluator node

Author: cahon <cahon>
Date:   Fri Mar 29 14:56:18 2002 +0000

    The master dispatcher evaluator

Author: cahon <cahon>
Date:   Fri Mar 29 14:54:52 2002 +0000

    An EA with a distributed evaluation process

Author: cahon <cahon>
Date:   Fri Mar 29 14:50:11 2002 +0000

    Each island is connected from/to only one neighbour

Author: cahon <cahon>
Date:   Fri Mar 29 14:49:04 2002 +0000

    Each island id connected to the whole considered islands

Author: cahon <cahon>
Date:   Fri Mar 29 14:47:13 2002 +0000

    A checkpoint to send/receive pop. to/from others islands

Author: cahon <cahon>
Date:   Fri Mar 29 14:45:00 2002 +0000

    The island EA model

Author: cahon <cahon>
Date:   Fri Mar 29 14:41:01 2002 +0000

    A continuator which periodically returns false

Author: cahon <cahon>
Date:   Fri Mar 29 14:38:36 2002 +0000

    A tool to apply a process to any incoming EO ...

Author: cahon <cahon>
Date:   Fri Mar 29 10:34:16 2002 +0000

    *** empty log message ***

Author: cahon <cahon>
Date:   Fri Mar 29 10:26:36 2002 +0000

    *** empty log message ***

Author: cahon <cahon>
Date:   Fri Mar 29 10:02:47 2002 +0000

    The paradiseo interface

Author: cahon <cahon>
Date:   Wed Mar 27 17:31:05 2002 +0000

    Some changes for the use in paradisEO

Author: cahon <cahon>
Date:   Wed Mar 27 17:28:04 2002 +0000

    Defines any population-based algorithm.

Author: cahon <cahon>
Date:   Wed Mar 27 17:19:25 2002 +0000

    Any EO with an invalid fitness should be printable !

Author: evomarc <evomarc>
Date:   Fri Mar 22 11:01:30 2002 +0000

    Added the time counter in make_checkpoint

Author: evomarc <evomarc>
Date:   Fri Mar 22 10:57:37 2002 +0000

    Added the eoTimeCounter that allows to use time as a base counter
    for statistics (when you compare things that are not using the same
    evaluation function for instance)

Author: evomarc <evomarc>
Date:   Fri Mar 15 06:41:54 2002 +0000

    Added the lonk to SourceForge in the title, and to README in the "install" section

Author: evomarc <evomarc>
Date:   Fri Mar 15 06:28:25 2002 +0000

    The source file names had changed, some day, in doxygen-genertaed doc ...

Author: evomarc <evomarc>
Date:   Fri Mar 15 06:06:22 2002 +0000

    Corrected a few linkgs to the documentation
    Reaplced eoBin with eiBit (about time!!!)

Author: evomarc <evomarc>
Date:   Wed Mar 6 06:54:00 2002 +0000

    More on parameter input (getORcreateParam explained)

Author: evomarc <evomarc>
Date:   Wed Mar 6 06:28:27 2002 +0000

    Added the tags to generate html nice output

Author: evomarc <evomarc>
Date:   Wed Mar 6 06:25:40 2002 +0000

    Added some explanations about the memory mangement (through eoFunctorStore)

Author: evomarc <evomarc>
Date:   Tue Mar 5 05:46:55 2002 +0000

    Corrected a sligth error in eoParamParam reading that resulted in making the comma
    part of the stored string value

Author: evomarc <evomarc>
Date:   Tue Mar 5 05:38:21 2002 +0000

    Adding class eoParetoOneConstraintFitness, multi-valued fitness + 1 constraint
    This file shoudl contain the general Pareto+contraint class - but
    I'm in a big hurry.

Author: evomarc <evomarc>
Date:   Tue Mar 5 05:34:27 2002 +0000

    Changed the reading of parameter resDir from createParam to getORcreateParam
    so it can be used in other parts of hte program (it's handy to put all
    disk outputs in one dir).

Author: evomarc <evomarc>
Date:   Mon Feb 11 06:28:52 2002 +0000

    Added file monitors for the population in the Pareto space (were ony available as
    eoGnulpot1DSnapshors before)

Author: evomarc <evomarc>
Date:   Mon Feb 11 06:27:44 2002 +0000

    Added a title (Gen. X) to the plot so you can follow what's going on

Author: evomarc <evomarc>
Date:   Mon Feb 11 06:26:48 2002 +0000

    Added the getCounter() method so subclasses have a hand on the generation nb

Author: evomarc <evomarc>
Date:   Sat Feb 9 05:01:48 2002 +0000

    Corrected a serious bug in eoUniformMutation (double declaration of bool HasChanged)
    The consequence was that if that mutation was the only operator called on some
    individual, it was not invalidated, and hence its fitness not recomputed!!!

Author: evomarc <evomarc>
Date:   Sat Feb 9 04:58:33 2002 +0000

    First instances of the make_xxx_pareto, where xxx is algo, continue and checkpoint

Author: evomarc <evomarc>
Date:   Fri Feb 8 07:51:59 2002 +0000

    Added the constructor from a string

Author: evomarc <evomarc>
Date:   Fri Feb 8 07:49:32 2002 +0000

    Added the method getORcreateParam.
    It has exactly the same syntax than the createParam method
    but it first checks whether the param has been laready entered before creating it

Author: evomarc <evomarc>
Date:   Fri Feb 8 07:48:03 2002 +0000

    Added a constructor from a vector<double> - mandatory in all applications

Author: evomarc <evomarc>
Date:   Fri Feb 8 07:47:03 2002 +0000

    Removed the const in method eoInit<AtomType> & atomInit()

Author: jeggermo <jeggermo>
Date:   Mon Feb 4 14:28:00 2002 +0000

    the gpsymreg code has been slightly altered to allow compilation using the
    Intel C++ Compiler for Linux.
    
    Other compilers should not be affected.
    
    A slightly different makefile is needed

Author: jeggermo <jeggermo>
Date:   Mon Feb 4 13:16:50 2002 +0000

    Fixed some compatibility issues with GCC 3.0.1 and the Intel C++ Compiler
    for Linux v5.

Author: evomarc <evomarc>
Date:   Sat Feb 2 07:37:54 2002 +0000

    Added warning in case number of objective is changed (and not set)

Author: evomarc <evomarc>
Date:   Sat Feb 2 07:36:58 2002 +0000

    Suppressed the lt_arity fn that was added for MSVC - and now seems unnecessary

Author: evomarc <evomarc>
Date:   Sat Feb 2 07:36:12 2002 +0000

    Added warning test

Author: evomarc <evomarc>
Date:   Sat Feb 2 07:34:13 2002 +0000

    Added newline at end of file (to suppress g+ warning)

Author: evomarc <evomarc>
Date:   Sat Feb 2 07:05:31 2002 +0000

    Added the eoVariableParetoTraits (setup number of objcetives and min/max
    at run time).

Author: evomarc <evomarc>
Date:   Sat Feb 2 06:43:46 2002 +0000

    Moved the static variables of class eoVariableParetoTraits
    into a separate .cpp file (eoParetoFitness.cpp) - and modified Makefile.am

Author: evomarc <evomarc>
Date:   Sat Feb 2 05:59:05 2002 +0000

    Added default value for bool arg in testDirRes function

Author: evomarc <evomarc>
Date:   Sat Feb 2 05:51:31 2002 +0000

    Removed comment after #endif (warning in gcc 1.96+)

Author: evomarc <evomarc>
Date:   Thu Jan 31 17:42:03 2002 +0000

    Added the eoVariableParetoTraits that allows to specify the number
    of objectives and the max/min for each one at run-time

Author: evomarc <evomarc>
Date:   Thu Jan 31 17:32:27 2002 +0000

    Updated the comments

Author: evomarc <evomarc>
Date:   Wed Jan 30 12:24:42 2002 +0000

    Added Ranking (God knows why it was mnissing!)

Author: evomarc <evomarc>
Date:   Thu Jan 17 17:57:55 2002 +0000

    Added the move from Release and DEbug into the lib dir

Author: evomarc <evomarc>
Date:   Thu Jan 17 17:54:56 2002 +0000

    Removed the #ifdef that protected the lt_arity avaints MSVC (!!!)

Author: evomarc <evomarc>
Date:   Thu Jan 17 17:51:58 2002 +0000

    apply -> apply<EOT> for MSVC

Author: evomarc <evomarc>
Date:   Thu Jan 17 17:51:02 2002 +0000

    Protexted all calls to gnuplot for MSVC

Author: evomarc <evomarc>
Date:   Thu Jan 17 15:24:44 2002 +0000

    Adding tutorial files

Author: evomarc <evomarc>
Date:   Thu Jan 17 15:21:44 2002 +0000

    New versio of dsp files

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Jan 16 14:52:11 2002 +0000

    Increased template depth

Author: evomarc <evomarc>
Date:   Thu Dec 20 18:04:52 2001 +0000

    There was an error in the type of the first parameter of make_checkpoint and
    make_algo_scalar (changed from eoParameterLOader to eoParser)

Author: evomarc <evomarc>
Date:   Fri Dec 7 06:28:38 2001 +0000

    COnverted t_eoesall to CRLF line terminators (otherwise MSDEV cannot read properly)

Author: evomarc <evomarc>
Date:   Fri Dec 7 06:23:15 2001 +0000

    Adding t_eoesall that somehow ahd managed to escape until now
    + corrected the template test_dsp.tmpl

Author: evomarc <evomarc>
Date:   Fri Dec 7 06:14:11 2001 +0000

    Adding the tutorials in MSVC project files

Author: evomarc <evomarc>
Date:   Fri Dec 7 05:51:36 2001 +0000

    Removed all references to CrtDebug blabla that were supposed to be
    MSVC specific but generated an error with MSVC 6.0

Author: evomarc <evomarc>
Date:   Thu Dec 6 14:33:42 2001 +0000

    Need to put the \r\n at end of all files after modifications!!!

Author: evomarc <evomarc>
Date:   Thu Dec 6 14:32:00 2001 +0000

    Removed unknown CrtDebug directives from the MSVC version

Author: evomarc <evomarc>
Date:   Thu Dec 6 13:12:24 2001 +0000

    Removed unnecessary dirs, added first Lesson of tutorial

Author: evomarc <evomarc>
Date:   Thu Dec 6 11:36:39 2001 +0000

    Removed some sources that came here nobody know's how (thanks, MSDEV)

Author: evomarc <evomarc>
Date:   Thu Dec 6 07:02:07 2001 +0000

    Changed ALL names of links to class files in the documentation due to the change in
    Doxygen naming convention

Author: evomarc <evomarc>
Date:   Thu Dec 6 06:44:44 2001 +0000

    A few corrections before the big name change

Author: evomarc <evomarc>
Date:   Thu Dec 6 06:38:17 2001 +0000

    CHanged a few erroneaous comments

Author: evomarc <evomarc>
Date:   Wed Dec 5 06:54:38 2001 +0000

    Added GNUPLOT protection for MSVC compiler

Author: jeggermo <jeggermo>
Date:   Tue Dec 4 21:15:16 2001 +0000

    some template classes and functions which did not need
    to be templates have been changed to normal classes and functions
    with hard coded typed
    
    This might help with M$VC++ 6.0 compatibility

Author: jeggermo <jeggermo>
Date:   Tue Dec 4 11:49:25 2001 +0000

    a different solution for lt_arity has been implemented (this time inside the
    eoParseTreeDepthInit class

Author: evomarc <evomarc>
Date:   Mon Dec 3 16:40:32 2001 +0000

    Renamed mastermind.cc into mastermind.cpp for MSVC

Author: evomarc <evomarc>
Date:   Mon Dec 3 16:38:52 2001 +0000

    Renamed main.cc into main.cpp for MSVC

Author: evomarc <evomarc>
Date:   Mon Dec 3 16:35:51 2001 +0000

    Renamed gprop.cc into gprop.cpp for MSVC

Author: evomarc <evomarc>
Date:   Mon Dec 3 16:28:30 2001 +0000

    Modified the path of include eoVirus because MSVC did not find it.
    Now it is assumed that src will be in the include search path, that's all.

Author: evomarc <evomarc>
Date:   Mon Dec 3 14:31:35 2001 +0000

    MSVC didn't find (easily) the contrib/MGE dir. So now it's written in the code
    and the Makefile.am does not have contrib in the include look path

Author: evomarc <evomarc>
Date:   Mon Dec 3 14:20:24 2001 +0000

    Added partial specialization of lt_arity ..

Author: evomarc <evomarc>
Date:   Mon Dec 3 14:14:56 2001 +0000

    Added the 2 fake "projects" all_lib.dsp and all_test.dsp that allow to compile
    everything in 2 clics.
    However, we still cannot run and watch the status output of the test executables

Author: evomarc <evomarc>
Date:   Mon Dec 3 11:08:17 2001 +0000

    More details to make code MSVC-compatible

Author: evomarc <evomarc>
Date:   Mon Dec 3 06:59:17 2001 +0000

    Added links to some examples in the comments

Author: evomarc <evomarc>
Date:   Mon Dec 3 06:56:43 2001 +0000

    Removed dir win from list of subdirs (generated an error in make check)

Author: evomarc <evomarc>
Date:   Mon Dec 3 06:53:52 2001 +0000

    Removed the trailing comment after #endif (Warning in MSVC)

Author: jeggermo <jeggermo>
Date:   Thu Nov 22 15:01:11 2001 +0000

    Fixed a small problem with eoPointMutation.

Author: evomarc <evomarc>
Date:   Sun Nov 18 07:18:11 2001 +0000

    Introductory comment evolves ...

Author: evomarc <evomarc>
Date:   Sun Nov 18 06:54:13 2001 +0000

    Added the names of the directories where the newly created files are stored.

Author: evomarc <evomarc>
Date:   Sat Nov 17 08:13:55 2001 +0000

    Now the eo.dsw can be generated automatically from
    eo.org
    create_all_dsp.sh (that calls create_dsp.sh)
    To add a new test program, simpy add 1 line in create_all_dsp.sh
    and run it.
    DO NOT TOUCH eo.org !!!

Author: evomarc <evomarc>
Date:   Sat Nov 17 07:58:16 2001 +0000

    imply put all program names on one single line to ease bulding the win files

Author: evomarc <evomarc>
Date:   Sat Nov 17 07:55:39 2001 +0000

    Bug in create_dsp when no additional library

Author: evomarc <evomarc>
Date:   Sat Nov 17 07:54:12 2001 +0000

    Turned bonary_value into the onemax (not pow that exploded for even only
    moderately small size of genome!)
    Turned it into a double (it was a float) as floats are dead and should dissappear

Author: evomarc <evomarc>
Date:   Sat Nov 17 07:22:59 2001 +0000

    Changes due to MSVC

Author: evomarc <evomarc>
Date:   Fri Nov 16 15:06:29 2001 +0000

    Some error for MSVC that was not even a warning for g++ (but I'm sorry
    to say that MSVC is right :-)

Author: evomarc <evomarc>
Date:   Fri Nov 16 15:05:41 2001 +0000

    Changed the filenaming to comply with MacroHard

Author: evomarc <evomarc>
Date:   Fri Nov 16 15:02:35 2001 +0000

    Error in argments check

Author: evomarc <evomarc>
Date:   Fri Nov 16 14:32:07 2001 +0000

    The file eo.org is the base project file (no file in test involved).
    It is upgraded by the create.sh script

Author: evomarc <evomarc>
Date:   Fri Nov 16 14:30:58 2001 +0000

    Adding all test files for MSVC

Author: evomarc <evomarc>
Date:   Fri Nov 16 14:01:52 2001 +0000

    Replaced the flat definitions of ncecessary classes (eoStatxxx and eoMonitor)
    with the include of the corresponding .h file. as MSVC complained!

Author: jeggermo <jeggermo>
Date:   Thu Nov 15 22:11:31 2001 +0000

    small change in documentation

Author: evomarc <evomarc>
Date:   Mon Nov 12 16:27:37 2001 +0000

    Announcing the MSVC++ compatibility revisited

Author: evomarc <evomarc>
Date:   Mon Nov 12 15:21:40 2001 +0000

    A few more typename conditionally removed for MSVC++

Author: evomarc <evomarc>
Date:   Mon Nov 12 14:59:32 2001 +0000

    Adding Jeroen :-)

Author: evomarc <evomarc>
Date:   Mon Nov 12 14:51:51 2001 +0000

    A readme for the win dir ...

Author: evomarc <evomarc>
Date:   Mon Nov 12 14:44:01 2001 +0000

    Create.sh mdified to also add the new dsp file into eo.dsw

Author: evomarc <evomarc>
Date:   Mon Nov 12 14:27:12 2001 +0000

    Template file for dsp project files (to be used within create_dsp.sh)

Author: evomarc <evomarc>
Date:   Mon Nov 12 14:17:58 2001 +0000

    Some more small changes for MSVC++ compatibility

Author: evomarc <evomarc>
Date:   Sun Nov 11 06:59:42 2001 +0000

    Adding the dsp file for t-eoReal - testing the create_dsp script.
    Next step is to add them all from the test/Makefile file

Author: evomarc <evomarc>
Date:   Sun Nov 11 06:55:12 2001 +0000

    Create_dsp.sh is a script that will create the .dsp file from a source file
       name in the test dir

Author: evomarc <evomarc>
Date:   Sun Nov 11 06:43:45 2001 +0000

    Improved the UI a lot (checking for already existing files, etc)

Author: evomarc <evomarc>
Date:   Sat Nov 10 14:13:21 2001 +0000

    Files for MSVC++ generated by Olivier Meunier - Projet Fractales - INRIAC

Author: evomarc <evomarc>
Date:   Sat Nov 10 14:12:01 2001 +0000

    Files for MSVC++ generated by Olivier Meunier - Projet Fractales - INRIA

Author: evomarc <evomarc>
Date:   Sat Nov 10 09:02:17 2001 +0000

    Small modifications here and there to be MSVC++ compatible
    Mainly, time.h -> ctime
            definition of loop index out of loops when multiply used
            no typename in declaration using template typename

Author: evomarc <evomarc>
Date:   Sat Nov 10 06:59:02 2001 +0000

    Added the #pragma directive for MSVC++ in all .cpp

Author: evomarc <evomarc>
Date:   Sat Nov 10 06:32:05 2001 +0000

    Added the invalidate() call - that bug was not seem before, because
    we always used init on newborn genotypes!

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Nov 8 11:13:19 2001 +0000

    Cleaned up

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Nov 8 10:17:52 2001 +0000

    removed the return 1 in the main

Author: evomarc <evomarc>
Date:   Thu Nov 8 07:40:27 2001 +0000

    Adding Distribution-based base abstract classes

Author: evomarc <evomarc>
Date:   Thu Nov 8 06:53:55 2001 +0000

    Adding PBIL

Author: evomarc <evomarc>
Date:   Thu Nov 8 06:49:38 2001 +0000

    Adding PBIL files - simple PBIL algorithm with simple additive update rule

Author: evomarc <evomarc>
Date:   Thu Nov 8 06:14:59 2001 +0000

    I have changed all calls to use an eoParser rather than an eoParameterLoader
    This is required if you want to use the method getParamWithLongName that allows
    one to get a value of a parameter read somewhere else.
    After changing 3 calls due to that, I decided to change ALL calls within
    the make_xxx functions

Author: evomarc <evomarc>
Date:   Wed Nov 7 16:25:01 2001 +0000

    Corrected a bug in the selector and replacement tournamemt parameter reading:
    if you did not give the tournament sizes, the program either crashed or went
    in some endless loop.
    I also simplified the reading of those eoParamPram parameters!

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Nov 7 15:23:24 2001 +0000

    Updated makefile.am such that "make check" will run all test programs. Fixed
    a number of erronuous return values that made the script fail. What's left
    is let Marc clean up the mess he made with t-eoReal and t-eoRealAllESAllAgain

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Nov 7 10:57:53 2001 +0000

    Fixed call to inverse_stochastic inside eoDetTournament

Author: evomarc <evomarc>
Date:   Mon Nov 5 16:38:52 2001 +0000

    Added method
    eoParam* getParamWithLongName(std::string _name);
    so now you can get a parameter in another place than where it was defined
    just by giving its name

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Nov 5 14:28:14 2001 +0000

    Just some comments

Author: evomarc <evomarc>
Date:   Mon Nov 5 08:24:59 2001 +0000

    Small error in header

Author: jeggermo <jeggermo>
Date:   Sat Nov 3 22:10:11 2001 +0000

    the name of the eoGpDepthInitializer class (initializer for
    parse_tree's has been changed to
    
    eoParseTreeDepthInit but backward compatibility is maintained by
    using a #define statement:
    
    #define eoGpDepthInitializer eoParseTreeDepthInit
    
    The initializer for strongly typed GP has been changed to
    eoStParseTreeDepthInit
    
    the gpsymreg application has been changed to use the new name

Author: jeggermo <jeggermo>
Date:   Thu Oct 25 10:39:55 2001 +0000

    Some changes for using EO with libstdc++V3 and gcc-3.01

Author: jeggermo <jeggermo>
Date:   Fri Oct 19 12:04:12 2001 +0000

    The nameless union in node.h has been removed because not all compilers
    support it.

Author: evomarc <evomarc>
Date:   Thu Oct 18 11:48:52 2001 +0000

    Replaced pushd and popd with cd and cd .. - for Windows/Cygwin compatibility

Author: jeggermo <jeggermo>
Date:   Thu Oct 18 08:52:40 2001 +0000

    Some changes to make gpsymreg compile correctly on windows/cygwin systems

Author: evomarc <evomarc>
Date:   Thu Oct 18 05:30:45 2001 +0000

    Added MAXFLOAT and MINFLOAT as it seems that Cygwin needs that ???

Author: evomarc <evomarc>
Date:   Thu Oct 18 04:57:30 2001 +0000

    iAdding a file config.cache as it seems that the defaults don't work
    in Windows/Cygwin environement. Thanks to Sebastiao CORREIA and
    Jerome JEAN-CHARLES for providing this file.

Author: evomarc <evomarc>
Date:   Thu Oct 18 04:37:14 2001 +0000

    All files on one line in Makefile.am (for Windows)

Author: evomarc <evomarc>
Date:   Thu Oct 18 04:34:58 2001 +0000

    Modified the Makefile.am in main dir, and Makefile in tutorial dir to remove
    all pushd/popd as they don't exist in Windows/bash

Author: evomarc <evomarc>
Date:   Wed Oct 17 17:49:54 2001 +0000

    Corrected a few small problems - including dependencies in Makefile
    thanks to Sebastiao CORREIA for pointing them out

Author: evomarc <evomarc>
Date:   Wed Oct 17 17:48:50 2001 +0000

    Corrected a few small problems -
    thanks to Sebastiao CORREIA for pointing them out

Author: evomarc <evomarc>
Date:   Mon Oct 8 09:14:15 2001 +0000

    Removed trailing text after #endif - causes warning on many compilers

Author: jeggermo <jeggermo>
Date:   Fri Oct 5 12:39:30 2001 +0000

    ramped half and half initialization procedure for eoParseTree populations
    added.

Author: jeggermo <jeggermo>
Date:   Fri Oct 5 09:32:49 2001 +0000

    Since g++ 2.95.x on our solaris server doesn't have macros to check
    for infinity and NaN these checks have been removed from the source code
    and a protected divided function node is now used.

Author: evomarc <evomarc>
Date:   Fri Oct 5 03:56:21 2001 +0000

    Forgot to double also the parameter to initialize in the Ctor!

Author: evomarc <evomarc>
Date:   Fri Oct 5 03:51:15 2001 +0000

    Modified the reseed method in RNG class so two different seeds give different
    sequences, after Jeroen's remark (jeggermo@liacs.nl)

Author: evomarc <evomarc>
Date:   Fri Oct 5 03:30:12 2001 +0000

    Commented out the oeprator() default function in base class: I find it more secure
    to be warned at compile time that one function is still pure virtual
    than to look for the error after a run-time-error that gives no clue

Author: evomarc <evomarc>
Date:   Thu Oct 4 20:13:03 2001 +0000

    eoMyStructEA.cpp has turned into MyStructEA.cpp

Author: evomarc <evomarc>
Date:   Thu Oct 4 20:12:19 2001 +0000

    Big modifications - now the init and most important the operators
    are handled in separate files make_genotype_xxx and make_op_xxx
    as it was done in the examples of Lesson4

Author: evomarc <evomarc>
Date:   Mon Sep 24 05:59:42 2001 +0000

    Suppressed most warning (except some unused variables) if you don't modify anything

Author: evomarc <evomarc>
Date:   Mon Sep 24 05:59:13 2001 +0000

    Suppressed most warning (except some unused variables) if you don't modify anythig

Author: evomarc <evomarc>
Date:   Sat Sep 8 05:59:17 2001 +0000

    Removed trailing string after #endif - it generates a lot of useless warning
    on some versions of g++

Author: evomarc <evomarc>
Date:   Sat Sep 8 05:42:24 2001 +0000

    Added newline at end of file (prevents a warning)

Author: evomarc <evomarc>
Date:   Sat Sep 8 05:41:19 2001 +0000

    Added include math.h

Author: evomarc <evomarc>
Date:   Tue Sep 4 08:35:22 2001 +0000

    Added many template files, and totally modified the comments in most other.
    This was when preparing Evonet Summer School - though it finally was not used there!

Author: evomarc <evomarc>
Date:   Tue Sep 4 06:51:59 2001 +0000

    Modified the className() method so that the Atom underlying operator is listed

Author: evomarc <evomarc>
Date:   Tue Sep 4 06:50:42 2001 +0000

    Included apply.h for consistency (though in most cases it was included from eo file

Author: evomarc <evomarc>
Date:   Tue Sep 4 06:48:15 2001 +0000

    Added a class that turns an eoInit<EOT> into a generator of EOT
    Also added a Ctor of variable length objects that take an eoInit.
    Some day we might want to clean all that stuff ... unless we leave
    the choice to the user (but then the documentation shoudl be as clear
    as glass, which it is not at the moment!)

Author: evomarc <evomarc>
Date:   Tue Sep 4 06:45:14 2001 +0000

    In case you are trying to assign a value to a vector of different size,
    previous versions raised an exception.
    Now a simple warning is written to stderr - as it might be something
    you need to do.

Author: evomarc <evomarc>
Date:   Tue Sep 4 06:43:19 2001 +0000

    Added make_help in checkpointing, included stdexcept in eoParam. Comments
    updates ...

Author: evomarc <evomarc>
Date:   Tue Sep 4 06:41:34 2001 +0000

    Spotted and commented (but NOT corrected :-( a bug in case the ResDir
    exists and is empty

Author: evomarc <evomarc>
Date:   Tue Sep 4 06:40:28 2001 +0000

    Corrected wrong arguments for the 2D Ctor

Author: evomarc <evomarc>
Date:   Tue Sep 4 06:37:25 2001 +0000

    Comments update

Author: evomarc <evomarc>
Date:   Tue Sep 4 06:35:58 2001 +0000

    Changed the wrong #ifdef in make_algo_scalar (+ minor comments elsewhere)

Author: jeggermo <jeggermo>
Date:   Tue Jul 17 13:06:28 2001 +0000

    check for the existence of isinf didn't work the way it should so
    it has been removed

Author: jeggermo <jeggermo>
Date:   Tue Jul 17 08:58:52 2001 +0000

    small documentation change for eoParseTree.h.
    
    added a depth initializer for strongly typed genetic programming
    added subtree xover for strongly typed genetic programming
    added branch mutation for strongly typed genetic programming
    added point mutation for strongly typed genetic programming
    added hoist mutation for strongly typed genetic programming

Author: evomarc <evomarc>
Date:   Wed Jul 11 06:26:11 2001 +0000

    Suppressed the gene mutations, as they are now in eoFlOrMonOp.h

Author: evomarc <evomarc>
Date:   Wed Jul 4 04:59:02 2001 +0000

    Oups!

Author: evomarc <evomarc>
Date:   Wed Jul 4 04:44:30 2001 +0000

    Adding eoPopEvalFunc, that handles evaluation globally: it receives
    two populations, parents and offspring, and does whatever necessary.
    The subclass eoPopLoopEval does the simple loop on the offspring.
    
    eoEasyEA was subsequently modified to handle an eoPopEval passed in Ctor,
    but also to encapsulate an eoEvalFunc into an eoPopLoopEval tranparently.

Author: evomarc <evomarc>
Date:   Tue Jul 3 12:56:44 2001 +0000

    Added the eoPopEvalFunc class: gets the full parents + offspring populations
    in order to evaluate them.
    Modified eoEaseyEA accordingly - you can either pass an eoEvalFunc, as
    before (it is then encapsulated into an eoPopLoopEval that does the good
    old loop on the offspring - or directly pass a full eoPopEvalFunc
    
    Small modification also in make_op_es -> keyword "none" is now recognized
    for one of the crossover of either object variables or stdev's

Author: jeggermo <jeggermo>
Date:   Mon Jul 2 13:31:04 2001 +0000

    Changed the directory structure for gp
    now: eoParseTree <-- the eoParseTree class
         eoParseTreeDepthInit <-- the eoParseTree depth initializer (eoGpDepthInitializer)
         eoParseTreeOp <-- the operators (xover and mutation)
    
    base documentation written for:
    * eoParseTree
    * eoGpDepthInitializer
    * eoSubtreeXOver
    * eoBranchMutation
    * eoPointMutation
    * eoExpansionMutation
    * eoCollapseSubtreeMutation
    * eoHoistMutation
    
    I also created a group ParseTree which contains all classes related to eoParseTree
    
    eoGpMutate.h has been removed (merged with eoParseTree operators into eoParseTreeOp

Author: jeggermo <jeggermo>
Date:   Mon Jul 2 11:38:27 2001 +0000

    The constructor for the eoGpDepthInitializer has been extended with a
    sort of the initializor vector containing all possible nodes. This sort
    assures that the terminals are in the front of vector. Untill now this
    was assumed but not checked or enforced.

Author: jeggermo <jeggermo>
Date:   Mon Jul 2 08:28:40 2001 +0000

    eoSubtreeXOver fixed

Author: evomarc <evomarc>
Date:   Sat Jun 30 05:59:26 2001 +0000

    Added random selection

Author: evomarc <evomarc>
Date:   Sat Jun 30 05:57:10 2001 +0000

    Corrected a wrong comment

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Jun 29 18:06:10 2001 +0000

    oops, thanks jeroen

Author: jeggermo <jeggermo>
Date:   Fri Jun 29 12:15:15 2001 +0000

    checks for the existence of finite(x) and isinf(x) built into app/gpsymreg.
    Linux gcc compilers have the 'macros ??' but solaris gcc does not

Author: jeggermo <jeggermo>
Date:   Fri Jun 29 09:22:26 2001 +0000

    app/gpsymreg/Makefile added to configure.in

Author: jeggermo <jeggermo>
Date:   Thu Jun 28 15:03:53 2001 +0000

    app/gpsymreg/Makefile added to configure.in

Author: jeggermo <jeggermo>
Date:   Thu Jun 28 14:39:36 2001 +0000

    addition file for parameters for symreg gp

Author: jeggermo <jeggermo>
Date:   Thu Jun 28 14:38:00 2001 +0000

    node.h containing Tree-node classes for symreg gp

Author: jeggermo <jeggermo>
Date:   Thu Jun 28 14:33:51 2001 +0000

    main.cc for symreg gp

Author: jeggermo <jeggermo>
Date:   Thu Jun 28 14:26:35 2001 +0000

    gp symbolic regression trees added

Author: jeggermo <jeggermo>
Date:   Thu Jun 28 14:18:47 2001 +0000

    eoGpMutate.h added containing 4 new mutation operators for eoParseTree class

Author: jeggermo <jeggermo>
Date:   Thu Jun 28 14:11:04 2001 +0000

    Symbolic Regression GP added app-dir

Author: jeggermo <jeggermo>
Date:   Thu Jun 28 14:03:59 2001 +0000

    new Mutation operators for eoParseTree in src/gp/eoGpMutate.h
    
    a symbolic regression example program added to the app-dir
    
    configure.in and Makefile(s).am changed

Author: jeggermo <jeggermo>
Date:   Thu Jun 28 13:55:14 2001 +0000

    Additional mutation operators for eoParseTree
    
    * Point Mutation
    * Expansion Mutation
    * Collapse Subtree Mutation
    * Hoist

Author: jmerelo <jmerelo>
Date:   Thu Jun 21 12:03:17 2001 +0000

    Updating Royal Road

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Jun 11 12:37:21 2001 +0000

    Added a check for an empty initializor

Author: evomarc <evomarc>
Date:   Fri May 25 16:27:59 2001 +0000

    Added a frequency parameter to eoPopStat (dump pop every N gen)

Author: evomarc <evomarc>
Date:   Mon May 21 06:13:56 2001 +0000

    Forgot to update ESEA with crossover

Author: evomarc <evomarc>
Date:   Mon May 21 04:16:26 2001 +0000

    ?

Author: evomarc <evomarc>
Date:   Mon May 21 04:15:36 2001 +0000

    Added libes in Makefile

Author: evomarc <evomarc>
Date:   Mon May 21 04:14:36 2001 +0000

    Modifs in es (crossover added in make_op_es).
    Added a dummy selector in eoReandomSelect that does work even with invalid EOs

Author: evomarc <evomarc>
Date:   Mon May 21 04:13:10 2001 +0000

    Added the crossover in make_op_es (parameters were read, but that's all!

Author: evomarc <evomarc>
Date:   Mon May 21 04:10:55 2001 +0000

    Normalized real_value

Author: evomarc <evomarc>
Date:   Sat May 19 06:15:01 2001 +0000

    Changed name of eoEsLocalXover to eoEsStandardXover and made it an eoBinOp
    Removed obsolete eoEsStdevXOver.h (see eoEsStandardXover.h above)

Author: evomarc <evomarc>
Date:   Fri May 18 17:46:33 2001 +0000

    Coreected a cut-and-paste bug :-(

Author: jmerelo <jmerelo>
Date:   Fri May 18 07:33:12 2001 +0000

    Added the missing file

Author: evomarc <evomarc>
Date:   Fri May 18 03:59:22 2001 +0000

    Removed remaining debugging comment

Author: jmerelo <jmerelo>
Date:   Thu May 17 10:08:25 2001 +0000

    Changed MGE to the contrib dir. No need to change the prefix, I guess

Author: jmerelo <jmerelo>
Date:   Thu May 17 07:29:50 2001 +0000

    Added missing files and updated old MGE files

Author: jmerelo <jmerelo>
Date:   Fri May 11 10:44:01 2001 +0000

    Added Royal Road, MGE now work with it, small modifications to eoPopStat

Author: jmerelo <jmerelo>
Date:   Thu May 10 12:16:00 2001 +0000

    Added 'Viral' operators with test. Implements the Mobile Genetic Elements Technique

Author: evomarc <evomarc>
Date:   Tue May 8 04:44:30 2001 +0000

    CHanged CXXFLAGS to nothing - so lib files remain of manageable size!

Author: evomarc <evomarc>
Date:   Tue May 8 04:41:51 2001 +0000

    Bing change in eoRealBounds: it is now deriving from eoPersistent.
    More important, the eoRealVectorBounds, vectorized version (a vector<eoRealBounds *>
    has also become an eoPersistent object and now derives from an eoRealBaseVectorBounds
    class.
    A useful consequence (and actual motivatino) was to be able to have soem
    eoValueParam<eoRealVectorBounds> with all possibilities for input
    (see doc for Lesson4 in the tutorial for the syntax).

Author: evomarc <evomarc>
Date:   Tue May 8 03:49:35 2001 +0000

    In eoParser::readFrom, added a test to avoid reading non-parser sections
    as these generally contain many -xxx that generate a reading error
    when xxx is not a keyword.
    This allows to use State-savec files directly as parameter files

Author: evomarc <evomarc>
Date:   Mon May 7 07:13:36 2001 +0000

    Replaced stupid eoRateParam by eoValueParam<eoHowMnay>
    Had to transform eoHowMany into an eoPersistent ...

Author: evomarc <evomarc>
Date:   Fri May 4 16:51:29 2001 +0000

    A full working version of ES is now available in tutorial/Lesson4,
    that makes full use of libes.a.
    The user guide is in Lesson4 of the tutorial - programmer's guide
    will come later.
    Plus many small changes here and there

Author: evomarc <evomarc>
Date:   Fri May 4 16:13:37 2001 +0000

    Removing old trash!

Author: evomarc <evomarc>
Date:   Thu May 3 17:20:27 2001 +0000

    Corrected a problem in eoEsChromInit (it refused plain eoReal) + some
    other minor modications (e.g. a dir in make_checkpoint where ALL file
    will go).

Author: evomarc <evomarc>
Date:   Thu May 3 13:06:34 2001 +0000

    Adding code to Lesson4

Author: evomarc <evomarc>
Date:   Thu May 3 05:44:29 2001 +0000

    Lesson4 advancing

Author: evomarc <evomarc>
Date:   Thu May 3 05:43:40 2001 +0000

    Hange of comments and names

Author: evomarc <evomarc>
Date:   Wed May 2 11:13:40 2001 +0000

    Updated main pages of doc and tutorial. Doc now points to tutorial

Author: evomarc <evomarc>
Date:   Wed May 2 11:12:55 2001 +0000

    Date change + info about Lesson4 in main tutorial page

Author: evomarc <evomarc>
Date:   Wed May 2 11:09:57 2001 +0000

    Adding test file for ES - note that it's completely different from old
    eoESFull.cp - and hence has an other name, t-eoESAll.cpp.
    Old eoESFull.cp is still there (and working) but is not in the test targets

Author: evomarc <evomarc>
Date:   Wed May 2 10:57:35 2001 +0000

    Adding files in es for ES Crossovers

Author: evomarc <evomarc>
Date:   Wed May 2 10:54:17 2001 +0000

    Forgotten file ...

Author: evomarc <evomarc>
Date:   Wed May 2 10:53:14 2001 +0000

    Forgotten new file

Author: evomarc <evomarc>
Date:   Wed May 2 10:50:01 2001 +0000

    Added the new eoEsXXXover.h in Malefile.am

Author: evomarc <evomarc>
Date:   Wed May 2 10:47:56 2001 +0000

    Forgotten ES files + start of tutorial Lesson4 (about make_XXX)

Author: evomarc <evomarc>
Date:   Wed May 2 10:42:32 2001 +0000

    Adding Evolution Strategies:
    src/es/eoEsGlobalXover.h and src/es/eoEsLocalXover.h for crossover
    src/es/make_XXX_es.h for user-input
    test/t-eoEsAll.cpp to test
    
    However, an old bug appeared: className was not const in eoGenOp (and derived classes)
    so I had to change that throughtout the hierarchy

Author: evomarc <evomarc>
Date:   Tue May 1 05:00:29 2001 +0000

    Removing make_help.cpp

Author: evomarc <evomarc>
Date:   Mon Apr 30 13:24:42 2001 +0000

    Some changes in names, before too many users have to modify their code :-)
    Changed es.h in src/es into make_es.h (was ambiguous with src/es.h)
    Changed the interface of make_genotype - now templatized by the EOT
    and not the fitness - this is mandatory for ES genoptypes as it allows to
    choose the type of gentype at run-time (from existing types, of course!)
    
    Also moved make_help.cpp into utils dir (otherwise you'd had to maintain
    a copy into each representation dir!).

Author: evomarc <evomarc>
Date:   Mon Apr 30 13:01:07 2001 +0000

    Some changes in names, before too many users have to modify their code :-)
    Changed es.h in src/es into make_es.h (was ambiguous with src/es.h)
    Changed the interface of make_genotype - now templatized by the EOT
    and not the fitness - this is mandatory for ES genoptypes as it allows to
    choose the type of gentype at run-time (from existing types, of course!)
    
    Also moved make_help.cpp into utils dir (otherwise you'd had to maintain
    a copy into each representation dir!).

Author: evomarc <evomarc>
Date:   Mon Apr 30 12:26:31 2001 +0000

    Some changes in names, before too many users have to modify their code :-)
    Changed ga.h in src/ga into make_ga.h (was ambiguous with src/ga.h)
    Chenged the interface of make_genotype - now templatized by the EOT
    and not the fitness - this is mandatory for ES genoptypes as it allows to
    choose the type of gentype at run-time (from existing types, of course!)

Author: evomarc <evomarc>
Date:   Mon Apr 30 09:26:37 2001 +0000

    Changed EA basic image:
    - caption changed from population-parents to parents-genitors
    - quality improved (now 177Ko instead of 53 :-(

Author: evomarc <evomarc>
Date:   Sun Apr 29 05:03:05 2001 +0000

    Re-introduced the old ctors for the mutations (for backward compatibility
    with the tutorial :-(

Author: evomarc <evomarc>
Date:   Sat Apr 28 06:06:21 2001 +0000

    Declarations for make_xxx_real.cpp files - for eoReal genotypes
    Was previously es.h - now es.h is specifically for ES genotypes

Author: evomarc <evomarc>
Date:   Sat Apr 28 05:53:37 2001 +0000

    Adding first bricks of ES algorithm - make_XXX_es.cpp

Author: evomarc <evomarc>
Date:   Sat Apr 28 05:47:18 2001 +0000

    Added bounds to the real operators in make_XXX (and hence in t-eoReal)

Author: evomarc <evomarc>
Date:   Fri Apr 27 04:03:16 2001 +0000

    Removed the -O2 from ga and es dirs - it takes waaaaaaaaaaaaay too much time
    at least with g++ 2.95.3

Author: evomarc <evomarc>
Date:   Thu Apr 26 15:47:37 2001 +0000

    The declaratio file for all make_*

Author: evomarc <evomarc>
Date:   Thu Apr 26 15:35:30 2001 +0000

    Removing eoRealBounds from Makefile.am

Author: evomarc <evomarc>
Date:   Thu Apr 26 15:31:48 2001 +0000

    An initializer of eoReal that uses bounds

Author: evomarc <evomarc>
Date:   Thu Apr 26 15:27:48 2001 +0000

    Adding all make_*_real.* - similar to ga stuff for eoReal (not ES yet)

Author: evomarc <evomarc>
Date:   Thu Apr 26 15:24:53 2001 +0000

    Doing libes.a in src/es and adding t-eoReal.cpp in test
    I had to move eoRealBounds to utils dir because of global objects
    Some domino consequences here and there ...

Author: evomarc <evomarc>
Date:   Tue Apr 24 09:42:01 2001 +0000

    Changed obscure comment into more detailed one

Author: evomarc <evomarc>
Date:   Tue Apr 24 05:13:10 2001 +0000

    CLeaning up

Author: evomarc <evomarc>
Date:   Tue Apr 24 05:08:08 2001 +0000

    Forgot the 2 representation dependent make_XXX.h

Author: evomarc <evomarc>
Date:   Tue Apr 24 05:05:09 2001 +0000

    Adding eoEvalContinue

Author: evomarc <evomarc>
Date:   Tue Apr 24 05:03:54 2001 +0000

    Cleaning up

Author: evomarc <evomarc>
Date:   Tue Apr 24 04:56:12 2001 +0000

    eoEvalFuncCounter is now in a separate file

Author: evomarc <evomarc>
Date:   Tue Apr 24 04:52:04 2001 +0000

    The new libga
    Apart from big changes in the src/ga dir, and the addition of the src/do dir
    it also generated a few changes here and there, e.g. some include file still
    missing. Also removed some warning from some test files.

Author: evomarc <evomarc>
Date:   Fri Apr 13 08:57:40 2001 +0000

    Few cosmetic modifs:
       put the #define of some boolean in eoData.h
       added some include that were missing (unnoticed because of include<eo>)
       some checks in eoXXXTournamentSelect

Author: evomarc <evomarc>
Date:   Thu Apr 12 16:46:55 2001 +0000

    Added eoCloneOps.h that contains ... cloning instances of eoXXXOp (all in
    1 file, sorry JJ).
    Modified eo - also added a few comments there

Author: evomarc <evomarc>
Date:   Thu Apr 12 05:35:05 2001 +0000

    Modified the default behavior of eoCountedStateSaver to save the final population.
    So if you don't want any population save, don't use any eoCountedStateSaver.

Author: evomarc <evomarc>
Date:   Thu Apr 12 05:29:34 2001 +0000

    Added a new boolean argument to the ctor of eoBitMutation:
    you can now specify a rate-per-bit that will be normalized by the chromSize

Author: evomarc <evomarc>
Date:   Thu Apr 12 05:28:23 2001 +0000

    Added a few "virtual" that were missing

Author: evomarc <evomarc>
Date:   Wed Apr 11 12:01:51 2001 +0000

    Changed all variables named howmany into combien (French for how many)
    because of a silly problem on Solaris (howmany seems to be some macro???)

Author: evomarc <evomarc>
Date:   Wed Apr 11 04:44:39 2001 +0000

    Modified printOn so that parameters that are not set explicitely by the user
    are commented out - but still appear. Uses the (now public and pure virtual
    in the base class eoParameterLoader) method isItThere.

Author: evomarc <evomarc>
Date:   Tue Apr 10 15:08:09 2001 +0000

    Added the pure virtual isItThere method in base class eoParameterLoader
    Also made the corresponding isItThere method in eoParser public.
    This allows one to test if the user did actually input a given parameter
    and thus not to write it in the output if not - as we want the output
    of printOn to be "as identical as possible" to the actual user input

Author: evomarc <evomarc>
Date:   Mon Apr 9 16:03:18 2001 +0000

    eoCtrlCcontinue had a few remaining errors :-(

Author: evomarc <evomarc>
Date:   Mon Apr 9 15:28:24 2001 +0000

    Modified the eoCtrlCContinue - had to create the eoCtrlCContinue.cpp
    to make t-eoGA work (you should NOT have separate functions in .h files!)
    I also included everything related to Ctrl C handling in #ifndef _MSC_VER
    until someone tells me how to do it in MSVC

Author: evomarc <evomarc>
Date:   Mon Apr 9 14:20:48 2001 +0000

    Sorry, last check in was a mistake

Author: evomarc <evomarc>
Date:   Mon Apr 9 08:52:41 2001 +0000

    Commented some ====== that resulted in error when running autogen.sh

Author: evomarc <evomarc>
Date:   Thu Apr 5 16:47:54 2001 +0000

    Added the continue.tmpl template - and modified the html pages accordingly
    (though eoCheckPoint.html is still a long way to complete).
    Added some comments in all template files - and replaced
    the protected by private (don't remember why these were protected!!!).

Author: evomarc <evomarc>
Date:   Wed Apr 4 03:47:33 2001 +0000

    Added the signal handling - see eoCtrlCContinue.h
    I've disabled it in case of MSC as I don't know if this works there ...
    
    Also added a couple of "virtual" in the ga dir

Author: evomarc <evomarc>
Date:   Tue Apr 3 17:14:53 2001 +0000

    eoOperators now is in sync with the last modif of eoPopulator by Maarten!

Author: evomarc <evomarc>
Date:   Tue Apr 3 17:14:08 2001 +0000

    Modified the tempaltes to take into account
    - the last modifications of the eopopulator class
    - the include files (were totally missing in the old templates)
    - JJ's demand for one class - one file :-)

Author: jmerelo <jmerelo>
Date:   Tue Apr 3 10:08:08 2001 +0000

    In eoVector, changed printOn and readFrom to virtual

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 28 09:00:54 2001 +0000

    eoParam, added specialization for eoValueParam<string>::getValue
    FDCStat and FileSnapshot: better error messageing
    Scalar fitness: is now a vector of doubles
    exercise3.1 added gnuplot again
    
    Don't know about eoCombinedContinue

Author: evomarc <evomarc>
Date:   Tue Mar 27 16:27:15 2001 +0000

    Modified the names in eoPopStat!
    Hoever, the way it's done now, the string gets TRUNCATED - and I dont' know why

Author: evomarc <evomarc>
Date:   Tue Mar 27 16:02:00 2001 +0000

    Adding Maarten's "snippet" to dump the whole pop to the screen: eoPopStat.h
    Modified utils/checkpointing accordingly.
    Tested in tutorial/Lesson3/exercise3.1
    BTW, the eoFileSnapShot does not work any more - I've commented it out
    and will look at that later...

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Mar 26 10:09:40 2001 +0000

    NDSorting: changed exact ranking values to make check for front easier
    eoRNG: changed nothing (did some debugging)

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 23 12:24:39 2001 +0000

    added test for printing population

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 23 08:54:31 2001 +0000

    let doxygen look into this dir

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 23 08:53:48 2001 +0000

    added

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Mar 22 16:23:56 2001 +0000

    updated project number

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Mar 22 11:22:31 2001 +0000

    oops

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Mar 22 10:51:16 2001 +0000

    Changed the single objective shortcut calculation

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Mar 22 09:00:30 2001 +0000

    temporarily added fitness_traits to keep people up to date with this proposal

Author: jmerelo <jmerelo>
Date:   Wed Mar 21 13:35:10 2001 +0000

    Added a new xover to varlenxover

Author: jmerelo <jmerelo>
Date:   Wed Mar 21 13:09:47 2001 +0000

    Added a new atommutator to Variable Length, and corrected some headers which had problems

Author: jmerelo <jmerelo>
Date:   Wed Mar 21 12:10:13 2001 +0000

    Moved epAtom* out of the obsolete dir; added some CVS headers to some files, and made everything work with my elipse classes

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 21 11:09:29 2001 +0000

    test paretofitness class

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 21 11:08:27 2001 +0000

    Few changes in setting up the algorithms. It now gives an example of how to
    write factory functions

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 21 10:55:22 2001 +0000

    Changed a few things in the eoPerf2Worth classes, EO.h and eoSelectOne.h are functionally unchanged

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Mar 20 14:34:07 2001 +0000

    Updated eoStat.h to also "do the right thing" when confronted with pareto style fitness

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 16 14:19:11 2001 +0000

    added help

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 16 14:09:55 2001 +0000

    Now look how perty t-eoPareto has become (though it doesn't do a proper mo modelling yet)

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 16 13:11:32 2001 +0000

    Some bugfixing in MO optimization and added empty check: target in tutorial

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 16 12:09:36 2001 +0000

    oops, ngens is now the nice 10

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 16 12:08:26 2001 +0000

    Ok, made an eoParetoFitness class, which meant that I could roll back a few changes in EO.h (phew).
    Also changed eoSelectFromWorth etc.

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 16 11:48:32 2001 +0000

    added

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Mar 15 14:11:24 2001 +0000

    added dist and distdir targets

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 14 12:47:14 2001 +0000

    Using nd-sorting now

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 14 12:46:37 2001 +0000

    First go, does not do niching yet

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 14 11:58:47 2001 +0000

    OOPS, that was a major bug, letting non-dominating individuals dominate one another.

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 14 10:14:27 2001 +0000

    t-eoPareto now plots the evolving population and t-eoRandom check is slightly more strict

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 14 10:13:27 2001 +0000

    Added support for printing vector<T> as a fitness

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Mar 14 10:12:37 2001 +0000

    Added Multi-objective fitness monitoring added support for vector<vector<double> > in eoParam
    and made eoFileSnapshot type-safe

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Mar 13 08:25:05 2001 +0000

    Swapped linking order of utility libs

Author: evomarc <evomarc>
Date:   Tue Mar 13 05:25:51 2001 +0000

    Just modified an wrong comment (after a too quick cut-and-paste)

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Mar 12 16:07:55 2001 +0000

    Production of binop back to 1

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Mar 12 16:04:18 2001 +0000

    Added first batch of pareto based stuff

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Mar 12 16:03:08 2001 +0000

    Added pareto based stuff

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Mar 12 16:00:58 2001 +0000

    EO: added overloaded printing of fitness (for vectors and pairs)
    
    Various bugs and ommissions in eoPerf2Worth and eoSelectFromWorth

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Mar 12 14:27:31 2001 +0000

    invalidating supported now

Author: maartenkeijzer <maartenkeijzer>
Date:   Sat Mar 10 14:02:23 2001 +0000

    Changed the populator to be a) more efficient and b) more useable
    
    It is no longer derived from eoPop, it now gets a destination population.
    This saves a lot of copying. The semantics has changed a little as well. It is
    now an _infinite_ iterator. operator++ will *not* dispense new individuals, but
    will merely stay at the end. To get a new indy, use operator*() as before.
    
    eoEasyEA now checks the checkpoint *after* making a generation and clears the offspring
    eoGeneralBreeder is changed to reflect the changes in eoPopulator
    eoSequentialSelect now uses setup() rather than init()

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 9 14:14:53 2001 +0000

    Test for a ssga added.

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Mar 9 14:13:28 2001 +0000

    Various bugs found and resolved.

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Mar 8 13:38:41 2001 +0000

    radically simplified the Makefile.am, but this only works for headers (no idea what the problem is with sources)

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Feb 27 11:45:31 2001 +0000

    put using eo::rng in top of file to help out gcc 2.91

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Feb 27 11:44:28 2001 +0000

    swapped order of libeo and libeoutils, gcc 2.91 did not like it

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Feb 27 11:43:06 2001 +0000

    Made dtor virtual

Author: evomarc <evomarc>
Date:   Tue Feb 27 05:24:24 2001 +0000

    Still modifying eoInit ...

Author: evomarc <evomarc>
Date:   Tue Feb 27 05:09:10 2001 +0000

    Modified all init sequences in Lesson2 and Lesson3 - and all corresponding
    files in html dir - after the return of eoRndGenerators and subsequent
    modifications of eoInit

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Feb 19 12:23:13 2001 +0000

    Modified eoInit so that it would use the eoRndGenerator base class.
    To be able to use the primitive std::generate function, added a
    set of wrappers in eoSTLFunctor.h that have the copy semantics most
    STL functions expect (namely pass-by-value rather then pass-by-reference).
    
    Updated test/Makefile.am to also test t-eoRandom

Author: evomarc <evomarc>
Date:   Sun Feb 18 06:41:30 2001 +0000

    Date and version number

Author: evomarc <evomarc>
Date:   Sun Feb 18 04:34:57 2001 +0000

    Added the eo::rng (instead of rng) as default parameter to all calls.
    Also t-eoRandom was abruptly aborting-> a min was greater than a max, and
    exceptions were not being caught.

Author: maartenkeijzer <maartenkeijzer>
Date:   Sat Feb 17 10:51:31 2001 +0000

    eoVector is back (eoFixedLength and eoVariableLength are gone)
    
    Also: introducing eoRndGenerators.h for eoRndGenerator derived classes:
    
      eoNormalGenerator
      eoUniformGenerator
      eoBooleanGenerator
      eoNegExpGenerator
    
    Note the suffix that are added to aid in determining what these classes do

Author: evomarc <evomarc>
Date:   Sat Feb 17 08:22:53 2001 +0000

    Now takes into account the last (and last!) modification of the operator interace:
    no more invalidate, but a bool returned for simple operators, and a better description
    of the eoPopulator/eoOpContainer links.

Author: evomarc <evomarc>
Date:   Sat Feb 17 06:47:31 2001 +0000

    Forgot the selector in the ctor

Author: evomarc <evomarc>
Date:   Sat Feb 17 06:42:20 2001 +0000

    Modified crossover and mutation to account for the new interface (bool ...)
    Added the genop.tmpl, template for general op, 3 cases, growing pop,
    shrinking pop through erase, thrinking pop through extra selector

Author: evomarc <evomarc>
Date:   Fri Feb 16 18:00:18 2001 +0000

    Added oine star at start of comment to have Doxygen process it !!!

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Feb 16 09:39:06 2001 +0000

    works for me

Author: evomarc <evomarc>
Date:   Fri Feb 16 08:21:25 2001 +0000

    The perf2worth major check in
    2 new important classes: eoPerf2Worth and eoSelectFromWorth
    Instances of eoPerf2Worth are eoRanking and eoLinearFitScaling.
    Coming soon (piece of cake now) are the niching strategies (sharing, clearing)

Author: evomarc <evomarc>
Date:   Fri Feb 16 05:06:17 2001 +0000

    Only names modifications, to comply to EO strict rules :-)

Author: maartenkeijzer <maartenkeijzer>
Date:   Thu Feb 15 08:31:38 2001 +0000

    reverted the max-to-produce initializer

Author: evomarc <evomarc>
Date:   Thu Feb 15 05:36:28 2001 +0000

    Changed the default values for popsize, vecsize and maxgen so
    the user has a chance to see something even on Pentium 10GHz :-)

Author: evomarc <evomarc>
Date:   Thu Feb 15 05:35:31 2001 +0000

    Modified the comments so that all callses are documented by Doxygen
    (a comment starting with // before the class definition is not taken into account)
    Also updated the initial overall comment -
    and waouw, doxygen generates links there, too! Cool.

Author: evomarc <evomarc>
Date:   Thu Feb 15 04:47:18 2001 +0000


Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Feb 14 18:05:36 2001 +0000

    updated the dsp, dsw files for the library

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Feb 14 18:01:30 2001 +0000

    no need to keep these test functions here, will start new project in /test

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Feb 14 14:09:16 2001 +0000

    Changed the return value to return what it got in

Author: maartenkeijzer <maartenkeijzer>
Date:   Wed Feb 14 10:35:26 2001 +0000

    
    Changed the signature of eoMon, eoBin and eoQuadOp to return a bool,
    without invalidating fitness. Added a set of invalidators to take over
    that job (see for instance eoSGA and eoSGATransform how this can transparantly used)
    
    Derived eoState from eoFunctorStore (for convenience, from a design perspective this may sound wrong)
    
    Added a wrap_op function that does the wrapping for you (see eoOpContainer how this made this functor
    exceedingly less hairy). Checked all the tests removed the eoGeneric*Op family (not needed anymore)
    and of course changed all the operators to reflect the change (and found a few that didn't
    invalidate the fitness, thus really pointing out the advantage of the current approach)

Author: jmerelo <jmerelo>
Date:   Tue Feb 13 22:39:56 2001 +0000

    Just playing with the CVS variables

Author: jmerelo <jmerelo>
Date:   Tue Feb 13 22:38:23 2001 +0000

    Just playing with the CVS variables

Author: jmerelo <jmerelo>
Date:   Tue Feb 13 22:35:07 2001 +0000

    Moved out of the 'obsolete' directory a couple of honest classes, which didn't harm anybody; activated also in Makefile.am the program that tested them

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Feb 13 14:43:54 2001 +0000

    Added a bit more documentation, more to follow (I hope)

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Feb 13 12:38:19 2001 +0000

    fixed a bug: the parser now correctly parses parameters of the form
    
    -Pvalue
    
    This will now produce 'value'. The buggy parser would parse 'alue' here. I am truly and deeply
    ashamed to have created such an off-by-one error.
    
    Marc assumed this was wanted behaviour (so that it should read: -P=value)
    I must admit that this is a logical conclusion, though it was merely a side-effect
    of the error. To not force Marc to rewrite the tutorial and his way of working with
    EO, I decided to make a feature out of the bug, so that now the parser will parse:
    
    -Pvalue
    -P=value
    
    and of course the true and blue:
    
    -Parameter=value
    
    I will now go and check if I sent out some crappy papers caused by this bug (as I've been using eo!)

Author: maartenkeijzer <maartenkeijzer>
Date:   Tue Feb 13 10:35:47 2001 +0000

    Just an update

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Feb 12 13:58:51 2001 +0000

    Ok, updated the Makefile.am again to use the
    
    make check
    
    Command I picked up in the automake documentation (RTFM, you know)
    
    Tagged a lot of header functions in the GnuPlot files with 'inline',
    so they can be used from more than one sourcefile.
    
    Ok, now the interesting news. Started a new library libga (not to be confused
    with Matthew's GaLib). Here I suggest we put a fairly complete and configurable
    genetic algorithm. Just to see how far we can stretch ourselves and also to have
    a GA-componenent that can be used in other applications without having to rebuild
    the entire thing. test/t-eoGA.cpp tests this library

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Feb 11 16:35:21 2001 +0000

    run_tests is expanded to run everything (but only once yet, will have
    to address this later).
    t-eoSymreg is build to run for just a few generations, otherwise testing
    it would be an excercise in patience.

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Feb 11 16:25:03 2001 +0000

    Removed small bug in reading outside a buffer in eoParser::readFrom
    
    This caused the parser to crash when a simple flag of the form program -f
    was given.

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Feb 11 16:01:47 2001 +0000

    run_tests, add your own tests here

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Feb 11 15:58:55 2001 +0000

    Test now is not build automatically, make test should be given explicitely, then a new script run_tests will be used to check if everything still works

Author: maartenkeijzer <maartenkeijzer>
Date:   Sun Feb 11 15:57:01 2001 +0000

    Commented out the check for libtool, as we don't use it currently

Author: evomarc <evomarc>
Date:   Sat Feb 10 05:36:50 2001 +0000

    Added matermind in SUBDIRS

Author: jmerelo <jmerelo>
Date:   Fri Feb 9 16:52:06 2001 +0000

    Minor bugs for Win quashed; fixed Win project files

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Feb 9 11:52:55 2001 +0000

    Removed the -O2 flag from the makefile in the test directory.
    Builds should go faster now.

Author: evomarc <evomarc>
Date:   Fri Feb 9 08:32:47 2001 +0000

    Added a comment before eoPopulator class so it is documented!

Author: evomarc <evomarc>
Date:   Fri Feb 9 08:21:35 2001 +0000

    Changed the first paragraph, added warning that it should be used on-line only

Author: evomarc <evomarc>
Date:   Fri Feb 9 05:52:44 2001 +0000

    Big change in eoGeneralOp interface: left out!

Author: evomarc <evomarc>
Date:   Fri Feb 9 05:46:12 2001 +0000

    Change in Makefile - but again it should be replaced with clean Makefile.am

Author: evomarc <evomarc>
Date:   Fri Feb 9 05:43:06 2001 +0000

    The big GeneraoOp interface change - in test dir

Author: evomarc <evomarc>
Date:   Fri Feb 9 05:34:04 2001 +0000

    Modified the Makefile of Lesson? to allow make all to also make the exercises
    It need to be modified anyway into Makefile.am stuff

Author: evomarc <evomarc>
Date:   Fri Feb 9 05:28:33 2001 +0000

    Removed eoEvolutionStrategy because it was based on  eoGeneralOp old interface

Author: evomarc <evomarc>
Date:   Fri Feb 9 05:25:25 2001 +0000

    Because it has not extension, I had forgotten to update the eo file itself!
    Now reflects the change of eoGenOp interface and the changes of names in ga

Author: evomarc <evomarc>
Date:   Fri Feb 9 05:21:04 2001 +0000

    Added the GnuPlotSnapshotMonitor, the eoScalarFitnessStat and eoFDCStat in checkpointing

Author: evomarc <evomarc>
Date:   Fri Feb 9 05:10:25 2001 +0000

    Left-out from the big change of general op interface!

Author: evomarc <evomarc>
Date:   Fri Feb 9 05:09:26 2001 +0000

    The BIG change of general operator interface
    I also changed
      - the eoQuadratic into eoQuad (as dicussed with Maarten)
      - the eoBin into eoBit, with more appropriate names for the "binary"
        operators (that can be unary!) as no one protested when I posted on
        eodev list

Author: evomarc <evomarc>
Date:   Wed Feb 7 05:15:18 2001 +0000

    Added the missing include of eoScalarFitness - mandatory due to
    explicit specialization for eoParamValue<vector<eoMinimizingFitness> >

Author: evomarc <evomarc>
Date:   Wed Feb 7 05:13:33 2001 +0000

    Added the handling of generic operators in Combined Ops

Author: evomarc <evomarc>
Date:   Wed Feb 7 05:11:37 2001 +0000

    Added the shuffle(vector<const EOT*>) method

Author: evomarc <evomarc>
Date:   Wed Feb 7 05:04:24 2001 +0000

    Added selection methods
    eoBestSelect            always return the best individual
    eoSequentialSelect      a selectOne version of eoDetSelect (uses an index to
                            return next offspring from sorted pop)

Author: evomarc <evomarc>
Date:   Thu Feb 1 05:27:36 2001 +0000

    Forgotten a debug print

Author: evomarc <evomarc>
Date:   Thu Feb 1 05:17:16 2001 +0000

    I had forgotten to add pipecom.h
    Moreover, I got fed up with error due to const/non const, so I modified
    PipeComSend to take a const argument. THe consequence is that it will not run
    under plain C any more.

Author: evomarc <evomarc>
Date:   Wed Jan 31 18:38:39 2001 +0000

    Added the monitoring facilities for snapshots (i.e. generating and plotting a new file
    every generation) which is different from the continuous monitoring (same file/plot is
    angemented every generation).
    This lead to a number of modifications in many files in utils dir
    
    But now we can watch on-line
    - fitness spreadout
    - FDC plots
    - multi-objective Pareto fronts (though the multi-objective sruff isn't there yet!)

Author: evomarc <evomarc>
Date:   Tue Jan 30 04:53:05 2001 +0000

    Comments added to remove undocumented classes from Doxygen documentation

Author: evomarc <evomarc>
Date:   Mon Jan 29 10:25:44 2001 +0000

    Added the truncate and the hasNoBoundAtAll methods in eoRealBounds.
    The former simply set values to the boundary values in case they are out
    The latter allows to short-cut all bound-checks when no need
    
    SOme day I will put this in utils, and have a eoRealBounds.cpp in the
    pre-compiled library

Author: evomarc <evomarc>
Date:   Sun Jan 28 07:31:34 2001 +0000

    Modified to use eoRealBounds rather than eoEsObjectiveBounds

Author: evomarc <evomarc>
Date:   Sun Jan 28 07:27:12 2001 +0000

    Error in src/Makefile.am

Author: evomarc <evomarc>
Date:   Sun Jan 28 07:02:27 2001 +0000

    Actually removed eoEsObjectiveBounds.h and evolution_strategies

Author: evomarc <evomarc>
Date:   Sun Jan 28 07:00:41 2001 +0000

    Added the includes ga.h and es.h
    Removed the old eoEsObjectiveBounds and evolutionar_strategies from es dir

Author: evomarc <evomarc>
Date:   Sat Jan 27 08:38:31 2001 +0000

    Added some comments so eoRealVectorBounds is documented

Author: evomarc <evomarc>
Date:   Sat Jan 27 08:20:39 2001 +0000

    Following the change in includes (added ga.h and es.h everywhere pfuhh)

Author: evomarc <evomarc>
Date:   Sat Jan 27 07:46:07 2001 +0000

    Added eoGenericRealOp.h that are the exact copy of the operators of eoReaOp.h,
    but in generic format.
    They are used at the omoment only in eoEsStdevXOver.h that calls a crossover
    on the object variables, then a crossover on teh stdev vectors!
    A piece of cake :-)

Author: evomarc <evomarc>
Date:   Sat Jan 27 07:43:58 2001 +0000

    I have separated the include files into
       eo   everything that is general to any representation
       es.h everything about real representation (in es dir)
       ga.h everything related to bitstring representation (in ga dir)
    
    To be continued by gp.h, and ...
    
    This has lead to some slight modifications in test file eobin and all tutorial
    examples files...
    
    I've also added in utils eoDistance, generic functor to compute distances,
    including also the generic Euclidian distance

Author: evomarc <evomarc>
Date:   Sat Jan 27 07:41:46 2001 +0000

    I have separated the include files into
       eo   everything that is general to any representation
       es.h everything about real representation (in es dir)
       ga.h everything related to bitstring representation (in ga dir)
    
    To be continued by gp.h, and ...
    
    This has lead to some slight modifications in test file eobin and all tutorial
    examples files...

Author: evomarc <evomarc>
Date:   Sat Jan 27 07:33:55 2001 +0000

    A few mistakes corrected - and some comments on the setup method

Author: evomarc <evomarc>
Date:   Fri Jan 26 18:26:30 2001 +0000

    Added the bounds to all eoRealOp operators (and to the eoNormalMutation).
    The eoESObjectiveBounds should soon dissapear!!

Author: evomarc <evomarc>
Date:   Fri Jan 26 17:12:13 2001 +0000

    Typos in comments

Author: evomarc <evomarc>
Date:   Fri Jan 26 17:09:33 2001 +0000

    Some includes were missing in eoPop and eoOp that I had not noticed before
    trying to compile test/t-eoSymreg.cpp

Author: evomarc <evomarc>
Date:   Fri Jan 26 04:06:09 2001 +0000

    Added eoRandomReduce

Author: evomarc <evomarc>
Date:   Thu Jan 25 16:14:25 2001 +0000

    Full t-eoSelect file, that allows to test all selectors
    feature: generation of files suitable for gnuplot to see how individual spread out

Author: evomarc <evomarc>
Date:   Thu Jan 25 16:13:15 2001 +0000

    Added ranking selection (eoRankingSelect) and (linear) fitness scaling in
    proportional selection (a completely different file, eoFitnessScalingSelect.h)

Author: evomarc <evomarc>
Date:   Wed Jan 17 05:29:54 2001 +0000

    Modified the link to EO pages so that users can download the development
    version - as no example works with the current snapshot

Author: evomarc <evomarc>
Date:   Tue Jan 16 09:49:46 2001 +0000

    Added the shuffle method

Author: evomarc <evomarc>
Date:   Tue Jan 16 07:20:48 2001 +0000

    Added the normal mutation - and the 1/5 mutation in FirstRealEA in Lesson2

Author: evomarc <evomarc>
Date:   Tue Jan 16 07:20:02 2001 +0000

    Added the normal and 1/5 mutations (file es/eoNormalMutation.h)

Author: evomarc <evomarc>
Date:   Tue Jan 16 07:18:45 2001 +0000

    Added the normal mutation - and the 1/5 mutation

Author: evomarc <evomarc>
Date:   Tue Jan 16 05:52:01 2001 +0000

    Added the eoRandomReduce class - hence I also added the shuffle method
    in eoPop (I had been postponing that for a long time!) which in turn required
    another class of random generator (whose operator() takes an unsigned as argument)

Author: evomarc <evomarc>
Date:   Fri Jan 12 21:31:42 2001 +0000

    Corrected some error in variable name after last changes in method append

Author: evomarc <evomarc>
Date:   Thu Jan 11 11:02:37 2001 +0000

    New versions of bounds for real variables.
    Should supersede eoEsObjectiveBounds, whose name was misleading anyway
    as this can be used in any REal-ceded GA for isntance

Author: evomarc <evomarc>
Date:   Thu Jan 11 10:48:31 2001 +0000

    GOing to the generic operators: some additions (eoGeneric*)
    and some modifications in eoFixedLength and eoVariableLength.

Author: evomarc <evomarc>
Date:   Tue Jan 9 03:33:16 2001 +0000

    Added the eoSurviveAndDie comments.
    Should be complete!!!

Author: evomarc <evomarc>
Date:   Tue Jan 9 02:17:28 2001 +0000

    Added the namespace in description of RNGs (and corrected a few broken links)

Author: evomarc <evomarc>
Date:   Mon Jan 8 10:07:27 2001 +0000

    Added the namespace eo for the global variable rng in eoRNG.cpp
    Also added "using eo::rng" in eoRNG.h so nothing has to be modified.
    We should gradually move to write eo::rng everywhere, and remove that using
    directive to be almost full-proofed against possible name collision.

Author: evomarc <evomarc>
Date:   Mon Jan 8 09:52:15 2001 +0000

    Added the descrition of evolution engines in eoEngine
    and links to SGAI STL Web site in eoTutorial and eoProgramming

Author: evomarc <evomarc>
Date:   Fri Jan 5 14:42:48 2001 +0000

    Removed a forgotten comment :-)

Author: evomarc <evomarc>
Date:   Fri Jan 5 08:50:01 2001 +0000

    I'm not sure about whether the sourceforge list is equivalent to the onelist list,
    so I finally ut both in README!

Author: evomarc <evomarc>
Date:   Fri Jan 5 08:17:11 2001 +0000

    Put the sourceforge name for the mailing list

Author: evomarc <evomarc>
Date:   Fri Jan 5 07:30:34 2001 +0000

    Updating installation ...

Author: evomarc <evomarc>
Date:   Fri Jan 5 07:20:45 2001 +0000

    Correcting my previous errors ...

Author: evomarc <evomarc>
Date:   Fri Jan 5 07:10:25 2001 +0000

    Trying to make the installation lighter, but the doc and the src
    would not compile, with make doc or make src ...

Author: evomarc <evomarc>
Date:   Fri Jan 5 06:55:16 2001 +0000

    Removed Lesson4 from Makefile - it is not there yet, and generates an error

Author: evomarc <evomarc>
Date:   Fri Jan 5 06:25:26 2001 +0000

    Added a message about generating the documentation if you have doxygen

Author: evomarc <evomarc>
Date:   Fri Jan 5 06:24:53 2001 +0000

    Removed doc from the SUBDIRS as most people don't have doxygen installed.
    Now you need to type in "make doc" to generate the doc

Author: evomarc <evomarc>
Date:   Fri Jan 5 06:23:54 2001 +0000

    Updated Makefile.am to account for the change of names in selectors

Author: evomarc <evomarc>
Date:   Fri Jan 5 05:48:16 2001 +0000

    Changed the names of the exercise files to exerciseN.p - N lesson nb, p exercise nb

Author: evomarc <evomarc>
Date:   Fri Jan 5 05:44:35 2001 +0000

    eoHowMany is now included in utils dir

Author: evomarc <evomarc>
Date:   Fri Jan 5 05:42:08 2001 +0000

    Checking in the name changes in selection procedures.
    This impacts on many files, creating new entries in src (the old ones are moved
    to obsolete dir), modifying t-eoSymreg.cpp and t-eobin.cpp in test,
    as well as gprop.cc and mastermind.cc in app dir (not to mention almost all
    files in tutorial:-(

Author: evomarc <evomarc>
Date:   Fri Jan 5 05:41:26 2001 +0000

    Trying to ci eoTutorial.html (there is a sticky tag that keeps bothering me ...)

Author: evomarc <evomarc>
Date:   Thu Jan 4 15:23:14 2001 +0000

    I had removed the wrong file!!!

Author: evomarc <evomarc>
Date:   Thu Jan 4 15:21:18 2001 +0000

    removed redundant index.html in html dir

Author: evomarc <evomarc>
Date:   Thu Jan 4 05:06:09 2001 +0000

    Sorry: removed eoSGATransform, that is in eoSGA.h ...

Author: evomarc <evomarc>
Date:   Thu Jan 4 05:00:40 2001 +0000

    Adding the selectin and replacement procedures

Author: evomarc <evomarc>
Date:   Tue Jan 2 13:31:40 2001 +0000

    Adding t-eoSelect.cpp to test selection procedures. Modified Makefile.am accordingly

Author: evomarc <evomarc>
Date:   Tue Jan 2 13:27:11 2001 +0000

    Adding eoDetSelect, deterministic batch selection, that copies the individuals
    one after the other. Should shuffle them in between (TODO).

Author: evomarc <evomarc>
Date:   Tue Jan 2 07:54:12 2001 +0000

    A few deatils

Author: evomarc <evomarc>
Date:   Tue Jan 2 07:35:56 2001 +0000

    Still the same !@#$$%% modif due to egcs problems ...

Author: evomarc <evomarc>
Date:   Tue Jan 2 07:23:35 2001 +0000

    Follow-up to the modif of SecondBitEA.cpp due to egcs...

Author: evomarc <evomarc>
Date:   Tue Jan 2 07:19:55 2001 +0000

    A few details in the comments

Author: evomarc <evomarc>
Date:   Tue Jan 2 07:03:57 2001 +0000

    I had to change the whole way the parameters are read, because EGCS did not
    allow the nice constructs I had imagined (and compiled with g++)
    - I removed the createParam method in Parser class - that was creating the parameters
      on the heap. Not allowed to have a templatized method ???
    - I removed the subroutine read_param in SecondBitEA, as you need to create
      permanent parameters (eoParser only holds references), and egcs did not allow
      to create them by reference, i.e. in the line
      eoValueParam<xxx> & blablaParam(...);
    
    So now everything is done in the main_function, and 3 lines are needed to create
    and read every paramter (sigh ...)

Author: evomarc <evomarc>
Date:   Wed Dec 27 11:37:05 2000 +0000

    A few additions and corrections ...

Author: evomarc <evomarc>
Date:   Tue Dec 26 10:28:27 2000 +0000

    Modified the help message for the short name (added the missing =)

Author: evomarc <evomarc>
Date:   Tue Dec 26 08:33:48 2000 +0000

    Moved eoSGATransform into a separate file and added the dynamic version
    (where arguments can be passed by value or by reference).
    Modified eo accordingly

Author: evomarc <evomarc>
Date:   Tue Dec 26 07:42:09 2000 +0000

    Modified the include list after the big eoReplacement changes

Author: evomarc <evomarc>
Date:   Fri Dec 22 15:13:54 2000 +0000

    Had forgotten the section name of the parser.processParam call in the
    definition fo the parameter.

Author: evomarc <evomarc>
Date:   Fri Dec 22 14:59:10 2000 +0000

    Back to the 3 lines to declare a parameter and read it within the parser:
    some compiler (egcs) don't like the createParam method in eoParser.h

Author: evomarc <evomarc>
Date:   Fri Dec 22 14:56:12 2000 +0000

    Back to the 3 lines to declare a parameter and read it within the parser:
    some compiler (egcs) don't like the createParam method in eoParser.h
    Also removed the reference in parameters declarations (a cut-and-paste error).

Author: evomarc <evomarc>
Date:   Thu Dec 21 06:49:41 2000 +0000

    Augmented the functors and STL parts - but I still would appreciate
    help on the STL part!

Author: evomarc <evomarc>
Date:   Thu Dec 21 05:35:01 2000 +0000

    Removed the silly reference for all parameters (cut-and-paste error!).
    But the funny thing is that my compiler did not complain ...

Author: evomarc <evomarc>
Date:   Tue Dec 19 22:14:29 2000 +0000

    Updated INSTALL and README to EO-specific instructions!

Author: evomarc <evomarc>
Date:   Tue Dec 19 18:43:25 2000 +0000

    Update after the change in replacements

Author: evomarc <evomarc>
Date:   Tue Dec 19 18:42:41 2000 +0000

    Added t-eoRepalcement.cpp, that tests all new replacement procedures

Author: evomarc <evomarc>
Date:   Tue Dec 19 18:41:19 2000 +0000

    THe big eoReplacement update:
    The interface for eoReplacement is now eoPop<EOT>&, eoPop<EOT>&
    (i.e. no const) and the result must be in the first argument in the end.
    
    Hence it is possible to do SSGA and all intermediate replacmeent procedures
    
    The classes derived from eoMergeReduce.h are now in a separate file
    The SSGA-like replcaement procedures are in eoReduceMerge.h
    A more general replacement can be found in eoSurviveAndDie.h
    (it could be made a littel more general - still open for upgrades).
    
    Also some accessors have been added to the eoPop (best and worse individuals)
    
    And include file eo has been updated

Author: evomarc <evomarc>
Date:   Tue Dec 19 18:32:09 2000 +0000

    A few errors + local TOC at top of eoEngine

Author: evomarc <evomarc>
Date:   Tue Dec 19 18:18:08 2000 +0000

    Bottom-Up/Top-Down modifs

Author: evomarc <evomarc>
Date:   Tue Dec 19 18:09:10 2000 +0000

    A new util class to handle the rate/integer argument to selectors/replacement

Author: evomarc <evomarc>
Date:   Tue Dec 19 18:02:19 2000 +0000

    Changed NoReplacement to GenerationalReplacement

Author: evomarc <evomarc>
Date:   Tue Dec 19 10:17:39 2000 +0000

    Changed the "to-down / bottom-up" to "algorithm-based / component-based"
    Also added all replacement procedures in eoEngine.html
    and the general operator interface in eoOperators.html

Author: evomarc <evomarc>
Date:   Tue Dec 19 05:31:54 2000 +0000

    A small detail ...

Author: evomarc <evomarc>
Date:   Sun Dec 17 07:49:55 2000 +0000

    Updated teh INSTALL and README files that were really minimal!!!

Author: evomarc <evomarc>
Date:   Fri Dec 15 18:09:08 2000 +0000

    Corrected a bad link

Author: evomarc <evomarc>
Date:   Fri Dec 15 17:01:11 2000 +0000

    deleted trash file lesson1.ps
    CVS ----------------------------------------------------------------------

Author: evomarc <evomarc>
Date:   Fri Dec 15 16:57:37 2000 +0000

    Added utils/eoGnuplot1DMonitor.h ni the list of includes

Author: gustavoromero <gustavoromero>
Date:   Mon Dec 11 09:28:40 2000 +0000

    adding .deps

Author: evomarc <evomarc>
Date:   Fri Dec 8 15:10:13 2000 +0000

    Adding Templates in dir tutorial, to hold some simple files that
    only need to be filled by the user to code new items.
    At the moment, only eoMonOp (in mutation.tmpl), and
    eoBinOp and eoQuadOp (in crossover.tmpl)

Author: evomarc <evomarc>
Date:   Fri Dec 8 14:16:13 2000 +0000

    Corrected a few bugs after the first "public" presentation

Author: evomarc <evomarc>
Date:   Thu Dec 7 09:56:00 2000 +0000

    New base class eoUpdatable.h - for objects that need upates in eoCheckPoints
    Also contains the class eoDynUpdater. They are eoUpdater, they receive an eoUpdatable
    at construct time, and call their upate() method in their operator() method

Author: gustavoromero <gustavoromero>
Date:   Tue Dec 5 13:46:21 2000 +0000

    small change

Author: evomarc <evomarc>
Date:   Tue Dec 5 05:27:12 2000 +0000

    Removed trash file

Author: evomarc <evomarc>
Date:   Tue Dec 5 05:22:55 2000 +0000

    Added virtual and const keywords all around - as I tried to use a derived
    class for adaptive rates (see eoDynProportionalCombinedOp.h, at the moment
    in the tutorial)

Author: gustavoromero <gustavoromero>
Date:   Mon Dec 4 19:26:19 2000 +0000

    erasing comments

Author: gustavoromero <gustavoromero>
Date:   Mon Dec 4 19:10:20 2000 +0000

    small improvements

Author: evomarc <evomarc>
Date:   Mon Dec 4 16:49:42 2000 +0000

    Added normal mutation for reals, and corrected error of segment-> arithmetic
    for the crossover operators

Author: evomarc <evomarc>
Date:   Mon Dec 4 15:01:31 2000 +0000

    omment of line apply(pop, eval) was found misleading ...

Author: evomarc <evomarc>
Date:   Mon Dec 4 14:55:18 2000 +0000

    - added the #define for eo_verbose (true) and eo_no_verbose (false)
    - added the eoNormMutation, simple normal mutation for simple real variables

Author: evomarc <evomarc>
Date:   Mon Dec 4 14:53:59 2000 +0000

    - added the #define for eo_verbose (true) and eo_no_verbose (false)
    - added the eoNormMutation, simple normal mutation for simple real variables
    Modified Files:
     	src/eo src/es/eoRealOp.h tutorial/Lesson2/FirstRealEA.cpp
     	tutorial/Lesson3/SecondBitEA.cpp

Author: evomarc <evomarc>
Date:   Mon Dec 4 06:58:43 2000 +0000

    Added the lastCall construct: if the stopping condition becomes true in eoCheckPoint,
          a method called lastCall is called for everything contained in that checkpoint
          (stats, updaters and monitors). This can be extremely useful
          - for stateSavers (see below)
          - for monitoring things like rates of success of operators, where what you
            are interested in is the final result only.
    Added of course a virtual method lastCall that does nothing by default in classes
          eoBaseStat, eoBaseSortedStat, eoUpdater and eoMonitor
    Added a boolean to control the save of the state in method eoCountedStateSaver::lastCall
          so you can ask that the state is saved at final population, whatever happens.
          I also added the corresponding constructor to take this into account.

Author: evomarc <evomarc>
Date:   Mon Dec 4 05:55:59 2000 +0000

    Added a comment so Doxygen documents it

Author: evomarc <evomarc>
Date:   Sat Dec 2 08:35:42 2000 +0000

    eoStdoutMonitor -> eoFileMonitor to correct an abusive cut-and-paste!

Author: evomarc <evomarc>
Date:   Sat Dec 2 08:29:45 2000 +0000

    Suppressed the warning for the need to create a link - see html files log.

Author: evomarc <evomarc>
Date:   Sat Dec 2 08:27:30 2000 +0000

    Changed the links to the EO doc - removed the need for a (Unix) link from
    tutorial/html dir to doc/ dir: it's simpler, and I was not able to do
    the same thing in Windows anyway!

Author: evomarc <evomarc>
Date:   Sat Dec 2 08:21:18 2000 +0000

    Changed the (abstract) name for fitness from F to FitT so it matches
    that of file eoFixedLength.h - it is far clearer in the documentation
    diagrams this way.

Author: gustavoromero <gustavoromero>
Date:   Fri Dec 1 19:13:12 2000 +0000

    initial version of mastermind

Author: gustavoromero <gustavoromero>
Date:   Fri Dec 1 19:09:34 2000 +0000

    adding a new terminator and a monitor

Author: evomarc <evomarc>
Date:   Fri Dec 1 18:26:16 2000 +0000

    Corrected the outState.regiserObject(parser) ommission (see SecondBitEA.html)

Author: evomarc <evomarc>
Date:   Fri Dec 1 18:03:17 2000 +0000

    I had dropped the parser from the outState - so I had to modify also
    read_param to get it back!

Author: evomarc <evomarc>
Date:   Fri Dec 1 17:56:52 2000 +0000

    Used spell-checker!!!

Author: gustavoromero <gustavoromero>
Date:   Fri Dec 1 15:46:07 2000 +0000

    adding a lot of includes

Author: gustavoromero <gustavoromero>
Date:   Thu Nov 30 17:11:53 2000 +0000

    small fix for uniform

Author: evomarc <evomarc>
Date:   Thu Nov 30 06:38:15 2000 +0000

    Corrected a small bug (!): the -C=value was not processed correctly
    as somebody forgot one character when counting up to ... 3 :-)))

Author: evomarc <evomarc>
Date:   Thu Nov 30 06:20:20 2000 +0000

    Reversed the priority between command-line and parameter file

Author: evomarc <evomarc>
Date:   Thu Nov 30 06:11:49 2000 +0000

    Moved eoCopyElite.h to obsolete dir - was redundant with eoMerge.h

Author: evomarc <evomarc>
Date:   Thu Nov 30 06:04:09 2000 +0000

    Removed eoCopyElite.h, redundant with eoMerge.h

Author: evomarc <evomarc>
Date:   Thu Nov 30 04:44:32 2000 +0000

    Added the tutorial SUBDIR
    It works fine ... for make clean
    But of course it would require some Makefile.am in each subdir of tutorial
    and I am not sure I know what to put there...

Author: gustavoromero <gustavoromero>
Date:   Wed Nov 29 18:36:13 2000 +0000

    sorry, old version was right

Author: evomarc <evomarc>
Date:   Wed Nov 29 18:19:57 2000 +0000

    Initial version of the tutorial.
    Warning: all Makefile's are hand-made, and will only work in Linux

Author: evomarc <evomarc>
Date:   Wed Nov 29 18:19:18 2000 +0000

    dded teh comment about the link to be made from html to ../../doc

Author: evomarc <evomarc>
Date:   Wed Nov 29 18:06:09 2000 +0000

    Initial version of the tutorial.
    Warning: the Makefil is hand-made, and only works in Linux

Author: evomarc <evomarc>
Date:   Wed Nov 29 17:20:16 2000 +0000

    An include file was missing!!!
    I've inserted it in teh file actually - but if we go on with gnuplot,
    it will need to be taken out again, and used in all other monitors
    we will write using gnuplot (e.g. eoGnuplotWithErrorbarsMonitor,
    eoGnuplotHistogramMonitor, ...).

Author: evomarc <evomarc>
Date:   Tue Nov 28 17:42:53 2000 +0000

    Added eoProportionalCombinedOp.h

Author: evomarc <evomarc>
Date:   Tue Nov 28 17:41:41 2000 +0000

    I added this very simple instance of operator proportional selector
    for the tutorial - it is consistent with all other xxxCombined constructs.
    However, I am not sure that Occam's razor will not make it widely used...

Author: evomarc <evomarc>
Date:   Tue Nov 28 17:17:19 2000 +0000

    Added the class eoSGATransform: I break the one file / one class rule
    a lot, but both are supposed to be used mainly in the tutorial, not
    in real life :-)

Author: evomarc <evomarc>
Date:   Tue Nov 28 15:40:39 2000 +0000

    Added fstream in the include files - I had an error message at some point!

Author: evomarc <evomarc>
Date:   Tue Nov 28 15:35:09 2000 +0000

    Added a comment to stdout upon termination - so we know why we stop in case
    of multiple criteria

Author: evomarc <evomarc>
Date:   Tue Nov 28 15:31:38 2000 +0000

    Minor change of the default label

Author: gustavoromero <gustavoromero>
Date:   Tue Nov 28 13:36:29 2000 +0000

    now works

Author: evomarc <evomarc>
Date:   Tue Nov 28 08:20:01 2000 +0000

    Added a few comments so Doxygen documents all classes

Author: evomarc <evomarc>
Date:   Tue Nov 28 06:58:06 2000 +0000

    This is the first attempt to use gnuplot through a fork to plot statistics.
    At the moment it is only tested for Linux!
    Use with care

Author: evomarc <evomarc>
Date:   Tue Nov 28 06:46:37 2000 +0000

    Modified the contructor: the default value for the delimiter is now " "
         and I added a boolean argument to indicate whether or not we want to
             overwrite an existing file with same name (default is overwrite).
    Added the getFileName accessor.

Author: evomarc <evomarc>
Date:   Fri Nov 24 17:45:07 2000 +0000

    Added eoSteadyGenContinue.h, es/eoReal.h and es/eoRealOp.h

Author: evomarc <evomarc>
Date:   Fri Nov 24 17:44:21 2000 +0000

    Very simple classes for vectors of (unbounded) real numbers.
    A few straightforward operators only (BLX-0, uniform mutation).
    Mostly for tutorial reasons - though it might improve in usefull classes later

Author: gustavoromero <gustavoromero>
Date:   Fri Nov 24 17:43:02 2000 +0000

    bug fix

Author: evomarc <evomarc>
Date:   Fri Nov 24 17:41:39 2000 +0000

    An eoContinue class that allows a minimum number of generations,
    then stops whenever a number of generations happens without fitness
    improvement.

Author: evomarc <evomarc>
Date:   Fri Nov 24 17:36:03 2000 +0000

    Added a verbose mode (the default behavior) which is as before.
    But when in non-verbose mode, prints only one line per generation.

Author: evomarc <evomarc>
Date:   Fri Nov 24 17:30:37 2000 +0000

    Turned the eoBestFitness into an eoStat (it was an eoSortedStat).
    Alos added a few comments so that Doxygen documents all classes there.

Author: evomarc <evomarc>
Date:   Fri Nov 24 17:26:22 2000 +0000

    Changed Maarten's 2-continuator construct into a vector of pointer,
    as in all other Combined constructs in EO.
    Kept the construtor with 2 eoCOntinue for backward compatibility.
    Added of course the add method!

Author: gustavoromero <gustavoromero>
Date:   Fri Nov 24 12:33:44 2000 +0000

    changing genetic operators

Author: gustavoromero <gustavoromero>
Date:   Fri Nov 24 11:52:49 2000 +0000

    fix Fitness default construction value

Author: gustavoromero <gustavoromero>
Date:   Fri Nov 24 09:51:31 2000 +0000

    adding new parameters

Author: gustavoromero <gustavoromero>
Date:   Thu Nov 23 19:45:49 2000 +0000

    reordering Makefile creation

Author: gustavoromero <gustavoromero>
Date:   Thu Nov 23 19:45:13 2000 +0000

    adding some files

Author: gustavoromero <gustavoromero>
Date:   Thu Nov 23 19:44:47 2000 +0000

    initial release

Author: gustavoromero <gustavoromero>
Date:   Thu Nov 23 19:17:24 2000 +0000

    initial version

Author: gustavoromero <gustavoromero>
Date:   Thu Nov 23 19:15:31 2000 +0000

    adding Makefile.in

Author: gustavoromero <gustavoromero>
Date:   Thu Nov 23 19:14:09 2000 +0000

    new application gprop

Author: evomarc <evomarc>
Date:   Fri Nov 17 17:50:08 2000 +0000

    Made eoBestFitnessStat an eoStat, NOT an eoSortedStat
    Cde VS: Committing in .

Author: evomarc <evomarc>
Date:   Fri Nov 17 17:06:53 2000 +0000

    dded the className method for eoMon, eoBin and eoQuad classes

Author: gustavoromero <gustavoromero>
Date:   Mon Nov 13 12:12:14 2000 +0000

    fixing template type

Author: gustavoromero <gustavoromero>
Date:   Mon Nov 13 12:09:53 2000 +0000

    adding evaluation in some places

Author: gustavoromero <gustavoromero>
Date:   Fri Nov 10 09:55:10 2000 +0000

    fix warning: no newline at end of file

Author: gustavoromero <gustavoromero>
Date:   Wed Nov 8 15:15:26 2000 +0000

    fix no newline at end of file warning

Author: gustavoromero <gustavoromero>
Date:   Wed Nov 8 13:37:41 2000 +0000

    choose a constructor

Author: gustavoromero <gustavoromero>
Date:   Wed Nov 8 13:26:03 2000 +0000

    fix no newline at end of file warning

Author: gustavoromero <gustavoromero>
Date:   Wed Nov 8 12:56:14 2000 +0000

    adding a include for apply.h

Author: gustavoromero <gustavoromero>
Date:   Wed Nov 8 12:55:26 2000 +0000

    fix no newline at end of file warning

Author: gustavoromero <gustavoromero>
Date:   Wed Nov 8 12:38:13 2000 +0000

    bug fix

Author: gustavoromero <gustavoromero>
Date:   Tue Nov 7 19:16:42 2000 +0000

    adding old targets

Author: gustavoromero <gustavoromero>
Date:   Tue Nov 7 19:13:22 2000 +0000

    removing a warning

Author: gustavoromero <gustavoromero>
Date:   Tue Nov 7 13:02:48 2000 +0000

    adding targets

Author: gustavoromero <gustavoromero>
Date:   Mon Nov 6 12:38:54 2000 +0000

    adding subdirectories

Author: gustavoromero <gustavoromero>
Date:   Mon Nov 6 12:37:58 2000 +0000

    adding t-eoSymreg

Author: gustavoromero <gustavoromero>
Date:   Mon Nov 6 11:34:38 2000 +0000

    adding target doc

Author: gustavoromero <gustavoromero>
Date:   Mon Nov 6 11:31:10 2000 +0000

    adding doc target to all

Author: evomarc <evomarc>
Date:   Sun Nov 5 05:33:43 2000 +0000

    Added constructors with 2 params _min and _max in generators
    so you can now generate things in [_min, _max) instead of [0,_max) only
    Modified the private data from maxim to {minim, range} accordingly.

Author: evomarc <evomarc>
Date:   Sun Nov 5 04:50:10 2000 +0000

    Added a default value (0.5) to method flip

Author: gustavoromero <gustavoromero>
Date:   Fri Nov 3 21:23:09 2000 +0000

    initial version

Author: gustavoromero <gustavoromero>
Date:   Fri Nov 3 20:03:26 2000 +0000

    fixing autoconfiguration

Author: evomarc <evomarc>
Date:   Mon Oct 30 14:54:29 2000 +0000

    Added some safety test in roulette_wheel procedures:
       if total is zero, used to return iterator -1 - now returns uniform choice

Author: evomarc <evomarc>
Date:   Mon Oct 30 14:51:57 2000 +0000

    Fine tuning of printOn: if fitness is invalid, now prints it

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 27 09:13:06 2000 +0000

    Another attempt in adding the flush

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 27 09:12:31 2000 +0000

    updated version info, added flush to stdoutmonitor and sprinkled a few typenames
    in eoPop.h and eoGOpSelector.h (egcs 2.96 started complaining).

Author: evomarc <evomarc>
Date:   Fri Oct 27 04:38:29 2000 +0000

    added a second ctor with more didactic ordering of parameters (for tutorial)

Author: evomarc <evomarc>
Date:   Fri Oct 27 04:07:21 2000 +0000

    Added the member function append( unsigned _popSize, eoInit<EOT>& _chromInit )
    who appends _popSize members to the population using an eoInit

Author: evomarc <evomarc>
Date:   Tue Oct 24 03:58:02 2000 +0000

    dded Uniform Crossover (!) and "deterministic" bit-filp mutation

Author: evomarc <evomarc>
Date:   Tue Oct 24 03:57:10 2000 +0000

    Added the calls to base class I/O routines in printOn and readFrom

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Oct 23 10:58:54 2000 +0000

    It is using delim now

Author: maartenkeijzer <maartenkeijzer>
Date:   Mon Oct 9 16:13:20 2000 +0000

    Changed functor base names and added to version

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 6 10:41:38 2000 +0000

    Added an eoSortedStatBase for more efficient statistic calculations
    
    updated a few makefiles to include the html and latex docs with the
    distribution.

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 6 07:50:10 2000 +0000

    Updated authors and started a README

Author: maartenkeijzer <maartenkeijzer>
Date:   Fri Oct 6 07:32:26 2000 +0000

    Changed ostream_iterator<double> to use AtomType rather than double.
    Stupid me!

Author: mac <mac>
Date:   Fri Sep 29 10:39:19 2000 +0000

    Updated version no. to 0.9.1

Author: mac <mac>
Date:   Wed Sep 20 13:32:28 2000 +0000

    Error in random_generator removed.

Author: mac <mac>
Date:   Sat Sep 9 13:52:16 2000 +0000

    Changed construction order as gcc was warning

Author: mac <mac>
Date:   Sat Sep 9 13:43:31 2000 +0000

    eo: added some missing entries
    Pop: error in nth_element_fitness
    sga: error in eval
    eoParseTree: oddities with gcc
    checkpointing: added eoParser and eoState
    eoParser: support for wrongly entered parameter names
    rnd_generators: flip(0.5) -> flip(bias) in binary_generator
    selectors.h: ???

Author: mac <mac>
Date:   Wed Aug 23 14:56:04 2000 +0000

    Added -O2 as compiler flag

Author: mac <mac>
Date:   Wed Aug 23 13:07:51 2000 +0000

    ok, fixed this problem with typedefs in gcc-0.92 (strange....)

Author: mac <mac>
Date:   Wed Aug 23 12:52:48 2000 +0000

    Yet another change in eoParseTree

Author: mac <mac>
Date:   Wed Aug 23 12:50:34 2000 +0000

    eoParseTree-- changed typedef

Author: mac <mac>
Date:   Wed Aug 23 12:03:01 2000 +0000

    eoCounter?
    eoEasyEA -- made it copyable again
    eoEvalFunc -- added specialized eoEvalFuncCounter
    eoEvolutionStrategy -- nothing much
    eoGenContinue -- nothing
    eoPop -- fixed nth_element_fitness
    eoBitOp -- fixed error in xover
    eoFileMonitor -- now appends always
    eoParam -- worked around memory leak in MSC's strstream
    eoParser -- changed -pconfig_file to @config_file
    eoParser -- added messages instead of exception when required param is missing
    eoStat -- added eoDistanceStat
    t-eoFunctor -- don't know

Author: mac <mac>
Date:   Fri Aug 18 08:59:20 2000 +0000


Author: mac <mac>
Date:   Fri Aug 18 08:57:26 2000 +0000

    Oh, right, dangling pragma

Author: mac <mac>
Date:   Fri Aug 18 08:56:14 2000 +0000

    some signed/unsigned comparisons removed

Author: mac <mac>
Date:   Fri Aug 18 08:44:22 2000 +0000

    Added symbolic regression, which tests combined ops as well

Author: root <root>
Date:   Tue Aug 15 21:15:36 2000 +0000

    initial checkin

Author: mac <mac>
Date:   Mon Aug 14 11:18:34 2000 +0000

    Removed a few dsp files and changed saving/loading eoPops a bit.

Author: mac <mac>
Date:   Thu Aug 10 16:43:39 2000 +0000

    changed int to size_t

Author: mac <mac>
Date:   Thu Aug 10 16:42:37 2000 +0000

    *** empty log message ***

Author: mac <mac>
Date:   Thu Aug 10 16:41:04 2000 +0000

    Added binary_value.h

Author: mac <mac>
Date:   Thu Aug 10 16:36:55 2000 +0000

    changed int compare to size_t

Author: mac <mac>
Date:   Thu Aug 10 16:35:15 2000 +0000

    changed int compare to size_t

Author: mac <mac>
Date:   Thu Aug 10 16:34:05 2000 +0000

    main should return int

Author: mac <mac>
Date:   Thu Aug 10 16:32:44 2000 +0000

    changed int to size_t

Author: mac <mac>
Date:   Thu Aug 10 14:33:37 2000 +0000

    Forgot to remove enum value init

Author: mac <mac>
Date:   Thu Aug 10 14:31:19 2000 +0000

    Still part of extreme cleanup

Author: mac <mac>
Date:   Thu Aug 10 14:30:25 2000 +0000

    Still part of extreme cleanup

Author: mac <mac>
Date:   Thu Aug 10 14:26:50 2000 +0000

    Still part of extreme cleanup

Author: mac <mac>
Date:   Thu Aug 10 14:25:45 2000 +0000

    Still part of extreme cleanup

Author: mac <mac>
Date:   Thu Aug 10 14:23:19 2000 +0000

    no

Author: mac <mac>
Date:   Thu Aug 10 14:18:34 2000 +0000

    Extreme cleanup, see src/obsolete for details

Author: mac <mac>
Date:   Thu Aug 3 20:00:39 2000 +0000

    Temporarily added Makefile.am to prevent errors

Author: mac <mac>
Date:   Thu Aug 3 19:54:42 2000 +0000

    Removed contrib dir reference

Author: jmerelo <jmerelo>
Date:   Thu Aug 3 17:33:03 2000 +0000

    More changes to Makefile.am

Author: jmerelo <jmerelo>
Date:   Thu Aug 3 17:30:57 2000 +0000

    More changes to Makefile.am

Author: jmerelo <jmerelo>
Date:   Thu Aug 3 17:22:46 2000 +0000

    More changes to Makefile.am

Author: jmerelo <jmerelo>
Date:   Thu Aug 3 17:15:42 2000 +0000

    Changes mostly to Makefile.ams here and there, to be able to do a clean distribution

Author: mac <mac>
Date:   Thu Aug 3 17:11:54 2000 +0000

    New fresh ltconfig, works on my RedHat distr and also on geneura

Author: mac <mac>
Date:   Thu Aug 3 17:11:02 2000 +0000

    Added a different libtool configure so it runs on more machines

Author: jmerelo <jmerelo>
Date:   Thu Aug 3 16:37:51 2000 +0000

    Changed some problems with Makefile.am

Author: jmerelo <jmerelo>
Date:   Thu Aug 3 15:44:01 2000 +0000

    Added missing files, and LICENSE

Author: mac <mac>
Date:   Fri Jul 28 10:26:44 2000 +0000

    removed

Author: mac <mac>
Date:   Fri Jul 28 06:10:34 2000 +0000

    testing if this configure is protable

Author: gustavo <gustavo>
Date:   Tue Jul 18 11:33:56 2000 +0000

    ignore files created by examples

Author: gustavo <gustavo>
Date:   Tue Jul 18 11:30:39 2000 +0000

    fix examples using binary_value

Author: marc <marc>
Date:   Thu Jun 22 03:23:15 2000 +0000

    The initial individuals were evaluated directly using binary_value
    This resulted in the fitness NOT being set, and some abort or segmentation fault later
    Only eoEvalFunc shouydl be used to evaluate individuals!!!

Author: gustavo <gustavo>
Date:   Fri Jun 16 10:20:23 2000 +0000

    changing version number

Author: gustavo <gustavo>
Date:   Fri Jun 16 09:38:43 2000 +0000

    erasing LICENSE from test directory

Author: gustavo <gustavo>
Date:   Thu Jun 15 14:29:25 2000 +0000

    *** empty log message ***

Author: gustavo <gustavo>
Date:   Wed Jun 14 16:29:00 2000 +0000

    erasing warnings

Author: mac <mac>
Date:   Wed Jun 14 10:33:53 2000 +0000

    Yet again some documentation change

Author: mac <mac>
Date:   Wed Jun 14 07:30:21 2000 +0000

    Removed double reference to t-eoESFull

Author: mac <mac>
Date:   Wed Jun 14 07:27:51 2000 +0000

    Removed double reference to t-eoESFull

Author: mac <mac>
Date:   Tue Jun 13 14:31:53 2000 +0000

    Added ownership functionality and made the thing non-copyable

Author: mac <mac>
Date:   Tue Jun 13 14:31:22 2000 +0000

    Some 'improvements' added

Author: mac <mac>
Date:   Tue Jun 13 14:30:47 2000 +0000

    Added an ownership function to eoState

Author: mac <mac>
Date:   Tue Jun 13 10:27:10 2000 +0000

    Changed base class eoEsBase to eoFixedLength

Author: mac <mac>
Date:   Tue Jun 13 10:25:53 2000 +0000

    updated documentation

Author: mac <mac>
Date:   Tue Jun 13 09:48:24 2000 +0000

    Fixed typedef Type error

Author: mac <mac>
Date:   Tue Jun 13 09:43:34 2000 +0000

    Removed eoEsBase and created an eoFixedLength

Author: mac <mac>
Date:   Mon Jun 12 20:24:27 2000 +0000

    Oh, right found some errors using gcc

Author: mac <mac>
Date:   Mon Jun 12 20:23:20 2000 +0000

    Oh, right found some errors

Author: mac <mac>
Date:   Mon Jun 12 20:09:59 2000 +0000

    New ES routines

Author: mac <mac>
Date:   Mon Jun 12 20:08:01 2000 +0000

    Added a range member function to evaluate an iterator range

Author: mac <mac>
Date:   Mon Jun 12 20:07:25 2000 +0000

    eoInit is a base class for making EO's, eoPop now has a constructor
    for eoInit's

Author: mac <mac>
Date:   Sat Jun 10 13:22:53 2000 +0000

    Removed dependence on eoUniform, changed it to use rng.random or rng.uniform directly

Author: gustavo <gustavo>
Date:   Fri May 26 17:18:06 2000 +0000

    ignore t-eoExternalEO

Author: mac <mac>
Date:   Thu May 25 13:04:57 2000 +0000

    Removed this ugly defaulting to 1 behaviour and solved it using template specialization

Author: mac <mac>
Date:   Thu May 25 12:21:06 2000 +0000

    Added dummy case general:

Author: gustavo <gustavo>
Date:   Thu May 25 11:03:00 2000 +0000

    warning hunting

Author: mac <mac>
Date:   Thu May 25 07:26:13 2000 +0000

    Oops, corrected error in ctor(istream)

Author: mac <mac>
Date:   Thu May 25 07:23:24 2000 +0000

    Oops, corrected error in adding t-eoExternalEO

Author: mac <mac>
Date:   Thu May 25 07:18:25 2000 +0000

    eoExternalEO, support for using plain functions and structs in EO

Author: mac <mac>
Date:   Thu May 25 07:17:23 2000 +0000

    Changed default printOn to have a trailing space instead of endl

Author: mac <mac>
Date:   Thu May 25 07:16:35 2000 +0000

    Updated dsp, dsw and added t_eoExternalEO.dsp

Author: mac <mac>
Date:   Thu May 25 07:13:43 2000 +0000

    Updated makefile and added t-eoExternalEO

Author: mac <mac>
Date:   Thu Apr 20 11:11:58 2000 +0000

    removed reference to rint() (what does this function do anyway? it is not ANSI and defined nowhere in eo!)

Author: mac <mac>
Date:   Thu Apr 20 11:06:02 2000 +0000

    Added a bias function next to bind(). This function will bias the selection to select certain specific guys...

Author: mac <mac>
Date:   Thu Apr 20 10:48:07 2000 +0000

    Remove eoBinaryTerm, should not have been here in the first place

Author: gustavo <gustavo>
Date:   Wed Apr 12 09:51:50 2000 +0000

    adding test to test/.cvsignore

Author: gustavo <gustavo>
Date:   Tue Apr 11 12:18:30 2000 +0000

    some fix

Author: mac <mac>
Date:   Sun Apr 9 10:16:28 2000 +0000

    getOp() should return a non-const reference

Author: mac <mac>
Date:   Sun Apr 9 10:13:27 2000 +0000

    Changed int target to size_t target (produced warning)

Author: mac <mac>
Date:   Sun Apr 9 10:10:39 2000 +0000

    eoFitTerm did not implement className

Author: mac <mac>
Date:   Sun Apr 9 10:09:32 2000 +0000

    eoFitTerm did not implement className

Author: mac <mac>
Date:   Sun Apr 9 10:05:55 2000 +0000

    Updated eoBreeder to use the even newer general operator interface

Author: mac <mac>
Date:   Sun Apr 9 10:00:55 2000 +0000

    Updated eoBreeder to use the even newer general operator interface

Author: mac <mac>
Date:   Sun Apr 9 09:59:06 2000 +0000

    Specialized it for bool, so that we don't get these MSVC warnings.

Author: mac <mac>
Date:   Sun Apr 9 09:54:25 2000 +0000

    Oops, it's a pain to get the makefiles up to date when you are working on two machines....

Author: mac <mac>
Date:   Sun Apr 9 09:50:44 2000 +0000

    Oops, forgot to make operator() return an eoMonitor

Author: mac <mac>
Date:   Sun Apr 9 09:48:38 2000 +0000

    Oops, forgot to make operator() return an eoMonitor

Author: mac <mac>
Date:   Sun Apr 9 09:46:20 2000 +0000

    Updated documentation to give proper include file in doxygen and define a module selectors
    Also added a load(stream) and save(stream) to eoState

Author: mac <mac>
Date:   Sun Apr 9 09:44:53 2000 +0000

    Updated documentation to give proper include file in doxygen and define a module bitstring

Author: mac <mac>
Date:   Sun Apr 9 09:43:40 2000 +0000

    Added t-eoGOpSel.

Author: mac <mac>
Date:   Sun Apr 9 09:41:29 2000 +0000

    Changed the general operator interface to be consistent with the rest
    of EO, updated some documentation.

Author: mac <mac>
Date:   Fri Apr 7 14:23:59 2000 +0000

    updated Makefiles and removed a few unneeded files. note: ES files are pending

Author: mac <mac>
Date:   Fri Apr 7 09:04:50 2000 +0000

    no message

Author: gustavo <gustavo>
Date:   Tue Apr 4 15:22:04 2000 +0000

    changing include style from ... to <...>

Author: gustavo <gustavo>
Date:   Tue Apr 4 11:00:18 2000 +0000

    initial .cvsignore

Author: gustavo <gustavo>
Date:   Mon Apr 3 15:52:31 2000 +0000

    changing autonconfiguration to compile more examples and to create documentation

Author: gustavo <gustavo>
Date:   Mon Apr 3 15:27:56 2000 +0000

    forgeting multiOps

Author: gustavo <gustavo>
Date:   Mon Apr 3 09:51:29 2000 +0000

    too many EMPTY constructors

Author: gustavo <gustavo>
Date:   Mon Apr 3 09:32:43 2000 +0000

    adding & modifying .cvsignore's

Author: gustavo <gustavo>
Date:   Fri Mar 31 16:23:16 2000 +0000

    Maarten was right

Author: gustavo <gustavo>
Date:   Fri Mar 31 14:34:50 2000 +0000

    Makefile.in don't need to be in cvs

Author: gustavo <gustavo>
Date:   Fri Mar 31 14:33:13 2000 +0000

    more fix in makefiles

Author: mac <mac>
Date:   Fri Mar 31 10:14:15 2000 +0000

    Added checkpointing to the makefile, but have to test it later on a Linux box

Author: mac <mac>
Date:   Fri Mar 31 10:04:39 2000 +0000

    Finalized Checkpointing, renamed t-testSta.... to t-eoStateAndParser
    added a checkpoint tester, but did not yet update the Makefiles as
    I don't have automake on my machine

Author: mac <mac>
Date:   Fri Mar 31 10:02:18 2000 +0000

    Finalized Checkpointing, see t-eoCheckpointing for a test

Author: mac <mac>
Date:   Fri Mar 31 10:00:22 2000 +0000

    Added a className member

Author: gustavo <gustavo>
Date:   Thu Mar 30 18:15:14 2000 +0000

    adding const... leaving as is

Author: gustavo <gustavo>
Date:   Thu Mar 30 18:02:03 2000 +0000

    makefiles almost work

Author: gustavo <gustavo>
Date:   Thu Mar 30 17:11:20 2000 +0000

    fixing makefiles

Author: gustavo <gustavo>
Date:   Thu Mar 30 14:20:25 2000 +0000

    changing Makefile.am's to accept new subdiretory structure

Author: mac <mac>
Date:   Thu Mar 30 09:43:21 2000 +0000

    changed erronuous classname() to className()

Author: mac <mac>
Date:   Thu Mar 23 14:41:12 2000 +0000

    few minor mods

Author: mac <mac>
Date:   Wed Mar 22 18:55:12 2000 +0000

    Adapted it for the poor stdc++ support of g++

Author: mac <mac>
Date:   Wed Mar 22 17:10:07 2000 +0000

    no message

Author: mac <mac>
Date:   Wed Mar 22 17:09:36 2000 +0000

    Changed some includes for the new dir structure

Author: mac <mac>
Date:   Wed Mar 22 16:49:35 2000 +0000

    Changed some includes for the new dir structure

Author: mac <mac>
Date:   Wed Mar 22 16:47:27 2000 +0000

    test the state and the parser

Author: mac <mac>
Date:   Wed Mar 22 15:39:32 2000 +0000

    Changed readFrom, which is no longer line based

Author: mac <mac>
Date:   Wed Mar 22 15:38:16 2000 +0000

    Obsolete, now present in eoOp.h

Author: mac <mac>
Date:   Wed Mar 22 15:14:16 2000 +0000

    Changed a few params in the configuration file

Author: mac <mac>
Date:   Wed Mar 22 15:00:38 2000 +0000

    (re)moving...

Author: mac <mac>
Date:   Wed Mar 22 14:48:49 2000 +0000

    (re)moving...

Author: mac <mac>
Date:   Wed Mar 22 14:38:10 2000 +0000

    Configuration file for doxygen

Author: mac <mac>
Date:   Wed Mar 22 14:32:37 2000 +0000

    (re)moving...

Author: mac <mac>
Date:   Wed Mar 22 14:30:57 2000 +0000

    no message

Author: mac <mac>
Date:   Wed Mar 22 14:23:20 2000 +0000

    moving...

Author: mac <mac>
Date:   Wed Mar 22 14:21:02 2000 +0000

    moved old files here

Author: mac <mac>
Date:   Wed Mar 22 14:18:39 2000 +0000

    Moved the es files to an es directory

Author: mac <mac>
Date:   Wed Mar 22 14:12:08 2000 +0000

    no message

Author: mac <mac>
Date:   Wed Mar 22 14:04:03 2000 +0000

    Added utilities directory, this contains state, parser etc.

Author: mac <mac>
Date:   Wed Mar 22 13:58:29 2000 +0000

    Removed obsolete references

Author: mac <mac>
Date:   Wed Mar 22 13:57:57 2000 +0000

    moved to utils

Author: mac <mac>
Date:   Mon Mar 20 17:35:24 2000 +0000

    eoSelfEval was empty

Author: mac <mac>
Date:   Mon Mar 20 17:32:42 2000 +0000

    Just changed a typo in the documentation

Author: mac <mac>
Date:   Mon Mar 20 16:13:32 2000 +0000


Author: marc <marc>
Date:   Mon Mar 13 10:17:12 2000 +0000

    Put eoTerm into the eo hierarchy - it was in the air!
    Added the className method

Author: marc <marc>
Date:   Mon Mar 13 10:14:20 2000 +0000

    Changed some int into unsigned to avoid Gnu warnings

Author: marc <marc>
Date:   Mon Mar 13 10:10:00 2000 +0000

    Removed extra {} in operator()

Author: mac <mac>
Date:   Mon Mar 6 16:28:37 2000 +0000

    Removed the call to the istream ctor, replaced it with readFrom

Author: mac <mac>
Date:   Mon Mar 6 16:21:54 2000 +0000

    Removed the call to the istream ctor, replaced it with readFrom

Author: mac <mac>
Date:   Mon Mar 6 16:09:46 2000 +0000

    Removed the istream ctor

Author: mac <mac>
Date:   Mon Mar 6 16:05:47 2000 +0000

    Fixed bug in eoGOpSelector (missing break!)
    
    eoOp.h: binOp's second arg is const once more
    
    all dsp and dsw files were touched by msvc, but did add some stuff (which
    will be added to eo later)
    
    Hope this all works

Author: mac <mac>
Date:   Mon Mar 6 15:55:44 2000 +0000

    Upgraded parse_tree a bit...

Author: marc <marc>
Date:   Thu Mar 2 05:54:01 2000 +0000

    Removed extra () in method virtual const EOT& operator()(const eoPop<EOT>& pop)
    Changed the include of eoPop.h from <> to ""

Author: marc <marc>
Date:   Thu Mar 2 05:48:23 2000 +0000

    - added the virtual destructors of all classes,
     to suppress g++ annoying warnings when using -Wall option

Author: marc <marc>
Date:   Tue Feb 29 05:22:32 2000 +0000

    Modified the order of base type and private data initializations
    so the g++ does not complain when using the -Wall compile option

Author: marc <marc>
Date:   Tue Feb 29 05:14:40 2000 +0000

    wherease the command "cvs ci" is OK.
    
    Here we go:
    - added the virtual destructors of all classes,
     to suppress g++ annoying warnings when using -Wall option

Author: victor <victor>
Date:   Mon Feb 21 18:21:58 2000 +0000

    *** empty log message ***

Author: victor <victor>
Date:   Mon Feb 21 18:21:14 2000 +0000

    A: <WARNING: comparison between signed and unsigned> has been fixed, ONCE MORE :-(

Author: victor <victor>
Date:   Mon Feb 21 18:03:31 2000 +0000

    making the second parameter of the oprator() for binaria operators to be NON const

Author: mac <mac>
Date:   Sat Feb 19 18:21:47 2000 +0000

    Changed double linefeeds, will undo this if it doesn't work

Author: mac <mac>
Date:   Sat Feb 19 17:37:18 2000 +0000

    Removed double line feeds

Author: mac <mac>
Date:   Sat Feb 19 16:54:09 2000 +0000

    Hi, just a simple test, I'm sorry to do it with the real repository,
    but my machine here is not Unix

Author: mac <mac>
Date:   Sat Feb 19 16:32:12 2000 +0000

    eoScalarFitness, 'envelope class' for making minimizing/maximizing fitness

Author: mac <mac>
Date:   Sat Feb 19 16:31:01 2000 +0000

    Example file

Author: mac <mac>
Date:   Sat Feb 19 16:30:42 2000 +0000

    Moved the static eoRNG rng to an extern eoRNG
    This external object is now defined in eoPersistent.cpp
    
    This should change...

Author: mac <mac>
Date:   Sat Feb 19 16:27:38 2000 +0000

    Added gp, example file in t-eoSymreg.cpp

Author: victor <victor>
Date:   Sat Feb 19 13:14:36 2000 +0000

    Someone was using eoAltProportionalSelect.h only he/she knows whycd src

Author: victor <victor>
Date:   Sat Feb 19 12:50:48 2000 +0000

    A: <WARNING: comparison between signed and unsigned> has been fixed , ONCE MORE :-(

Author: victor <victor>
Date:   Sat Feb 19 12:37:28 2000 +0000

    Changing (ONCE MORE) eoEasyEA.h to allow 0 generation processes.

Author: mac <mac>
Date:   Wed Feb 16 15:17:43 2000 +0000

    *** empty log message ***

Author: mac <mac>
Date:   Wed Feb 16 15:11:18 2000 +0000

    *** empty log message ***

Author: mac <mac>
Date:   Wed Feb 16 15:05:19 2000 +0000

    Mak: Added the eoQuadratic Op and more ... (and I hate VI)

Author: mac <mac>
Date:   Wed Feb 16 15:03:45 2000 +0000

    *** empty log message ***

Author: marc <marc>
Date:   Wed Feb 16 04:40:20 2000 +0000

    Changed all "float" to "double"
    But more than that, this is a test of CVS for me
    Marc

Author: mac <mac>
Date:   Tue Feb 15 15:08:00 2000 +0000

    just a test

Author: victor <victor>
Date:   Fri Feb 11 12:05:07 2000 +0000

    A: <WARNING: comparison between signed and unsigned> has been fixed :-))

Author: gustavo <gustavo>
Date:   Wed Feb 9 19:50:02 2000 +0000

    some test

Author: jmerelo <jmerelo>
Date:   Mon Feb 7 17:16:16 2000 +0000

    Added new files to the brew, mainly distance and new-op-interface related

Author: gustavo <gustavo>
Date:   Wed Jan 26 17:48:24 2000 +0000

    *** empty log message ***

Author: victor <victor>
Date:   Tue Jan 25 08:20:22 2000 +0000

    A very silly error has been fixed

Author: gustavo <gustavo>
Date:   Mon Jan 24 21:16:54 2000 +0000

    some reviews

Author: gustavo <gustavo>
Date:   Mon Jan 24 21:13:21 2000 +0000

    some reviews

Author: victor <victor>
Date:   Tue Jan 18 13:43:39 2000 +0000

    I have change the do...while(terminator) into while(terminator){...}, because may be the termination condition is reached just atthe beginning (for instance 0 generations)

Author: victor <victor>
Date:   Tue Jan 11 13:25:32 2000 +0000

    Another little bug fixed

Author: gustavo <gustavo>
Date:   Tue Jan 11 12:13:18 2000 +0000

    bug fix in eoTournament

Author: victor <victor>
Date:   Tue Jan 4 13:04:00 2000 +0000

    A little problem existed when the Parser tried to read a String because a \0 was inserted sometimes (no others) making imposible to add a new string to the one read and then turning the full string into a char* (understable? :-)

Author: victor <victor>
Date:   Tue Jan 4 10:43:06 2000 +0000

    Changing the way parameters are shown to the user when the -h or --help flags are used

Author: victor <victor>
Date:   Tue Dec 21 13:39:42 1999 +0000

    Minor changes in eoRNG.h

Author: victor <victor>
Date:   Tue Dec 21 12:12:29 1999 +0000

    eoOpSelector has a method called getOp that HAD to return a non-constant reference to an operator; in fact it returned a CONST reference. Now, I've changed it

Author: victor <victor>
Date:   Tue Dec 21 11:41:19 1999 +0000

    Updating the selectors: they inherited from eoSelect and noew the inherite from  eoBinPopOp

Author: victor <victor>
Date:   Tue Dec 21 09:58:45 1999 +0000

    Minor changes in eoParser.h

Author: victor <victor>
Date:   Fri Dec 17 12:04:06 1999 +0000

    Moving function InitRamdom to eoParserUtils.h

Author: jmerelo <jmerelo>
Date:   Fri Dec 17 09:19:13 1999 +0000

    Changes

Author: victor <victor>
Date:   Wed Dec 15 16:47:41 1999 +0000

    A little mistake has been corrected

Author: victor <victor>
Date:   Wed Dec 15 16:42:13 1999 +0000

    The constants N,M and K are not declared twice when using RNG in different file of the same program

Author: victor <victor>
Date:   Wed Dec 15 13:57:09 1999 +0000

    I have turned into comments the Pop constructor that used Type as the type of the gene, given that an EO can have NO genes

Author: jmerelo <jmerelo>
Date:   Mon Nov 22 09:47:32 1999 +0000

    Added changes mainly by Marc

Author: jmerelo <jmerelo>
Date:   Mon Nov 15 09:26:33 1999 +0000

    Added Marc's ES files and .dsp files for others

Author: jmerelo <jmerelo>
Date:   Fri Oct 29 11:23:10 1999 +0000

    Added eoParser

Author: jmerelo <jmerelo>
Date:   Mon Oct 25 08:25:42 1999 +0000

    Added new RNG and test files for it

Author: jmerelo <jmerelo>
Date:   Tue Oct 19 11:47:15 1999 +0000

    Small modifications

Author: gustavo <gustavo>
Date:   Fri Oct 15 13:16:50 1999 +0000

    bug fix in eoBinBitflip

Author: jmerelo <jmerelo>
Date:   Fri Oct 15 11:18:52 1999 +0000

    Changed eoBinBitFlip thanks to Jacques suggestion

Author: jmerelo <jmerelo>
Date:   Fri Oct 15 07:34:55 1999 +0000

    Small changes to makefiles

Author: jmerelo <jmerelo>
Date:   Wed Oct 13 08:38:33 1999 +0000

    Changes in configure y makefiles to account for new version and new files

Author: gustavo <gustavo>
Date:   Mon Oct 11 10:20:39 1999 +0000

    updating with new tests

Author: gustavo <gustavo>
Date:   Fri Oct 8 17:45:49 1999 +0000

    adding more functions and tests for eoNonUniform

Author: jmerelo <jmerelo>
Date:   Fri Oct 8 11:39:58 1999 +0000

    Two files left over added to the repo

Author: jmerelo <jmerelo>
Date:   Fri Oct 8 11:39:20 1999 +0000

    Added a full algorithm to the new EO, with terminators, and things like that

Author: jmerelo <jmerelo>
Date:   Fri Oct 8 09:52:31 1999 +0000

    Added two more files

Author: jmerelo <jmerelo>
Date:   Fri Oct 8 09:51:40 1999 +0000

    Changed stuff to make eoGeneration work

Author: jmerelo <jmerelo>
Date:   Fri Oct 8 07:40:34 1999 +0000

    Cosmetic changes

Author: gustavo <gustavo>
Date:   Thu Oct 7 11:39:08 1999 +0000

    adding t-eogeneration

Author: gustavo <gustavo>
Date:   Thu Oct 7 11:38:14 1999 +0000

    putting eoNonUniform into a separate file

Author: gustavo <gustavo>
Date:   Tue Oct 5 11:32:17 1999 +0000

    adding eoNonUniformOperator to eoOp.h

Author: gustavo <gustavo>
Date:   Mon Oct 4 11:17:19 1999 +0000

    adding t-eogeneration.cpp

Author: victor <victor>
Date:   Fri Oct 1 17:00:38 1999 +0000

    Updating Makefile.am to include eo2d.h and eo2dVector.h

Author: victor <victor>
Date:   Fri Oct 1 17:00:02 1999 +0000

    Updating Makefile.am to compile t-eo2dVector.h

Author: victor <victor>
Date:   Fri Oct 1 16:36:04 1999 +0000

    *** empty log message ***

Author: victor <victor>
Date:   Fri Oct 1 16:33:59 1999 +0000

    All the methods have been implemented. Only three of them (asignement operator, read from and write to a stream) remain unfinished.

Author: victor <victor>
Date:   Fri Oct 1 16:32:46 1999 +0000

    Final (or almost) version by now.

Author: victor <victor>
Date:   Wed Sep 29 11:43:34 1999 +0000

    Adding an interface for 2-dimensional chromosomes

Author: victor <victor>
Date:   Wed Sep 29 11:41:34 1999 +0000

    Fixing a little bug in the random generator. Variable size was used instead of _size, which is the parameter the method gets

Author: gustavo <gustavo>
Date:   Tue Sep 28 11:56:21 1999 +0000

    testing and debugging eoGeneration

Author: gustavo <gustavo>
Date:   Tue Sep 28 10:26:39 1999 +0000

    finish eoGeneration... still to be tested

Author: gustavo <gustavo>
Date:   Tue Sep 21 18:14:39 1999 +0000

    fixing bugs in replacers and moving some code between files

Author: gustavo <gustavo>
Date:   Tue Sep 21 11:36:38 1999 +0000

    pop need a reevaluation after breeding

Author: gustavo <gustavo>
Date:   Mon Sep 20 18:07:35 1999 +0000

    fixing cvsignore

Author: gustavo <gustavo>
Date:   Mon Sep 20 11:48:52 1999 +0000

    fixing tests

Author: jmerelo <jmerelo>
Date:   Mon Sep 20 11:37:00 1999 +0000

    Added LICENSE

Author: jmerelo <jmerelo>
Date:   Mon Sep 20 11:35:01 1999 +0000

    Changes to eo1d interface and bug fixes

Author: gustavo <gustavo>
Date:   Fri Sep 10 12:21:50 1999 +0000

    *** empty log message ***

Author: gustavo <gustavo>
Date:   Fri Sep 10 12:13:53 1999 +0000

    updating eo/test/.cvsignore for new eoBin tests

Author: gustavo <gustavo>
Date:   Fri Sep 10 12:11:11 1999 +0000

    *** empty log message ***

Author: gustavo <gustavo>
Date:   Fri Sep 10 12:05:57 1999 +0000

    *** empty log message ***

Author: gustavo <gustavo>
Date:   Fri Sep 10 12:03:51 1999 +0000

    adding examples for eoBin & other stuff

Author: gustavo <gustavo>
Date:   Fri Sep 10 11:48:42 1999 +0000

    adding examples for eoBin & other stuff

Author: gustavo <gustavo>
Date:   Fri Sep 10 11:07:46 1999 +0000

    *** empty log message ***

Author: gustavo <gustavo>
Date:   Mon Feb 15 17:47:30 1999 +0000

    adding eoGeneration

Author: jmerelo <jmerelo>
Date:   Mon Feb 15 16:03:04 1999 +0000

    New .dsp files for new test programs

Author: jmerelo <jmerelo>
Date:   Mon Feb 15 16:01:35 1999 +0000

    Compiled new stuff on VC++, changes to breeder

Author: gustavo <gustavo>
Date:   Mon Feb 15 11:55:59 1999 +0000

    doing things work on VC++

Author: gustavo <gustavo>
Date:   Fri Feb 12 17:56:55 1999 +0000

    bux fix in t-eoinsertion.cpp

Author: gustavo <gustavo>
Date:   Fri Feb 12 17:43:28 1999 +0000

    eoBreeder almost finished

Author: jmerelo <jmerelo>
Date:   Wed Feb 10 17:14:08 1999 +0000

    Added some files, compiled some stuff in VC++, and finished eoOpSelMason

Author: gustavo <gustavo>
Date:   Wed Feb 10 17:05:16 1999 +0000

    adding eoBreeder

